package com.unis.base.client;

import com.unis.base.common.vo.TyLskcxxQueryVO;
import com.unis.base.common.vo.TyLskcxxVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DAjxxsjyController
 * @ProjectName 粮食库存信息 Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "base-server")
@Component
@Api(value = "粮食库存历史信息 ", tags = "粮食库存历史信息 维护")
public interface FoodStocksHisFeign {

	@ApiOperation(value = "粮食库存历史列表", notes = "参数：")
	@GetMapping(value = "/foodStocksHisList/{pageNum}/{pageSize}")
	ResponseWrapper getTyLskcxxHisList(@PathVariable(value = "pageNum") Integer pageNum,
									   @PathVariable(value = "pageNum") Integer pageSize);


}
