/*
 * ShouGouZiGeFeign.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-DPSC399A
 */
package com.unis.base.client;

import com.unis.base.common.vo.TyHly;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;



/**
 */

@FeignClient("base-server")
public interface HaolyFeign {

   
    @ApiOperation(value = "好粮油表---根据实体的某些属性查询分页数据, pageSize, pageNum从url传", notes = "好粮油表")
    @PostMapping("/haoliangyou/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody TyHly tyHly);

    
    @ApiOperation(value = "好粮油表---新增", notes = "")
    @PostMapping("/haoliangyou/save")
	public ResponseWrapper save(TyHly hly);


    @ApiOperation(value = "---删除", notes = "")
    @PostMapping("/haoliangyou/remove")
	public ResponseWrapper remove(String id);


    @ApiOperation(value = "---查询", notes = "")
    @PostMapping("/haoliangyou/getById")
	public ResponseWrapper getById(String id);


   
}
