/*
 * QybgsqApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.base.client;

import com.unis.base.common.vo.QybgsqListVO;
import com.unis.base.common.vo.QybgsqShowVO;
import com.unis.base.common.vo.QybgsqVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * TY_QYBGSQ-企业变更申请表
 * @author lipenghe at 
 */
//@RequestMapping("")
//企业变更申请表---企业变更申请表
@FeignClient("base-server")
public interface QybgsqApi {

    /*@ApiOperation(value = "企业变更申请表---企业变更申请表---选择性保存,包含新增和修改", notes = "企业变更申请表")
    @PostMapping("/qybgsq/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(
        @RequestBody QybgsqVO qybgsqVO);*/


    @ApiOperation(value = "企业变更申请表---企业变更申请表---选择性保存,包含新增和修改", notes = "企业变更申请表")
    @PostMapping("/qybgsq/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(QybgsqVO qybgsqVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---选择性插入字段", notes = "企业变更申请表")
    @PostMapping("/qybgsq/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(
            @RequestBody QybgsqVO qybgsqVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---批量插入全部字段", notes = "企业变更申请表")
    @PostMapping("/qybgsq/insertBatchEntityList")
    public ResponseWrapper insertBatchEntityList(
            @RequestBody List<QybgsqVO> qybgsqVOList);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---根据实体不为空的属性,选择性更新字段", notes = "企业变更申请表")
    @PostMapping("/qybgsq/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(
            @RequestBody QybgsqVO qybgsqVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---更改状态", notes = "企业变更申请表")
    @PostMapping("/qybgsq/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(
            @RequestBody QybgsqVO qybgsqVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "企业变更申请表")
    @PostMapping("/qybgsq/deleteByEntity")
    public ResponseWrapper deleteByEntity(
            @RequestBody QybgsqShowVO qybgsqShowVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---根据实体(唯一标示)查询一条数据", notes = "企业变更申请表")
    @PostMapping("/qybgsq/selectById")
    public ResponseWrapper selectById(
            @RequestBody QybgsqShowVO qybgsqShowVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---根据实体的某些属性查询分页数据, pageSize, pageNum从url传", notes = "企业变更申请表")
    @PostMapping("/qybgsq/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody QybgsqListVO qybgsqListVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---根据实体的某些属性查询列表", notes = "企业变更申请表")
    @PostMapping("/qybgsq/selectByEntity")
    public ResponseWrapper selectByEntity(
            @RequestBody QybgsqListVO qybgsqListVO);

    @ApiOperation(value = "企业变更申请表---企业变更申请表---初始化数据", notes = "企业变更申请表")
    @PostMapping("/qybgsq/selectInitData")
    public ResponseWrapper selectInitData(
            @RequestBody QybgsqVO qybgsqVO);
}
