package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ApiModel("基础库存信息")
public class BaseKcVO {
	
	/**
	 * 文件id        
	 */
	@ApiModelProperty("仓房编号")
    private String cfbh;
	
	/**
	 * 文件id        
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 文件类型    0、附件、1文件
	 */
	@ApiModelProperty("仓房型号")
    private String cfxh;

	/**
	 * 申请原因
	 */
	@ApiModelProperty("品种")
    private String lspz;

	/**
	 * id
	 */
	@ApiModelProperty("收获年度")
    private String shnd;

	/**
	 * id
	 */
	@ApiModelProperty("入库时间")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rksj;

	/**
	 * id
	 */
	@ApiModelProperty("库存数量（吨）")
    private String kcsl;

	/**
	 * id
	 */
	@ApiModelProperty("作业状态")
    private String zyzt;

	/**
	 * id
	 */
	@ApiModelProperty("质量")
    private String zl;
	

	@ApiModelProperty("温度")
    private String cfwd;
	

	@ApiModelProperty("湿度")
    private String cfsd;

	@ApiModelProperty("粮食性质编码")
    private String lsxzbm;

	@ApiModelProperty("粮食性质编码名称")
    private String lsxzbmmc;
}