package com.unis.base.common.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@Data
@ApiModel("企业资格信息对象")
public class CompanyQualificationInfoVO extends BaseEntity{
	
	@ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "地区编码")
    private String areaCode;

    @ApiModelProperty(value = "地区名称")
    private String areaName; //1

    @ApiModelProperty(value = "资格申请Id")
    private String zgsqId;

    @ApiModelProperty(value = "资格类型代码1-承储资格（粮食类）；2-承储资格（食用植物油类）")
    private String zglxDm;

    @ApiModelProperty(value = "资格证编号")
    private String zgzbh;

    @ApiModelProperty(value = "企业Id")
    private String qyId;

    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;//1

    @ApiModelProperty(value = "有效期开始时间")
    private Date yxqKssj;

    @ApiModelProperty(value = "有效期截至时间")
    private Date yxqJssj;

    @ApiModelProperty(value = "资格撤销时间")
    private Date zgcxsj; //1

    @ApiModelProperty(value = "资格撤销人")
    private String zgcxr; //1

    @ApiModelProperty(value = "资格撤销人编码")
    private String zgcxrCode;//1

    @ApiModelProperty(value = "资格撤销原因")
    private String zgcxyy; //1

    @ApiModelProperty(value = "限期内是否可以再次申请：1-是；0--否")
    private String xqnsfkzcsq; //1

    @ApiModelProperty(value = "企业名称")
    private String qyMc;//1


}