package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @Author ChenKai
 * @Date 2019/9/26 9:31
 * @Version 1.0
 */


@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备统计分析对象")
public class DSbtjfxVO {

    /**
     * 设备编号
     */
    @ApiModelProperty("设备编号")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty(value = "设备仪器名称",required = true)
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @ApiModelProperty(value="所属库点编号",required = true)
    private String kddm;

    /**
     * 所属库点名称
     */
    @ApiModelProperty("所属库点名称")
    private String kdmc;


    /**
     * 设备分类
     */
    @ApiModelProperty("设备分类")
    private String sbfl;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 企业性质
     */
    @ApiModelProperty("企业性质")
    private String qyxz;

    /**
     * 入库数量
     */
    @ApiModelProperty("入库数量")
    private String rksl;

    /**
     * 领用数量
     */
    @ApiModelProperty("领用数量")
    private String lysl;

    /**
     * 维修数量
     */
    @ApiModelProperty("维修数量")
    private String wxsl;

    /**
     * 报废数量
     */
    @ApiModelProperty("报废数量")
    private String bfsl;

    /**
     * 申购数量
     */
    @ApiModelProperty("申购数量")
    private String sgsl;




}
