package com.unis.base.common.vo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * create by: yangshengjie
 * create time: 2019/9/19 20:19
 *
 * @Title DYpxxVO
 * @ProjectName 药剂信息实体类
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("药剂信息实体类")
public class DYpxxVO extends BaseEntity {

    /**
     * 药品id
     */
    @ApiModelProperty("药品id")
    private String ypid;
    
    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;
    
    /**
     * 药品代码
     */
    @ApiModelProperty("药品代码")
    private String ypdm;

    /**
     * 药品名称
     */
    @ApiModelProperty("药品名称")
    private String ypmc;

    /**
     * 规格型号
     */
    @ApiModelProperty("规格型号")
    private String ypggxh;

    /**
     * 标准值
     */
    @ApiModelProperty("标准值")
    private String bzz;

    /**
     * 库存数量
     */
    @ApiModelProperty("库存数量")
    private String kcsl;

    /**
     * 药品等级
     */
    @ApiModelProperty("药品等级")
    private String ypdj;

    /**
     * 最后验收时间
     */
    @ApiModelProperty("最后验收时间")
    private java.sql.Date zhyssj;

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    private java.sql.Date rq;

    @ApiModelProperty("月份")
    private String month;

    /**
     * 药剂种类
     */
    @ApiModelProperty("药剂种类")
    private String yjzl;

    /**
     * 药剂形态
     */
    @ApiModelProperty("药剂形态")
    private String yjxt;

    /**
     * 药剂包装
     */
    @ApiModelProperty("药剂包装")
    private String yjbz;

    /**
     * 支出数量
     */
    @ApiModelProperty("支出数量")
    private String zcsl;

    /**
     * 结余数量
     */
    @ApiModelProperty("结余数量")
    private String jysl;

    /**
     * 盘点过期数量
     */
    @ApiModelProperty("盘点过期数量")
    private String pdgqsl;

    /**
     * 盘点剩余数量
     */
    @ApiModelProperty("盘点剩余数量")
    private String pdsysl;

    /**
     * 所属库名
     */
    @ApiModelProperty("所属库名")
    private String sskm;

    /**
     * 所属库名编号
     */
    @ApiModelProperty("所属库名编号")
    private String sskmbh;
    
    
    /**
     * 登记人名称 DJRNAME
     */
    @ApiModelProperty("登记人名称")
    private String djrName;
    /**
     * 登记人编号 DJRCODE
     */
    @ApiModelProperty("登记人名称")
    private String djrCode;
    
    /**
     * 核对人名称 HDRNAME
     */
    @ApiModelProperty("核对人名称")
    private String hdrName;
    /**
     *核对人编号 HDRCODE
     */
    @ApiModelProperty("核对人名称")
    private String hdrCode;
    
    /**
     * 生产厂家SCCJ
     */
    @ApiModelProperty("生产厂家")
    private String sccj;
     
    
    /**
     * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
     */
    @ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案  SFBA")
    private Integer sfba;

}
