package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Id;


@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备类型")
public class EquipmentTypeVO extends BaseEntity {

	/**
	 * 设备类型编号
	 */
    @ApiModelProperty(value = "设备类型编号", notes ="设备类型编号", required = false)
    private String sblxbh;

    /**
     * 设备类型名称
     */
    @ApiModelProperty(value = "设备类型名称", notes ="设备类型名称", required = false)
    private String sblxmc;

    /**
     * 规格型号编码
     */
    @ApiModelProperty(value = "规格型号编码", notes ="规格型号编码", required = false)
    private String ggxhbm;

    /**
     * 规格型号名称
     */
    @ApiModelProperty(value = "规格型号名称", notes ="规格型号名称", required = false)
    private String ggxhmc;

    /**
     * 设备名称编码
     */
    @ApiModelProperty(value = "设备名称编码", notes ="设备名称编码", required = false)
    private String sbmcbm;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称", notes ="设备名称", required = false)
    private String sbmc;

    /**
     * 资产编码
     */
    @ApiModelProperty(value = "资产编码", notes ="资产编码", required = false)
    private String zcbm;

    /**
     * 库存数量
     */
    @ApiModelProperty(value = "库存数量", notes ="库存数量", required = false)
    private Integer kcsl;
    
    /**
     * 所属企业信用代码
     */
    @ApiModelProperty(value="所属企业信用代码")
    
    private String tyshxydm;
    
    /**
     * 设备类型名称
     */
    @ApiModelProperty(value = "设备类型名称编号", notes ="设备类型名称编号", required = false)
    private String sblxmcbh;
    
    

    /**
     
     *设备信息
     */
    @ApiModelProperty(value = "设备信息", notes ="库存数量", required = false)
    private List<DSbxxsjyVO> sbxxList;

}