package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("文件信息")
public class FileVo extends BaseEntity{

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    private String id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    private String qyId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件", notes ="文件类型0、附件。1、文件", required = false)
    private Integer fileType;
}
