package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import java.math.BigDecimal;

/**
 * @author XMPU
 * @version 1.0
 * @Title WxhxphjglpcjbbDO
 * @ProjectName 废弃危险化学品产生、贮存、利用处置情况表
 * @Description
 * @date 2019/07/22 17点26分
 */
@Data
@ApiModel("废弃危险化学品产生、贮存、利用处置情况表")
public class FqwxhxpcszclyclqkbVO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    @Id
    private String id;

    @ApiModelProperty(value = "序号", notes ="序号", required = false)
    private String xh;

    @ApiModelProperty(value = "危险化学品品名", notes ="危险化学品品名", required = false)
    private String wxhxpm;

    @ApiModelProperty(value = "CAS号", notes ="CAS号", required = false)
    private String cash;

    @ApiModelProperty(value = "产生量", notes ="产生量", required = false)
    private BigDecimal CSL;

    @ApiModelProperty(value = "自行利用处置量kg", notes ="自行利用处置量kg", required = false)
    private BigDecimal ZXLYCZL;

    @ApiModelProperty(value = "委托利用处置量kg", notes ="委托利用处置量kg", required = false)
    private BigDecimal WTLYCZL;

    @ApiModelProperty(value = "委托利用处置单位名称", notes ="委托利用处置单位名称", required = false)
    private String WTLYCZDWMC;

    @ApiModelProperty(value = "委托利用处置单位是否持有危险废物经营许可证", notes ="委托利用处置单位是否持有危险废物经营许可证", required = false)
    private String XKZ;

    @ApiModelProperty(value = "截至目前贮存量", notes ="截至目前贮存量", required = false)
    private BigDecimal ZCL;

    @ApiModelProperty(value = "危险废物管理计划，申报登记等执行情况", notes ="危险废物管理计划，申报登记等执行情况", required = false)
    private String ZXQK;

    @ApiModelProperty(value = "负责人", notes ="负责人", required = false)
    private String FZR;

    @ApiModelProperty(value = "联系方式", notes ="联系方式", required = false)
    private String LXFS;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    private String kddm;

}
