package com.unis.base.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyVO
 * @ProjectName 廒间信息对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("廒间信息对象")
public class GranaryVO extends BaseEntity {
	/**
	 * 廒间编号
	 */
	@ApiModelProperty("廒间编号")
	private String ajbh;


	/**
	 * 廒间名称
	 */
	@ApiModelProperty(value="廒间名称",required = true)
	private String ajmc;


	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value="仓房编号",required = true)
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
	private String cfmc;

	/**
	 * 廒间长度
	 */
	@ApiModelProperty("廒间长度")
	private Double ajcd;

	/**
	 * 廒间宽度
	 */
	@ApiModelProperty(" 廒间宽度")
	private Double ajkd;

	/**
	 * 廒间高度
	 */
	@ApiModelProperty("廒间高度")
	private Double ajgd;

	/**
	 * 廒间设计仓容
	 */
	@ApiModelProperty("廒间设计仓容")
	private Integer ajsjcr;

	/**
	 * 廒间实际仓容
	 */
	@ApiModelProperty("廒间实际仓容")
	private Integer ajsjcr01;

	/**
	 * 联系电话
	 */
	@ApiModelProperty(" 联系电话")
	private String lxdh;

	/**
	 * 启用日期
	 */
	@ApiModelProperty("启用日期")
	private Date qyrq;

	/**
	 * 廒间状态
	 */
	@ApiModelProperty("廒间状态")
	private String ajzt;

	/**
	 * 廒间使用状态
	 */
	@ApiModelProperty("廒间使用状态")
	private String ajsyzt;

	public GranaryVO() {
		super();
	}

	public GranaryVO(String ajbh, String ajmc, String cfbh, String cfmc, Double ajcd, Double ajkd, Double ajgd,
			Integer ajsjcr, Integer ajsjcr01, String lxdh, Date qyrq, String ajzt, String ajsyzt) {
		super();
		this.ajbh = ajbh;
		this.ajmc = ajmc;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.ajcd = ajcd;
		this.ajkd = ajkd;
		this.ajgd = ajgd;
		this.ajsjcr = ajsjcr;
		this.ajsjcr01 = ajsjcr01;
		this.lxdh = lxdh;
		this.qyrq = qyrq;
		this.ajzt = ajzt;
		this.ajsyzt = ajsyzt;
	}

}
