package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author by PIG
 * @date 2022/3/22 14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "人才组")
public class GroupMainVo extends BaseEntity {
    @ApiModelProperty(value = "人才组ID")
    private String groupId;
    @ApiModelProperty(value = "人才组名称")
    private String groupName;
    @ApiModelProperty(value = "创建时间")
    private String creationTime;
    @ApiModelProperty(value = "创建人")
    private String creator;
    @ApiModelProperty(value = "人员")
    private List<SelectPersonVo> personVoList = new ArrayList<>();
    @ApiModelProperty(value = "企业部门")
    private List<QiyeMcVO> qiyeMcVOList = new ArrayList<>();
    private String[] deptArr;
}
