package com.unis.base.common.vo;

import com.github.pagehelper.PageInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.poi.ss.formula.functions.T;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author ChenKai
 * @Date 2019/9/24 14:52
 * @Version 1.0
 */


@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("机械实体类")
public class MachineVO {

    /**
     *  企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     *  法定代表人
     */
    @ApiModelProperty("法定代表人")
    private String fddbr;

    /**
     *  办公电话
     */
    @ApiModelProperty("办公电话")
    private String bgdh;


    /**
     *  库点地址
     */
    @ApiModelProperty("库点地址")
    private String kddz;

    /**
     *  库点名称
     */
    @ApiModelProperty("库点名称")
    private String kdmc;

    /**
     *  入库
     */
    private PageInfo<DSbxxsjyVO>  dSbxxsjyVOPageInfo;
    //private List<DSbxxsjyVO> sbxxsjyVOList;

    /**
     * 领用
     */
    private PageInfo<DsblyxxVO>  dsblyxxVOPageInfo;
    //private List<DsblyxxVO> dsblyxxVOList;

    /**
     *
     * 归还
     */

    private PageInfo<DsblyxxVO>  guiHuanPageInfo;

    /**
     * 报废
     */
    private PageInfo<DsbbfxxVO> dsbbfxxVOPageInfo;
    //private List<DsbbfxxVO> dsbbfxxVOList;

    /**
     * 维修
     */
    private PageInfo<DSbwxxxVO> dSbwxxxVOPageInfo;
    //private List<DSbwxxxVO> dSbwxxxVOList;

    /**
     * 维护
     */
    private PageInfo<DsbwhxxVO> dsbwhxxVOPageInfo;
    //private List<DsbwhxxVO> dsbwhxxVOList;

    /**
     * 申购
     */
    private PageInfo<DSbsgxxVO> dSbsgxxVOPageInfo;
    //private List<DSbsgxxVO> dSbsgxxVOList;








}
