package com.unis.base.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class MeetingRecordVO {
    private String fid;
    @ApiModelProperty("培训id")
    private String mainFid;
    @ApiModelProperty("培训人员id")
    private String trainPersonId;
    @ApiModelProperty("反馈内容")
    private String feedbackContent;
    @ApiModelProperty("反馈状态")
    private String feedbackStatus;
    @ApiModelProperty("培训人姓名")
    private String trainPersonName;
    @ApiModelProperty("部门id")
    private String trainPersonDeptCode;
    @ApiModelProperty("部门名称")
    private String trainPersonDeptName;
    @ApiModelProperty("orgCode")
    private String trainPersonOrgCode;
    @ApiModelProperty("orgName")
    private String trainPersonOrgName;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty("岗位")
    private String post;
    @ApiModelProperty("备注")
    private String notes;
    @ApiModelProperty("创建人")
    private String creator;
    @ApiModelProperty("创建人编码")
    private String creatorCode;
}
