package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "药剂监测VO")
public class MoneyMonitorVO extends BaseEntity{

    /**
     * 监测点id
     */
    @ApiModelProperty(value = "监测点id")
    private String jcdid;

    /**
     * 监测点编码
     */
    @ApiModelProperty(value = "监测点编码")
    private String jcdbm;

    /**
     * 监测点所属企业
     */
    @ApiModelProperty(value = "监测点所属企业")
    private String jcdssqy;

    /**
     * 监测点所属企业编码
     */
    @ApiModelProperty(value = "监测点所属企业编码")
    private String jcdssqybm;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String jcdjd;

    /**
     * 监测品种
     */
    @ApiModelProperty(value = "监测品种")
    private String jgjcpz;

    /**
     * 监测品种编号
     */
    @ApiModelProperty(value = "监测品种编号")
    private String jgjcpzbh;

    /**
     * 监测点类型
     */
    @ApiModelProperty(value = "监测点类型")
    private String jgjcdlx;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private String jcdwd;
}