package com.unis.base.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("人员历史对象")
public class PersonnelRecordsHisqueryVO extends BaseEntity {

	/**
	 * 人员备案记录ID
	 */
	@ApiModelProperty(value = "人员备案记录ID")
	private String rybajlId;

	/**
	 * 人员编号（库点编码+001 三位序号）
	 */
	@ApiModelProperty(value = "人员编号（库点编码+001 三位序号）")
	private String rybh;

	/**
	 * 人员姓名
	 */
	@ApiModelProperty(value = "人员姓名")
	private String ryxm;

	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value = "所属库点编号")
	private String kddm;

	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;

	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;

	/**
	 * 籍贯
	 */
	@ApiModelProperty(value = "籍贯")
	private String jg;

	/**
	 * 民族
	 */
	@ApiModelProperty(value = "民族")
	private String mz;

	/**
	 * 出生时间
	 */
	@ApiModelProperty(value = "出生时间")
	private Date cssj;

	/**
	 * 参加工作时间
	 */
	@ApiModelProperty(value = "参加工作时间")
	private Date cjgzsj;

	/**
	 * 文化程度
	 */
	@ApiModelProperty(value = "文化程度")
	private String whcd;

	/**
	 * 学习专业
	 */
	@ApiModelProperty(value = "学习专业")
	private String xxzy;

	/**
	 * 政治面貌
	 */
	@ApiModelProperty(value = "政治面貌")
	private String zzmm;

	/**
	 * 植物代码
	 */
	@ApiModelProperty(value = "植物代码")
	private String zwdm;

	/**
	 * 职务名称
	 */
	@ApiModelProperty(value = "职务名称")
	private String zwmc;

	/**
	 * 部门编码
	 */
	@ApiModelProperty(value = "部门编码")
	private String bmdm;

	/**
	 * 部门班代码
	 */
	@ApiModelProperty(value = "部门班代码")
	private String bmbdm;

	/**
	 * 部门组代码
	 */
	@ApiModelProperty(value = "部门组代码")
	private String bmzdm;

	/**
	 * 在岗情况代码
	 */
	@ApiModelProperty(value = "在岗情况代码")
	private String zgqkdm;

	/**
	 * 岗位代码
	 */
	@ApiModelProperty(value = "岗位代码")
	private Integer gwdm;

	/**
	 * 技术职称代码
	 */
	@ApiModelProperty(value = "技术职称代码")
	private String jszcdm;

	/**
	 * 技术职称
	 */
	@ApiModelProperty(value = "技术职称")
	private String jszcmc;

	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;

	/**
	 * 具备证书
	 */
	@ApiModelProperty(value = "具备证书")
	private String jbzs;

	/**
	 * 发证单位
	 */
	@ApiModelProperty(value = "发证单位")
	private String fzdw;

	/**
	 * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
	 */
	@ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案")
	private Integer sfba;

	/**
	 * 审批意见
	 */
	@ApiModelProperty(value = "审批意见")
	private String spyj;

	/**
	 * 审核人员编码
	 */
	@ApiModelProperty(value = "审核人员编码")
	private String shrybh;

	/**
	 * 审核人员名称
	 */
	@ApiModelProperty(value = "审核人员名称")
	private String shrymc;

	/**
	 * 审核部门编码
	 */
	@ApiModelProperty(value = "审核部门编码")
	private String shbmbh;

	/**
	 * 审核部门名称
	 */
	@ApiModelProperty(value = "审核部门名称")
	private String shbmmc;

}