package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author lgd
 * @version 1.0
 * @ProjectName 综合查询企业信息对象
 * @Description
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="综合查询企业信息对象")
public class QyxxVO {
    /**
     * 统一社会信用代码
     */
    @ApiModelProperty(value="统一社会信用代码",required = true)
    private String tyshxydm;


    @ApiModelProperty(value="库点代码",required = true)
    private String sskddm;


    @ApiModelProperty(value="库点名称",required = true)
    private String sskdmc;

    @ApiModelProperty(value="120编码",required = true)
    private String qybm;

    @ApiModelProperty(value="仓房数量",required = true)
    private String cfnum;


    @ApiModelProperty(value="市储数量",required = true)
    private String lssl;

    @ApiModelProperty(value="数量操作符",required = true)
    private String slstr;

    @ApiModelProperty(value="企业地址",required = true)
    private String qydz;
}
