package com.unis.base.common.vo;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("serial")
@Getter
@Setter
public class QyzgQyzgxxVO extends BaseEntity{
   
	/**
	 * 主键
	 */
	//@Column(name = "ID")
	private String id;

	/**
	 * 地区编码
	 */
	//@Column(name = "AREA_CODE")
    private String areaCode;

	/**
	 * 地区名称
	 */
	//@Column(name = "AREA_NAME")
    private String areaName; 

	
	/**
	 * 资格申请ID
	 */
	//@Column(name = "ZGSQ_ID")
    private String zgsqId;

	
	/**
	 * 资格类型代码：1-承储资格（粮食类）；2-承储资格（食用植物油类）
	 */
	//@Column(name = "ZGLX_DM")
    private String zglxDm;

	/**
	 * 资格证编号
	 */
	//@Column(name = "ZGZBH")
    private String zgzbh;

	/**
	 * 企业ID
	 */
	//@Column(name = "QY_ID")
    private String qyId;

	
	/**
	 * 统一社会信用代码
	 */
	//@Column(name = "TYSHXYDM")
    private String tyshxydm;

	
	/**
	 * 有效期开始时间
	 */
	//@Column(name = "YXQ_KSSJ")
    private Date yxqKssj;

	/**
	 * 有效期截止时间
	 */
	//@Column(name = "YXQ_JZSJ")
    private Date yxqJssj;

	/**
	 * 资格撤销时间
	 */
	//@Column(name = "ZGCXSJ")
    private Date zgcxsj;

	

	/**
	 * 资格撤销人
	 */
	//@Column(name = "ZGCXR")
    private String zgcxr;

	/**
	 * 资格撤销人编码
	 */
	//@Column(name = "ZGCXR_CODE")
    private String zgcxrCode;//1

	/**
	 * 资格撤销原因
	 */
	//@Column(name = "ZGCXYY")
    private String zgcxyy;

    
    /**
     * 限期内是否可以再次申请：1-是；0--否
     */
    //@Column(name = "XQNSFKZCSQ")
    private Integer xqnsfkzcsq;
    
    /**
     * 企业名称
     */
   // @Column(name = "QY_MC")
    private String qyMc;

    /**
     * '是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案'
     */
   // @Column(name = "SFBA")
    private Integer sfba;
   }