package com.unis.base.common.vo;

import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description: ${}
 * @date 2019/10/3120:38
 */
public class ReversePositionVo extends BaseEntity{
    @ApiModelProperty(value = "DCDBM 倒仓单编码", notes = "DCDBM 损溢单编号 ", required = false)
    @Column(name = "DCDBM")
    private String dcdbm;


    @ApiModelProperty(value = "DCJHWJBH 倒仓计划文件编号", notes = "DCJHWJBH 倒仓计划文件编号 ", required = false)
    @Column(name = "DCJHWJBH")
    private String dcjhwjbh;

    @ApiModelProperty(value = "TZDBM 通知单编码", notes = "TZDBM 通知单编码 ", required = false)
    @Column(name = "TZDBM")
    private String tzdbm;

    @ApiModelProperty(value = "DCDW 倒仓单位", notes = "DCDW 倒仓单位 ", required = false)
    @Column(name = "DCDW")
    private String dcdw;

    @ApiModelProperty(value = "PZBM 品种编码", notes = "PZBM 品种编码 ", required = false)
    @Column(name = "PZBM")
    private String pzbm;

    @ApiModelProperty(value = "DCHWBM 倒出货位编码", notes = "DCHWBM 倒出货位编码 ", required = false)
    @Column(name = "DCHWBM")
    private String dchwbm;

    @ApiModelProperty(value = "DRHWBM 倒入货位编码", notes = "DRHWBM 倒入货位编码 ", required = false)
    @Column(name = "DRHWBM")
    private String drhwbm;

    @ApiModelProperty(value = "DCRQ 倒仓日期", notes = "DCRQ 倒仓日期 ", required = false)
    @Column(name = "DCRQ")
    private Date dcrq;

    @ApiModelProperty(value = "CYR 承运人", notes = "CYR 承运人 ", required = false)
    @Column(name = "CYR")
    private String cyr;

    @ApiModelProperty(value = "SFZH 身份证号", notes = "SFZH 身份证号 ", required = false)
    @Column(name = "SFZH")
    private String sfzh;

    @ApiModelProperty(value = "LXDH 联系电话", notes = "LXDH 联系电话 ", required = false)
    @Column(name = "LXDH")
    private String lxdh;

    @ApiModelProperty(value = "YSGJ 运输工具", notes = "YSGJ 运输工具 ", required = false)
    @Column(name = "YSGJ")
    private String ysgj;

    @ApiModelProperty(value = "CCH 车船号", notes = "CCH 车船号 ", required = false)
    @Column(name = "CCH")
    private String cch;

    @ApiModelProperty(value = "RMDJY 入门登记员", notes = "RMDJY 入门登记员 ", required = false)
    @Column(name = "RMDJY")
    private String rmdjy;

    @ApiModelProperty(value = "RMDJSJ 入门登记时间", notes = "RMDJSJ 入门登记时间 ", required = false)
    @Column(name = "RMDJSJ")
    private Date rmdjsj;

    @ApiModelProperty(value = "CMDJY 出门登记员", notes = "CMDJY 出门登记员 ", required = false)
    @Column(name = "CMDJY")
    private String cmdjy;

    @ApiModelProperty(value = "CMDJSJ 出门登记时间", notes = "CMDJSJ 出门登记时间 ", required = false)
    @Column(name = "CMDJSJ")
    private Date cmdjsj;

    @ApiModelProperty(value = "MZ 毛重", notes = "MZ 毛重 ", required = false)
    @Column(name = "MZ")
    private Integer mz;

    @ApiModelProperty(value = "PZ 皮重", notes = "PZ 皮重 ", required = false)
    @Column(name = "PZ")
    private Integer pz;

    @ApiModelProperty(value = "XCKL 现场扣量", notes = "XCKL 现场扣量 ", required = false)
    @Column(name = "XCKL")
    private Integer xckl;

    @ApiModelProperty(value = "SZKZL 水杂扣（增）量", notes = "SZKZL 水杂扣（增）量 ", required = false)
    @Column(name = "SZKZL")
    private Integer szkzl;

    @ApiModelProperty(value = "SYDBH 损溢单编号", notes = "SYDBH 损溢单编号 ", required = false)
    @Column(name = "SYDBH")
    private Integer qtkl;

    @ApiModelProperty(value = "QTKLSM 其他扣量说明", notes = "QTKLSM 其他扣量说明 ", required = false)
    @Column(name = "QTKLSM")
    private String qtklsm;

    @ApiModelProperty(value = "SYDBH 损溢单编号", notes = "SYDBH 损溢单编号 ", required = false)
    @Column(name = "SYDBH")
    private String mzjjy;

    @ApiModelProperty(value = "MZJBY 毛重监磅员", notes = "MZJBY 毛重监磅员 ", required = false)
    @Column(name = "MZJBY")
    private String mzjby;

    @ApiModelProperty(value = "CMSJ 称毛时间", notes = "CMSJ 称毛时间 ", required = false)
    @Column(name = "CMSJ")
    private String cmsj;

    @ApiModelProperty(value = "PZJJY 皮重检斤员", notes = "PZJJY 皮重检斤员 ", required = false)
    @Column(name = "PZJJY")
    private String pzjjy;

    @ApiModelProperty(value = "PZJBY 皮重监磅员", notes = "PZJBY 皮重监磅员 ", required = false)
    @Column(name = "PZJBY")
    private String pzjby;

    @ApiModelProperty(value = "CPSJ 称皮时间", notes = "CPSJ 称皮时间 ", required = false)
    @Column(name = "CPSJ")
    private Date cpsj;

    @ApiModelProperty(value = "BZ 备注", notes = "BZ 备注 ", required = false)
    @Column(name = "BZ")
    private String bz;

    @ApiModelProperty(value = "CZBZ", notes = "CZBZ ", required = false)
    @Column(name = "CZBZ")
    private String czbz;

//    @ApiModelProperty(value = "CREATOR 创建人", notes = "CREATOR 创建人 ", required = false)
//    @Column(name = "CREATOR")
//    private String creator;

//    @ApiModelProperty(value = "CREATOR_CODE 创建人编号", notes = "CREATOR_CODE 创建人编号 ", required = false)
//    @Column(name = "CREATOR_CODE")
//    private String creatorCode;

//    @ApiModelProperty(value = "REFRESHER 更新人", notes = "REFRESHER 更新人 ", required = false)
//    @Column(name = "REFRESHER")
//    private String refresher;

//    @ApiModelProperty(value = "REFRESHER_CODE 更新人编码", notes = "REFRESHER_CODE 更新人编码 ", required = false)
//    @Column(name = "REFRESHER_CODE")
//    private String refresherCode;

//    @ApiModelProperty(value = "REFRESH_TIME 更新时间", notes = "REFRESH_TIME 更新时间 ", required = false)
//    @Column(name = "REFRESH_TIME")
//    private Date refreshTime;

//    @ApiModelProperty(value = "REMARK 备注", notes = "REMARK 备注 ", required = false)
//    @Column(name = "REMARK")
//    private String remark;

    @ApiModelProperty(value = "ORGID 组织ID", notes = "ORGID 组织ID ", required = false)
    @Column(name = "ORGID")
    private String orgid;
}
