package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class RotaterotateVO {
    @ApiModelProperty(value = "人员编号")
    private String rybh;
   /* @ApiModelProperty(value = "是否轮流岗位")
    private String rotaterotateType;*/
    @ApiModelProperty(value = "文件编号")
    private String serialNumber;
   /* @ApiModelProperty(value = "部门负责人")
    private String head;*/
    @ApiModelProperty(value = "业务类型")
    private String businessType;
    @ApiModelProperty(value = "业务时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date businessTime;
}
