package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

@Data
public class SgzgBarVO {

    @ApiModelProperty(value = "年-月", notes = "查询时间", example = "2019-10")
    @DateTimeFormat( pattern = "yyyy-MM")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM", timezone = "PRC")
    private Date yxDate;


    private Integer yxDateNum;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value="是否具有收购资格0、否。1、有")
    private Integer sfjysgzg;

    @ApiModelProperty(value="企业性质")
    private List<String> qyxzList;
}
