package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class SkillVO {
    private String rybh;
    @ApiModelProperty(value = "技能等级")
    private String skillLevel;

    @ApiModelProperty(value = "获得时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date skillDate;

    @ApiModelProperty(value = "技能专业")
    private String skillName;
}
