package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 张琪
 * @date 2019年9月16日 下午2:45:43
 * @description 通风作业信息历史纪录
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value ="通风作业信息历史纪录")
public class TyTfzyxxHisVO extends TyTfzyxxVO{
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    private String id;
    /**
     * 审批意见
     */
    @ApiModelProperty(value = "审批意见SPYJ")
    private String spyj;

	/**
	 *审核人编号SHRYBH
	 */
    @ApiModelProperty(value = "审核人编号SHRYBH")
    private String shrybh;

	/**
	 *审核人名称SHRYMC
	 */
    @ApiModelProperty(value = "审核人名称SHRYMC")
	private String shrymc;

	/**
	 * 审核部门编号SHBMBH
	 */
    @ApiModelProperty(value = "审核部门编号SHBMBH")
	private String shbmbh;

	/**
	 * 审核部门编号SHBMMC
	 */
    @ApiModelProperty(value = " 审核部门编号SHBMMC")
	private String shbmmc;

}
