package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 企业结构
 * @author duanyh
 *
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业机构实体类")
public class TzQyjgVO extends BaseEntity {
	
	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码")
	private String tyshxydm;
	
	
	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;

	public TzQyjgVO(Integer id, String tyshxydm, String qyjgdm) {
		this.id = id;
		this.tyshxydm = tyshxydm;
		this.qyjgdm = qyjgdm;
	}

	public TzQyjgVO() {
	}
}
