package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "企业类型历史VO")
public class TzQylxHisVO extends BaseEntity{

    /**
     * 主键id
     */
    private Long id;

    /**
     * 企业ID
     */
    private Long qyid;

    /**
     * 企业类型名称
     */
    private String qylxmc;

    /**
     * 企业类型编号
     */
    private String qylxbh;

    /**
     *  是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
     */
    @ApiModelProperty(value = "是否备案（0，未备案，1，待提交，2待审核，3已驳回，4，已备案）")
    private String sfba;
}