package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author by PIG
 * 2022/6/22 16
 */
@ApiModel("印章信息")
@Data
@Table(name = "user_seal_info")
public class UserSealInfoVo {

    @Column(name = "seal_number")
    @ApiModelProperty("印章编号")
    private String sealNumber;

    @Column(name = "org_name")
    @ApiModelProperty("单位名称")
    private String orgName;

    @Column(name = "seal_name")
    @ApiModelProperty("印章名称")
    private String sealName;

    @Column(name = "seal_md5")
    @ApiModelProperty("接口的userId")
    private String sealMd5;

}
