package com.unis.base.server;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;

import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
@EnableScheduling
@MapperScan("com.unis.base.server.dao")
@org.mybatis.spring.annotation.MapperScan("com.unis.base.server.dao")
@EnableCaching
public class BaseServerApplication
{
    public static void main( String[] args )
    {
        SpringApplication.run(BaseServerApplication.class, args);
        System.out.println("-----------------------------启动成功--------------------------");
    }
}

