package com.unis.base.server.dao;
import java.util.List;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import com.unis.base.common.vo.ProfitVO;
import com.unis.base.server.entity.SYdsjDO;
import com.unis.base.server.entity.SinkpointRecordsDO;
import tk.mybatis.mapper.common.Mapper;
/**
 * @Title:ProfitMapper.java
 * @Package: com.unis.base.server.entity
 * @Description: 功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月30日 下午3:52:49
 * @version V1.0
*/
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface ProfitDao extends Mapper<SinkpointRecordsDO>{

	/**
	 * @Title: findPageList
	 * @Description: 方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param profitVO
	 * @param @return    设定文件
	 * @return List<SYdsjDO>    返回类型
	 * @throws
	*/
	public List<SYdsjDO> findPageList(ProfitVO profitVO);

	/**
	 * @Title: deleteProfit
	 * @Description: 方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param sybh
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	public int deleteByPrimaryKey(String sybh);

	/**
	 * @Title: insert
	 * @Description: 方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param s0
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/

	public int insertSelective(SYdsjDO s0);

	/**
	 * @return
	 * @Title: updateByPrimaryKey
	 * @Description: 方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param sydbh    设定文件
	 * @return void    返回类型
	 * @throws
	*/
	public int updateByPrimaryKey(SYdsjDO s0);

}
