package com.unis.base.server.dao;
import java.util.List;

import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.TyCrkxxPageVO;
import com.unis.base.server.entity.TyCrkxxDO;
import com.unis.base.server.example.TyCrkxxExample;

import tk.mybatis.mapper.common.Mapper;

/**
 *  出入库信息
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyCrkxxDao extends Mapper<TyCrkxxDO> {
    int countByExample(TyCrkxxExample example);

//    int deleteByExample(TyCrkxxExample example);
//
//    int deleteByPrimaryKey(String crkid);

    int insert(TyCrkxxDO record);

    int insertSelective(TyCrkxxDO record);

//    List<TyCrkxxDO> selectByExample(TyCrkxxExample example);

//    TyCrkxxDO selectByPrimaryKey(String crkid);
    TyCrkxxDO selectByKey(String crkid);
//
//    int updateByExampleSelective(@Param("record") TyCrkxxDO record, @Param("example") TyCrkxxExample example);
//
//    int updateByExample(@Param("record") TyCrkxxDO record, @Param("example") TyCrkxxExample example);
//
//    int updateByPrimaryKeySelective(TyCrkxxDO record);

    int updateByPrimaryKey(TyCrkxxDO record);
    
    /**
     * @Author lidiaoquan
     * @version V1.0
     * @Description 出入库分页 包含合同信息
     * @Date 2019年9月24日 下午2:05:30
     * @return List<T>
     */
    List<TyCrkxxPageVO> selectPageList(TyCrkxxPageVO vo);
}