package com.unis.base.server.dao;

import com.unis.base.server.entity.TyXzzyxxDO;
import com.unis.base.server.example.TyXzzyxxExample;

import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * 熏蒸作业信息
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyXzzyxxDao extends Mapper<TyXzzyxxDO> {
	
    int countByExample(TyXzzyxxExample example);

//    int deleteByExample(TyXzzyxxExample example);
//
//    int deleteByPrimaryKey(String xzzyid);

    int insert(TyXzzyxxDO record);

    int insertSelective(TyXzzyxxDO record);

//    List<TyXzzyxxDO> selectByExample(TyXzzyxxExample example);

//    TyXzzyxxDO selectByPrimaryKey(String xzzyid);
    TyXzzyxxDO selectByKey(String xzzyid);
//
//    int updateByExampleSelective(@Param("record") TyXzzyxxDO record, @Param("example") TyXzzyxxExample example);
//
//    int updateByExample(@Param("record") TyXzzyxxDO record, @Param("example") TyXzzyxxExample example);
//
//    int updateByPrimaryKeySelective(TyXzzyxxDO record);

    int updateByPrimaryKey(TyXzzyxxDO record);

    List<TyXzzyxxDO> selectAlls(TyXzzyxxDO xzzyxxDO);

	/**
	 * 熏蒸作业信息-更改备案状态
	 * @param updateMap
	 * @return
	 */
	int updateFumigationOperationStatus(Map<String, Object> updateMap);
}