package com.unis.base.server.dao;

import com.unis.base.server.entity.UserSealRoleDo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

/**
 * @author by PIG
 * 2022/6/22 16
 */
@Transactional(rollbackFor = Exception.class)
public interface UserSealRoleDao extends Mapper<UserSealRoleDo> {

    @Select("select seals from usercenter.sys_user_info where user_loginname = #{accountName, jdbcType=VARCHAR} and state_code = 1")
    String getSealsByAccount(@Param("accountName") String accountName);
}
