package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 或为信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_HWXXSJY")
public class DHwxxsjyDO extends BaseEntity  {

	/**
	 * 货位编号
	 */
	@Column(name = "hwbh")
	private String hwbh;

	/**
	 * 货位名称
	 */
	@Column(name = "hwmc")
	private String hwmc;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
	private String cfbh;


	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
	private String cfmc;

	/**
	 * 启用日期
	 */
	@Column(name = "qyrq")
	private Date qyrq;
	/**
	 * 货位状态
	 */
	@Column(name = "hwzt")
	private String hwzt;
	/**
	 * 货位仓容
	 */
	@Column(name = "hwcr")
	private Integer hwcr;
}
