package com.unis.base.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.SecondaryTable;
import javax.persistence.SecondaryTables;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/19 18:23
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBWHXX")

public class DsbwhxxDO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @Column(name = "sbbh")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @Column(name = "sbyqmc")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @Column(name = "kddm")
    private String kddm;

    /**
     * 设备分类
     */
    @Column(name = "sbfl")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @Column(name = "sbflbh")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @Column(name = "ssfl")
    private String ssfl;


    /**
     * 维护方式
     */
    @Column(name = "whfs")
    private String whfs;

    /**
     * 维护费用
     */
    @Column(name = "whfy")
    private String whfy;

    /**
     *  维护人员
     */
    @Column(name = "whry")
    private String whry;

    /**
     *  维护说明
     */
    @Column(name = "whsm")
    private String whsm;

    /**
     *  维护人联系方式
     */
    @Column(name = "whrlxfs")
    private String whrlxfs;

    /**
     * 维护时间
     */
    @Column(name = "WHSJ")
    private Date whsj;



    /**
     * 设备维护单位
     */
    @Column(name = "whdw")
    private String whdw;

    /**
     * 设备型号
     */
    @Column(name = "sblx")
    private  String sblx;
}
