package com.unis.base.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title EquipmentTypeDO
 * @ProjectName 设备类型实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBLXSJY")
public class EquipmentTypeDO extends BaseEntity {

    @ApiModelProperty(value = "设备类型编号", notes ="设备类型编号", required = false)
    @Id
    @Column(name = "sblxbh")
    private String sblxbh;

    @ApiModelProperty(value = "设备类型名称", notes ="设备类型名称", required = false)
    @Column(name = "sblxmc")
    private String sblxmc;

    @ApiModelProperty(value = "规格型号编码", notes ="规格型号编码", required = false)
    @Column(name = "ggxhbm")
    private String ggxhbm;

    @ApiModelProperty(value = "规格型号名称", notes ="规格型号名称", required = false)
    @Column(name = "ggxhmc")
    private String ggxhmc;

    @ApiModelProperty(value = "设备名称编码", notes ="设备名称编码", required = false)
    @Column(name = "sbmcbm")
    private String sbmcbm;

    @ApiModelProperty(value = "设备名称", notes ="设备名称", required = false)
    @Column(name = "sbmc")
    private String sbmc;

    @ApiModelProperty(value = "资产编码", notes ="资产编码", required = false)
    @Column(name = "zcbm")
    private String zcbm;

    @ApiModelProperty(value = "库存数量", notes ="库存数量", required = false)
    @Column(name = "kcsl")
    private Integer kcsl;

    @ApiModelProperty(value="所属企业信用代码")
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "设备类型名称编号", notes ="设备类型名称编号", required = false)
    @Column(name = "sblxmcbh")
    private String sblxmcbh;





}
