package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@ApiModel(value = "文件信息")
@Table(name = "tz_file")
public class FileDo extends BaseEntity{

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    @Column(name = "qy_id")
    private String qyId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    @Column(name = "file_id")
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件", notes ="文件类型0、附件。1、文件", required = false)
    @Column(name = "file_type")
    private Integer fileType;
}
