package com.unis.base.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author XMPU
 * @version 1.0
 * @Title WxhxphjglpcjbbDO
 * @ProjectName 废弃危险化学品产生、贮存、利用处置情况表
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "FQWXHXPCSZCLYCLQKB")
public class FqwxhxpcszclyclqkbDO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    @Id
    @Column(name = "ID")
    private String id;

    @ApiModelProperty(value = "序号", notes ="序号", required = false)
    @Column(name = "XH")
    private String xh;

    @ApiModelProperty(value = "危险化学品品名", notes ="危险化学品品名", required = false)
    @Column(name = "WXPM")
    private String wxhxpm;

    @ApiModelProperty(value = "CAS号", notes ="CAS号", required = false)
    @Column(name = "CASH")
    private String cash;

    @ApiModelProperty(value = "产生量", notes ="产生量", required = false)
    @Column(name = "CSL")
    private BigDecimal CSL;

    @ApiModelProperty(value = "自行利用处置量kg", notes ="自行利用处置量kg", required = false)
    @Column(name = "ZXLYCZL")
    private BigDecimal ZXLYCZL;

    @ApiModelProperty(value = "委托利用处置量kg", notes ="委托利用处置量kg", required = false)
    @Column(name = "WTLYCZL")
    private BigDecimal WTLYCZL;

    @ApiModelProperty(value = "委托利用处置单位名称", notes ="委托利用处置单位名称", required = false)
    @Column(name = "WTLYCZDWMC")
    private String WTLYCZDWMC;

    @ApiModelProperty(value = "委托利用处置单位是否持有危险废物经营许可证", notes ="委托利用处置单位是否持有危险废物经营许可证", required = false)
    @Column(name = "XKZ")
    private String XKZ;

    @ApiModelProperty(value = "截至目前贮存量", notes ="截至目前贮存量", required = false)
    @Column(name = "ZCL")
    private BigDecimal ZCL;

    @ApiModelProperty(value = "危险废物管理计划，申报登记等执行情况", notes ="危险废物管理计划，申报登记等执行情况", required = false)
    @Column(name = "ZXQK")
    private String ZXQK;

    @ApiModelProperty(value = "负责人", notes ="负责人", required = false)
    @Column(name = "FZR")
    private String FZR;

    @ApiModelProperty(value = "联系方式", notes ="联系方式", required = false)
    @Column(name = "LXFS")
    private String LXFS;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    @Column(name = "KDDM")
    private String kddm;

}
