package com.unis.base.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author XMPU
 * @version 1.0
 * @Title KdBaseInfoDO
 * @ProjectName 库点基础信息
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "KD_BASE_INFO")
public class KdBaseInfoDO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    @Id
    @Column(name = "ID")
    private String id;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    @Id
    @Column(name = "KDDM")
    private String kddm;

    @ApiModelProperty(value = "企业名称", notes ="企业名称", required = false)
    @Column(name = "QYMC")
    private String qymc;

    @ApiModelProperty(value = "库点名称", notes ="库点名称", required = false)
    @Column(name = "KDMC")
    private String kdmc;

    @ApiModelProperty(value = "填报时间", notes ="填报时间", required = false)
    @Column(name = "TBSJ")
    private Date tbsj;

    @ApiModelProperty(value = "行业代码", notes ="行业代码", required = false)
    @Column(name = "HYDM")
    private String hydm;

    @ApiModelProperty(value = "盟市", notes ="盟市", required = false)
    @Column(name = "MS")
    private String ms;

    @ApiModelProperty(value = "旗县", notes ="旗县", required = false)
    @Column(name = "QX")
    private String qx;

    @ApiModelProperty(value = "工业园区", notes ="工业园区", required = false)
    @Column(name = "GYYQ")
    private String gyyq;

    @ApiModelProperty(value = "台账区分code", notes ="1:储量化学药剂保管台账;2:危险化学品环境管理排查基本表;3:废弃危险化学品产生贮存利用处置情况表", required = false)
    @Id
    @Column(name = "TZQF_CODE")
    private String tzqfCode;

}
