package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;

@Data
@ApiModel("人员信息详情表")
@Table(name = "d_geren")
public class PersonnelDO {
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "姓名")
    @Column(name = "name")
    private String name;

    private String rybh;
    private String newly;

    @ApiModelProperty(value = "性别")
    @Column(name = "gender")
    private String gender;


    @ApiModelProperty(value = "岗位")
    @Column(name = "post")
    private String post;

    @ApiModelProperty(value = "政治面貌")
    @Column(name = "political_outlook")
    private String politicalOutlook;

    @ApiModelProperty(value = "联系方式")
    @Column(name = "telephone")
    private String telephone;

    @ApiModelProperty(value = "启用：1，禁用：2")
    @Column(name = "person_status")
    private Integer personStatus;


}
