package com.unis.base.server.entity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 *
 * @ClassName: SYdsjDO
 * @Description:功能描述:	损溢单
 * @author ZHANGQI
 * @date 2019年10月30日 下午3:22:02
 * @remark 备注:
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "S_YDSJ")
public class SYdsjDO extends BaseEntity{

	@ApiModelProperty(value = "SYDBH 损溢单编号", notes = "SYDBH 损溢单编号 ", required = false)
	@Column(name = "SYDBH")
    private String sydbh;

	@ApiModelProperty(value = "HWBM 货位编码", notes = "HWBM 货位编码", required = false)
	@Column(name = "HWBM")
    private String hwbm;

	@ApiModelProperty(value = "RKSL入库数量", notes = "入库数量", required = false)
	@Column(name = "RKSL")
    private Integer rksl;

	@ApiModelProperty(value = "入库时间", notes = "入库时间", required = false)
	@Column(name = "RKSJ")
    private Date rksj;

	@ApiModelProperty(value = "入库水分", notes = "入库水分", required = false)
	@Column(name = "RKSF")
    private Integer rksf;

	@ApiModelProperty(value = "入库杂质", notes = "入库杂质", required = false)
	@Column(name = "RKZZ")
    private Integer rkzz;

	@ApiModelProperty(value = "出库数量", notes = "出库数量", required = false)
	@Column(name = "CKSL")
    private Integer cksl;

	@ApiModelProperty(value = "出库时间", notes = "出库时间", required = false)
	@Column(name = "CKSJ")
    private Date cksj;

	@ApiModelProperty(value = "出库水分", notes = "出库水分", required = false)
	@Column(name = "CKSF")
    private Integer cksf;

	@ApiModelProperty(value = "出库杂质", notes = "出库杂质", required = false)
	@Column(name = "CKZZ")
    private Integer ckzz;

	@ApiModelProperty(value = "损溢数量", notes = "损溢数量", required = false)
	@Column(name = "SYSL")
    private Integer sysl;

	@ApiModelProperty(value = "损溢原因", notes = "损溢原因", required = false)
	@Column(name = "SYYY")
    private String syyy;

	@ApiModelProperty(value = "仓储审核人", notes = "仓储审核人", required = false)
	@Column(name = "CCSHR")
    private String ccshr;

	@ApiModelProperty(value = "质检审核人", notes = "质检审核人", required = false)
	@Column(name = "ZJSHR")
    private String zjshr;

	@ApiModelProperty(value = "统计审核人", notes = "统计审核人", required = false)
	@Column(name = "TJSHR")
    private String tjshr;

	@ApiModelProperty(value = "会计审核人", notes = "会计审核人", required = false)
	@Column(name = "KJSHR")
    private String kjshr;

	@ApiModelProperty(value = "领导审核人", notes = "领导审核人", required = false)
	@Column(name = "LDSHR")
    private String ldshr;

	@ApiModelProperty(value = "备注", notes = "备注", required = false)
	@Column(name = "BZ")
    private String bz;

	@ApiModelProperty(value = "操作标志", notes = "操作标志", required = false)
	@Column(name = "CZBZ")
    private String czbz;

	@ApiModelProperty(value = "组织ID", notes = "组织ID", required = false)
	@Column(name = "ORGID")
    private String orgid;

}
