/*
 * ShouGouZiGeDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-DPSC399A
 */
package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * TY_SHOUGOUZIGE
 * @author lipenghe with LAPTOP-DPSC399A
 */
@ApiModel(value = "TY_SHOUGOUZIGE:真收购资格表")
@Data
@Table(name="TY_SHOUGOUZIGE")
public class ShouGouZiGeDO extends BaseEntity {
    @ApiModelProperty(value = "收购资格id#<主键><唯一><检索><非空>", notes ="收购资格id")
    @Id
    @Column(name="SGZGID")
    private Long sgzgid;

    @ApiModelProperty(value = "营业执照注册号#<检索>", notes ="营业执照注册号")
    @Column(name="YYZZZCH")
    private String yyzzzch;

    @ApiModelProperty(value = "统一社会信用代码#<检索><非空>", notes ="统一社会信用代码")
    @Column(name="TYSHXYDM")
    private String tyshxydm;

    @ApiModelProperty(value = "市场主体名称#<检索><非空>", notes ="市场主体名称")
    @Column(name="SCZTMC")
    private String scztmc;

    @ApiModelProperty(value = "组织机构代码#<检索>", notes ="组织机构代码")
    @Column(name="ZZJGDM")
    private String zzjgdm;

    @ApiModelProperty(value = "许可文件名称", notes ="许可文件名称")
    @Column(name="XKWJMC")
    private String xkwjmc;

    @ApiModelProperty(value = "许可文件编号#<非空>", notes ="许可文件编号")
    @Column(name="XKWJBH")
    private String xkwjbh;

    @ApiModelProperty(value = "许可内容", notes ="许可内容")
    @Column(name="XKNR")
    private String xknr;

    @ApiModelProperty(value = "有效期起#<检索>", notes ="有效期起")
    @Column(name="YXQQ")
    private Long yxqq;

    @ApiModelProperty(value = "有效期止#<检索>", notes ="有效期止")
    @Column(name="YXQZ")
    private Long yxqz;

    @ApiModelProperty(value = "许可机关编码#<检索>", notes ="许可机关编码")
    @Column(name="XKJGBM")
    private String xkjgbm;

    @ApiModelProperty(value = "许可机关编码名称#<检索>", notes ="许可机关编码名称")
    @Column(name="XKJGBMMC")
    private String xkjgbmmc;

    @ApiModelProperty(value = "有效状态#<检索>1有效0无效", notes ="有效状态")
    @Column(name="YXZT")
    private Integer yxzt;

    @ApiModelProperty(value = "数据版本", notes ="数据版本")
    @Column(name="VERSION", updatable = false)
    private Integer version;

    public ShouGouZiGeDO() {
        super();
    }
}