package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyJhxxzbDO
 * @ProjectName 计划信息主表实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_JHXXZB")
public class TyJhxxzbDO extends BaseEntity{
	/**
	 * 油罐编号
	 */
	@Column(name = "jhxxid")
    private String jhxxid;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhh")
    private String jhh;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhbt")
    private String jhbt;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhms")
    private String jhms;

	/**
	 * 油罐编号
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 油罐编号
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 油罐编号
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 油罐编号
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhlx")
    private String jhlx;

	/**
	 * 油罐编号
	 */
	@Column(name = "lsyqsl")
    private BigDecimal lsyqsl;

	/**
	 * 油罐编号
	 */
	@Column(name = "lsnq")
    private String lsnq;

	/**
	 * 油罐编号
	 */
	@Column(name = "lswcsl")
    private BigDecimal lswcsl;

	/**
	 * 油罐编号
	 */
	@Column(name = "lsjg")
    private BigDecimal lsjg;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhkssj")
    private Date jhkssj;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhjzsj")
    private Date jhjzsj;

	/**
	 * 油罐编号
	 */
	@Column(name = "bzsj")
    private Date bzsj;

	/**
	 * 油罐编号
	 */
	@Column(name = "bzrbm")
    private String bzrbm;

	/**
	 * 油罐编号
	 */
	@Column(name = "bzrmc")
    private String bzrmc;

	/**
	 * 油罐编号
	 */
	@Column(name = "shsj")
    private Date shsj;

	/**
	 * 油罐编号
	 */
	@Column(name = "shrbm")
    private String shrbm;

	/**
	 * 油罐编号
	 */
	@Column(name = "shrmc")
    private String shrmc;

	/**
	 * 油罐编号
	 */
	@Column(name = "qfsj")
    private Date qfsj;

	/**
	 * 油罐编号
	 */
	@Column(name = "qfrbm")
    private String qfrbm;

	/**
	 * 油罐编号
	 */
	@Column(name = "qfrmc")
    private String qfrmc;

	/**
	 * 油罐编号
	 */
	@Column(name = "jhzxzt")
    private String jhzxzt;

	/**
	 * 轮换年度
	 */
	@Column(name = "lhnd")
	private String lhnd;

}
