package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 粮情信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_LQMXXX")
public class TyLqmxxxDO extends BaseEntity {
	
	/**
	 * 顺序号
	 */
	@Column(name = "sxh")
	private Integer sxh;
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@Column(name = "lqid")
	private String lqid;
	
	/**
	 * 采集时间 
	 */
	@Column(name = "cjsj")
    private Date cjsj;
	
	/**
	 * 货位编号
	 */
	@Column(name = "hwbm")
    private String hwbm;

	/**
	 * 仓房编号 
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称  
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 测温杆编号
	 */
	@Column(name = "cwgbm")
    private String cwgbm;

	/**
	 * 测温点编号
	 */
	@Column(name = "cwdbm")
    private String cwdbm;

	/**
	 * 测温点X
	 */
	@Column(name = "cwdX")
    private String cwdX;

	/**
	 * 测温点Y
	 */
	@Column(name = "cwdY")
    private String cwdY;

	/**
	 * 测温点Z
	 */
	@Column(name = "cwdZ")
    private String cwdZ;

	/**
	 * 仓房测温值
	 */
	@Column(name = "cfcwz")
    private BigDecimal cfcwz;

}