package com.unis.base.server.entity;


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * 涉粮图片信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_SLTPXX")
public class TySltpxxDO extends BaseEntity {
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@Column(name = "tpid")
    private String tpid;

	/**
	 * 采集拍摄时间 
	 */
	@Column(name = "cjpssj")
    private Date cjpssj;

	/**
	 * 采集上传时间 
	 */
	@Column(name = "cjscsj")
    private Date cjscsj;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称   
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 图片文件名称
	 */
	@Column(name = "tpwjmc")
    private String tpwjmc;

	/**
	 * 图片描述
	 */
	@Column(name = "tpms")
    private String tpms;

	/**
	 * 图片类型	（0001：库区图片；0002：毛总前；0003：毛重后；0004：皮重前；0005皮重后；0006结算前；0007结算后；0008：其他）
	 */
	@Column(name = "tplx")
    private String tplx;

	/**
	 * 图片数据流
	 */
	@Column(name = "tpsjl")
    private String tpsjl;

}