package com.unis.base.server.entity;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TZ_YJQY")
public class TzYjqyDO extends BaseEntity {

	/**
	 * 主键
	 */
	@Id
	@Column(name= "id")
	private Integer id;
	
	/**
	 * 涉粮企业id
	 */
	@Column(name = "QYID")
	private Integer qyid;

	/**
	 * 企业类型名称
	 */
	@Column(name = "qylxmc")
	private String qylxmc;

	/**
	 * 日加工能力-面粉
	 */
	@Column(name = "rjgnl_mf")
	private Integer rjgnlMf;
	/**
	 * 日加工能力-大米
	 */
	@Column(name = "rjgnl_dm")
	private Integer rjgnlDm;
	
	/**
	 * 日加工能力-食用油
	 */
	@Column(name = "rjgnl_syy")
	private Integer rjgnlSyy;

	/**
	 * 日加工能力-其他
	 */
	@Column(name = "rjgnl_qt")
	private Integer rjgnlQt;

	/**
	 * 辐射旗县数（个）
	 */
	@Column(name = "fsqxs")
	private Integer fsqxs;

	/**
	 * 辐射供应网点数量（个）
	 */
	@Column(name = "fsgywdsl")
	private Integer fsgywdsl;

	/**
	 * 日配送能力（吨）
	 */
	@Column(name = "rpsnl")
	private Integer rpsnl;

	/**
	 * 日运输能力（吨）
	 */
	@Column(name = "rysnl")
	private Integer rysnl;

	/**
	 * 运输车辆数量（台）
	 */
	@Column(name = "ysclsl")
	private Integer ysclsl;

	/**
	 *产业化龙头企业
	 */
	@Column(name = "cyhltqy")
	private String cyhltqy;

	/**
	 *放心粮油示范工程1、省，2、市。3、县
	 */
	@Column(name = "fxlysfgc")
	private Short fxlysfgc;

	/**
	 * 全国工业产品呢生产许可证品种
	 */
	@Column(name = "qggycpscxkzpz")
	private Short qggycpscxkzpz;

	/**
	 * 是否主食加工中央厨房  0、否，1、是
	 */
	@Column(name = "sfzsjgzycf")
	private Short sfzsjgzycf;

	/**
	 * 研发中心级别
	 */
	@Column(name = "yfzxjb")
	private String yfzxjb;
	
	
	
	/**
	 * 日供应能力-面粉
	 */
	@Column(name = "rgynl_mf")
	private Integer rgynlMf;
	
	
	/**
	 * 日供应能力-大米
	 */
	@Column(name = "rgynl_dm")
	private Integer rgynlDm;
	
	
	
	/**
	 * 日供应能力-食用油
	 */
	@Column(name = "rgynl_syy")
	private Integer rgynlSyy;
	
	
	
	/**
	 * 日供应能力-其他
	 */
	@Column(name = "rgynl_qt")
	private Integer rgynlQt;

	

	public TzYjqyDO() {
	}
}
