package com.unis.base.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author by PIG
 * 2022/6/22 16
 */
@Data
@AllArgsConstructor
@Table(name = "user_seal_info")
@NoArgsConstructor
public class UserSealInfoDo implements Serializable {

    @Column(name = "seal_number")
    private String sealNumber;

    @Column(name = "org_name")
    private String orgName;

    @Column(name = "seal_name")
    private String sealName;

    @Column(name = "seal_md5")
    private String sealMd5;

    @Column(name = "remark")
    private String remark;
}
