package com.unis.base.server.service;

import java.util.List;
import java.util.Set;

import com.unis.base.common.vo.TzQyjgVO;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.CompanyQueryVO;
import com.unis.base.common.vo.CompanyVO;
import com.unis.base.common.vo.EnterpriseQualificationInformationHisVO;
import com.unis.base.common.vo.EnterpriseQualificationInformationHisqueryVO;
import com.unis.base.common.vo.QyzgQyzgxxVO;
import com.unis.base.common.vo.RandomCompanyQuery;
import com.unis.base.server.entity.TzSlqyDO;


public interface EnterpriseQualificationInformationHisService {

	
	/**
	 * 分页获取企业信息列表
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageInfo<EnterpriseQualificationInformationHisVO> getPage(EnterpriseQualificationInformationHisqueryVO qyzgQyzgxxHisqueryVO,Integer pageNum, Integer pageSize);

	/**
	 * 添加企业信息
	 * @param tzSlqyVO
	 * @return
	 */
	int insert(EnterpriseQualificationInformationHisVO qyzgQyzgxxHisVO);
	
	
	/**
	 * 查看企业资格历史
	 * @param id
	 * @return
	 */
	EnterpriseQualificationInformationHisVO selectByPerimkey(String id);

	
}
