package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyTfzyxxHisQueryVO;
import com.unis.base.common.vo.TyTfzyxxHisVO;

/**
 * @author 张琪
 * @date 2019年9月16日 下午2:37:22
 * @description
 */
public interface TyTfzyxxHisService {

	/**
	 *  分页查询日志信息
	 * @param tyTfzyxxHisQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	public PageInfo<TyTfzyxxHisVO> getTfzyxxHisList(TyTfzyxxHisQueryVO tyTfzyxxHisQueryVO, Integer pageNum,Integer pageSize);

	/**
	 *  根据主键ID获取通风作业历史信息
	 * @param lsId
	 * @return
	 */
	public TyTfzyxxHisVO getAerationHisInfoByLsId(String lsId);

	/**
	 * 新增通风作业历史纪录
	 * @param tyTfzyxxHisVO
	 * @return
	 */
	public int insert(TyTfzyxxHisVO tyTfzyxxHisVO);

}
