/**
 * @Title:ProfitServiceImp.java
 * @Package: com.unis.base.server.service.impl
 * @Description:功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月30日 下午3:39:01
 * @version V1.0
*/
package com.unis.base.server.service.impl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.ProfitVO;
import com.unis.base.server.domain.ProfitDomain;
import com.unis.base.server.service.ProfitService;

/**
 * @ClassName: ProfitServiceImp
 * @Description:功能描述:
 * @author lqg
 * @date 2019年10月30日 下午3:39:01
 * @remark 备注:
*/
@Service
public class ProfitServiceImp implements ProfitService{

	@Autowired
	private ProfitDomain  profitDomain;
	/** (非 Javadoc)
	* <p>Title: getPageList</p>
	* <p>Description: </p>
	* @param profitVO
	* @param pageNum
	* @param pageSize
	* @return
	* @see com.unis.base.server.service.ProfitService#getPageList(com.unis.base.common.vo.ProfitVO, java.lang.Integer, java.lang.Integer)
	*/
	@Override
	public PageInfo<ProfitVO> getPageList(ProfitVO profitVO, Integer pageNum, Integer pageSize) {
		return profitDomain.getPageList(profitVO, pageNum, pageSize);
	}
	/** (非 Javadoc)
	* <p>Title: deleteProfit</p>
	* <p>Description: </p>
	* @param sybh
	* @return
	* @see com.unis.base.server.service.ProfitService#deleteProfit(java.lang.String)
	*/
	@Override
	public int deleteProfit(String sybh) {
		return profitDomain.deleteProfit(sybh);
	}
	/** (非 Javadoc)
	* <p>Title: infoProfit</p>
	* <p>Description: </p>
	* @param profitVO
	* @return
	* @see com.unis.base.server.service.ProfitService#infoProfit(com.unis.base.common.vo.ProfitVO)
	*/
	@Override
	public int infoProfit(ProfitVO profitVO) {
		return profitDomain.infoProfit(profitVO);
	}

}
