package com.unis.base.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyXzzyxxHisQueryVO;
import com.unis.base.common.vo.TyXzzyxxHisVO;
import com.unis.base.server.domain.TyXzzyxxHisDomain;
import com.unis.base.server.service.TyXzzyxxHisService;

/**
 * @author 张琪
 * @date 2019年9月16日 下午6:03:20
 * @description 熏蒸作业
 */
@Service("tyXzzyxxHisService")
public class TyXzzyxxHisServiceImp implements TyXzzyxxHisService{
	@Autowired
	private TyXzzyxxHisDomain tyXzzyxxHisDomain;
	/**
	 * 分页查询条件
	 */
	@Override
	public PageInfo<TyXzzyxxHisVO> getTyXzzyxxHisList(TyXzzyxxHisQueryVO tyXzzyxxHisQueryVO, Integer pageNum,
			Integer pageSize) {
		return tyXzzyxxHisDomain.getTyXzzyxxHisListByQuery(tyXzzyxxHisQueryVO, pageNum, pageSize);
	}

	/**
	 *  根据主键ID获取熏蒸作业历史信息
	 * @param lsId
	 * @return
	 */
	@Override
	public TyXzzyxxHisVO getTyXzzyxxHisInfoByLsId(String lsId) {
		return tyXzzyxxHisDomain.getTyXzzyxxHisInfoByLsId(lsId);
	}

	/**
	 * TyTfzyxxHisVO
	 * 新增熏蒸作业历史记录
	 */
	@Override
	public int insert(TyXzzyxxHisVO tyXzzyxxHisVO) {
		return tyXzzyxxHisDomain.insert(tyXzzyxxHisVO);
	}

}
