package com.unis.base.server.service.impl;

import com.unis.base.common.vo.UserSealInfoVo;
import com.unis.base.server.dao.UserSealRoleDao;
import com.unis.base.server.domain.UserSealRoleDomain;
import com.unis.base.server.service.UserSealRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author by PIG
 * 2022/6/22 16
 */
@Service("userSealRoleService")
public class UserSealRoleServiceImpl implements UserSealRoleService {

    @Autowired
    private UserSealRoleDomain sealRoleDomain;


    @Override
    public List<UserSealInfoVo> listSealInfoByAccountName(String accountName) {
        return sealRoleDomain.listSealInfoByAccountName(accountName);
    }

    @Override
    public List<UserSealInfoVo> listAllSealInfo() {
        return sealRoleDomain.listAllSealInfo();
    }
}
