package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author XMPU
 * @version 1.0
 * @Title ClhxyjbgtzDO
 * @ProjectName 储量化学药剂保管台账
 * @Description
 * @date 2019/07/22 17点26分
 */
@Data
@ApiModel("储量化学药剂保管台账")
public class ClhxyjbgtzVO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    private String id;

    @ApiModelProperty(value = "时间", notes ="时间", required = false)
    private Date sj;

    @ApiModelProperty(value = "摘要", notes ="摘要", required = false)
    private String zy;

    @ApiModelProperty(value = "药剂领用单编号", notes ="药剂领用单编号", required = false)
    private String yjlydbh;

    @ApiModelProperty(value = "收入", notes ="收入", required = false)
    private BigDecimal sr;

    @ApiModelProperty(value = "收入磷化铝粉剂", notes ="收入磷化铝粉剂", required = false)
    private BigDecimal srlhlfj;

    @ApiModelProperty(value = "收入磷化铝片剂", notes ="收入磷化铝片剂", required = false)
    private BigDecimal srlhlpj;

    @ApiModelProperty(value = "收入敌敌畏", notes ="收入敌敌畏", required = false)
    private BigDecimal srddw;

    @ApiModelProperty(value = "收入马拉硫磷", notes ="收入马拉硫磷", required = false)
    private BigDecimal srmlll;

    @ApiModelProperty(value = "支出", notes ="支出", required = false)
    private BigDecimal zc;

    @ApiModelProperty(value = "支出磷化铝粉剂", notes ="支出磷化铝粉剂", required = false)
    private BigDecimal zclhlfj;

    @ApiModelProperty(value = "支出磷化铝片剂", notes ="支出磷化铝片剂", required = false)
    private BigDecimal zclhlpj;

    @ApiModelProperty(value = "支出敌敌畏", notes ="支出敌敌畏", required = false)
    private BigDecimal zcddw;

    @ApiModelProperty(value = "支出马拉硫磷", notes ="支出马拉硫磷", required = false)
    private BigDecimal zcmlll;

    @ApiModelProperty(value = "库存", notes ="库存", required = false)
    private BigDecimal kc;

    @ApiModelProperty(value = "库存磷化铝粉剂", notes ="库存磷化铝粉剂", required = false)
    private BigDecimal kclhlfj;

    @ApiModelProperty(value = "库存磷化铝片剂", notes ="库存磷化铝片剂", required = false)
    private BigDecimal kclhlpj;

    @ApiModelProperty(value = "库存敌敌畏", notes ="库存敌敌畏", required = false)
    private BigDecimal kcddw;

    @ApiModelProperty(value = "库存马拉硫磷", notes ="库存马拉硫磷", required = false)
    private BigDecimal kcmlll;

    @ApiModelProperty(value = "填表人", notes ="填表人", required = false)
    private String tbr;

    @ApiModelProperty(value = "审核人", notes ="审核人", required = false)
    private String shr;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    private String kddm;
}
