package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author ：yangshengjie
 * @date ：Created in 2019/9/19 20:45
 */
@Getter
@Setter
@ApiModel("药剂信息查询业务对象")
public class DYpxxQueryVO{

    /**
     * 药品名称
     */
    @ApiModelProperty("药品名称")
    private String ypmc;
    /**
     * 药剂种类
     */
    @ApiModelProperty("药剂种类")
    private String yjzl;
    /**
     * 月份
     */
    @ApiModelProperty("月份")
    private String month;

    /**
     * 所属库名
     */
    @ApiModelProperty("所属库名")
    private String sskm;
    
    @ApiModelProperty("创建人code")
    private String creatorCode;


    public DYpxxQueryVO(){
        super();
    }

    public DYpxxQueryVO(String ypmc, String month, String sskm) {
        super();
        this.ypmc = ypmc;
        this.month = month;
        this.sskm = sskm;
    }
}
