package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: DqyxxckVO
 * @Description: 企业信息VO
 * @date 2019年12月7日 下午4:15:45
 */
@Getter
@Setter
@ApiModel("企业信息VO")
public class DqyxxckVO {

	@ApiModelProperty(value = "企业名称")
	private String qymc;

	@ApiModelProperty(value = "统一社会信用代码")
	private String tyshxydm;

	@ApiModelProperty(value = "企业性质")
	private String qyxz;

	@ApiModelProperty(value = "所属库点编号")
	private String kddm;


	@ApiModelProperty(value = "所属粮食行政管理部门")
	private String sslsxzglbm;

	@ApiModelProperty(value = "企业人员数量")
    @Column(name = "person_total")
	private Integer personTotal;

    @ApiModelProperty(value = "仓房数量", example = "eg:4321")
    @Column(name = "cf_num")
    private Integer cfNum;

    @ApiModelProperty(value = "仓房数量", example = "eg:4321")
    @Column(name = "hw_num")
    private Integer hwNum;

    @ApiModelProperty(value="库点设计仓容",example = "eg:123   18")
    private BigDecimal sjcr;

}
