package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author WangZL
 * @version 1.0
 * @Title ExamineStampVO
 * @ProjectName 审批盖章业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@Getter
@Setter
@ToString
@ApiModel(value="审批盖章业务对象")
public class ExamineStampVO {

    @ApiModelProperty(value="业务id",required = true)
    private String id;

    @ApiModelProperty(value="状态，0，驳回，1，通过",required = true)
    private Integer status;

    @ApiModelProperty(value="审批意见",required = true)
    private String message;

    public ExamineStampVO(String id, Integer status, String message) {
        super();
        this.id = id;
        this.status = status;
        this.message = message;
    }

    public ExamineStampVO() {
    }
}
