/*
* SysUserVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
* 2020-11-09 10:24:17 created by lipenghe with LAPTOP-IJQ2SDFV
*/
package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 导入配置
 * @author lipenghe at 2020-11-09 10:24:17
 */
@ApiModel(value = "导入配置",description="A")
@Data
public class ImportConfigVO  implements Serializable{

    @ApiModelProperty(value = "导入的栏目id")
    private Long channelId;

    @ApiModelProperty(value = "是否导入到当前栏目下,哪怕数据指向其他栏目,如果是否则根据CHNL_CODE和CHNL_NAME")
    private boolean importToCurrent=true;

    @ApiModelProperty(value = "在importToCurrent=false的情况下,根据CHNL_CODE和CHNL_NAME进行导入")
    private String importByData;

    @ApiModelProperty(value = "导入方式,excel,zip,xml")
    private String importType;

    @ApiModelProperty(value = "重复数据是跳过还是更新")
    private boolean ignoreExists=true;


}