package com.unis.base.common.vo;

import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description: ${}
 * @date 2019/10/3121:06
 */
public class NatureTransVo extends BaseEntity{

    @ApiModelProperty(value = "XZZBDBH 性质转变单编号", notes = "XZZBDBH 性质转变单编号 ", required = false)
    @Column(name = "XZZBDBH")
    private String xzzbdbh;


    @ApiModelProperty(value = "CFBH 仓房编码", notes = "CFBH 仓房编码 ", required = false)
    @Column(name = "CFBH")
    private String cfbh;


    @ApiModelProperty(value = "CFBH 货位编码", notes = "CFBH 货位编码 ", required = false)
    @Column(name = "HWBH")
    private String hwbm;


    @ApiModelProperty(value = "CFBH 粮食数量", notes = "CFBH 粮食数量 ", required = false)
    @Column(name = "LSSL")
    private Integer lssl;


    @ApiModelProperty(value = "HZSL 划转数量", notes = "HZSL 划转数量 ", required = false)
    @Column(name = "HZSL")
    private Integer hzsl;


    @ApiModelProperty(value = "BZWH 批准文号", notes = "BZWH 批准文号 ", required = false)
    @Column(name = "BZWH")
    private String bzwh;


    @ApiModelProperty(value = "LSPZ 粮食品种", notes = "LSPZ 粮食品种 ", required = false)
    @Column(name = "LSPZ")
    private String lspz;


    @ApiModelProperty(value = "YKCXZ 原库存性质", notes = "YKCXZ 原库存性质 ", required = false)
    @Column(name = "YKCXZ")
    private String ykcxz;


    @ApiModelProperty(value = "ZRXZ 转入性质", notes = "ZRXZ 转入性质 ", required = false)
    @Column(name = "ZRXZ")
    private String zrxz;


    @ApiModelProperty(value = "HZSJ 划转时间", notes = "HZSJ 划转时间 ", required = false)
    @Column(name = "HZSJ")
    private Date hzsj;


    @ApiModelProperty(value = "CCSHR 仓储审核人", notes = "CCSHR 仓储审核人 ", required = false)
    @Column(name = "CCSHR")
    private String ccshr;


    @ApiModelProperty(value = "ZJSHR 仓储审核人", notes = "ZJSHR 仓储审核人 ", required = false)
    @Column(name = "ZJSHR")
    private String zjshr;


    @ApiModelProperty(value = "TISHR 统计审核人", notes = "TISHR 统计审核人 ", required = false)
    @Column(name = "TISHR")
    private String tjshr;


    @ApiModelProperty(value = "KJSHR 会计审核人", notes = "KJSHR 会计审核人 ", required = false)
    @Column(name = "KJSHR")
    private String kjshr;


    @ApiModelProperty(value = "LDSHR 领导审核人", notes = "LDSHR 领导审核人 ", required = false)
    @Column(name = "LDSHR")
    private String ldshr;


    @ApiModelProperty(value = "BZ 备注", notes = "BZ 备注 ", required = false)
    @Column(name = "BZ")
    private String bz;


    @ApiModelProperty(value = "CZBZ 操作标志", notes = "CZBZ 操作标志 ", required = false)
    @Column(name = "CZBZ")
    private String czbz;


//    @ApiModelProperty(value = "STATUS 状态", notes = "STATUS 状态 ", required = false)
//    @Column(name = "STATUS")
//    private BigDecimal status;


//    @ApiModelProperty(value = "CREATOR 创建人", notes = "CREATOR 创建人 ", required = false)
//    @Column(name = "CREATOR")
//    private String creator;


//    @ApiModelProperty(value = "CREATE_CODE 创建编码", notes = "CREATE_CODE 创建编码 ", required = false)
//    @Column(name = "CREATE_CODE")
//    private String creatorCode;


//    @ApiModelProperty(value = "CREATE_DATE 创建日期", notes = "CREATE_DATE 创建日期 ", required = false)
//    @Column(name = "CREATE_DATE")
//    private Date createDate;


//    @ApiModelProperty(value = "REFRESHER 刷新人", notes = "REFRESHER 刷新人 ", required = false)
//    @Column(name = "REFRESHER")
//    private String refresher;


//    @ApiModelProperty(value = "REFRESH_CODE 刷新人编码", notes = "REFRESH_CODE 刷新人编码 ", required = false)
//    @Column(name = "REFRESHER_CODE")
//    private String refresherCode;


//    @ApiModelProperty(value = "REFRESH_TIME 刷新时间", notes = "REFRESH_TIME 刷新时间 ", required = false)
//    @Column(name = "REFRESH_TIME")
//    private Date refreshTime;


//    @ApiModelProperty(value = "CFBH 备注", notes = "CFBH 备注 ", required = false)
//    @Column(name = "REMARK")
//    private String remark;
}
