package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class OtherCertificatesVO {
    @ApiModelProperty(value = "人员编号")
    private String rybh;
    @ApiModelProperty(value = "人员编号")
    private String skillLevel;
    @ApiModelProperty(value = "专业")
    private String speciality;
    @ApiModelProperty(value = "领证时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date acquisitionTime;

}
