/**
 * @Title:ProfitVO.java
 * @Package: com.unis.base.common.vo
 * @Description:功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月30日 下午3:29:03
 * @version V1.0
*/
package com.unis.base.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ProfitVO
 * @Description:功能描述:
 * @author ZHANGQI
 * @date 2019年10月30日 下午3:29:03
 * @remark 备注:
*/
@SuppressWarnings("serial")
public class ProfitVO  extends BaseEntity {

	@ApiModelProperty(value = "SYDBH 损溢单编号", notes = "SYDBH 损溢单编号 ", required = false)
    private String sydbh;

	@ApiModelProperty(value = "HWBM 货位编码", notes = "HWBM 货位编码", required = false)
    private String hwbm;

	@ApiModelProperty(value = "RKSL入库数量", notes = "入库数量", required = false)
    private Integer rksl;

	@ApiModelProperty(value = "入库时间", notes = "入库时间", required = false)
    private Date rksj;

	@ApiModelProperty(value = "入库水分", notes = "入库水分", required = false)
    private Integer rksf;

	@ApiModelProperty(value = "入库杂质", notes = "入库杂质", required = false)
    private Integer rkzz;

	@ApiModelProperty(value = "出库数量", notes = "出库数量", required = false)
    private Integer cksl;

	@ApiModelProperty(value = "出库时间", notes = "出库时间", required = false)
    private Date cksj;

	@ApiModelProperty(value = "出库水分", notes = "出库水分", required = false)
    private Integer cksf;

	@ApiModelProperty(value = "出库杂质", notes = "出库杂质", required = false)
    private Integer ckzz;

	@ApiModelProperty(value = "损溢数量", notes = "损溢数量", required = false)
    private Integer sysl;

	@ApiModelProperty(value = "损溢原因", notes = "损溢原因", required = false)
    private String syyy;

	@ApiModelProperty(value = "仓储审核人", notes = "仓储审核人", required = false)
    private String ccshr;

	@ApiModelProperty(value = "质检审核人", notes = "质检审核人", required = false)
    private String zjshr;

	@ApiModelProperty(value = "统计审核人", notes = "统计审核人", required = false)
    private String tjshr;

	@ApiModelProperty(value = "会计审核人", notes = "会计审核人", required = false)
    private String kjshr;

	@ApiModelProperty(value = "领导审核人", notes = "领导审核人", required = false)
    private String ldshr;

	@ApiModelProperty(value = "备注", notes = "备注", required = false)
    private String bz;

	@ApiModelProperty(value = "操作标志", notes = "操作标志", required = false)
    private String czbz;

	@ApiModelProperty(value = "组织ID", notes = "组织ID", required = false)
    private String orgid;
}
