package com.unis.base.common.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Classname QyxypjDr
 * @Description 企业信息化导入类
 * @Date 2023/11/2 09:26
 * @Created by rising123sun
 */
@Data
public class QyxypjDr {
    // 企业名称	统一社会信用代码  上级单位	评价年度	分数	评价等级
    @ApiModelProperty(value = "企业名称")
    @ExcelProperty(value = "企业名称")
    private String qymc;

    @ApiModelProperty(value = "统一社会信用代码")
    @ExcelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "上级单位")
    @ExcelProperty(value = "上级单位")
    private String sjdw;

    @ApiModelProperty(value = "评价年度")
    @ExcelProperty(value = "评价年度")
    private String pjnd;

    @ApiModelProperty(value = "分数")
    @ExcelProperty(value = "分数")
    private String fs;

    @ApiModelProperty(value = "评价等级")
    @ExcelProperty(value = "评价等级")
    private String pjdj;

}
