package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 随机企业信息实体
 * @Description
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel(value="随机抽取企业查询信息")
public class RandomCompanyQuery {

	/**
	 * 企业数量
	 */
	@ApiModelProperty(value="企业数量")
	private Integer qysl;

	/**
	 * 被检企业选择方式
	 */
	@ApiModelProperty(value="被检企业选择方式： 0、单一。1、组合")
	private Integer bjqyxzfs;

	/**
	 * 当前组织信息
	 */
	@ApiModelProperty(value="组织类型id")
	private String orgId;


	/**
	 * 企业类型列表
	 */
	@ApiModelProperty(value="企业类型编号数组")
	private String[] qylxList;


	/**
	 * 规避企业列表
	 */
	@ApiModelProperty(value="规避企业编号数组")
	private String[] qyxxList;


	@ApiModelProperty(value="规避企业区域编号数组")
	private String[] qyjgdmList;


	@ApiModelProperty(value = "入统状态0：停用。1：启用", notes ="入统状态0：停用。1：启用", required = false)
	private Integer rtzt;

	@ApiModelProperty(value = "是否最高最低企业", notes ="是否最高最低企业", required = false)
	private String sfzdzgqy;

	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	private Integer sfjysgzg;


	@ApiModelProperty(value="区域编码,对应zccity,txcity 注册地/所在地的区编码")
	private String areaCode;

	@ApiModelProperty(value="所属粮食行政管理部门")
	private String sslsxzglbm;

	/*@ApiModelProperty(value="粮食收购许可证发证机关,对应的也是areaCode")
	private String lssgxkzfzjg;*/
}
