package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class ReportVO {
    private String rybh;
    @ApiModelProperty(value = "职称等级")
    private String title;

    @ApiModelProperty(value = "证书编号")
    private String reportNumber;

    @ApiModelProperty(value = "领证时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date releaseTime;

    @ApiModelProperty(value = "荣誉证书专业")
    private String reportName;
    private String telphone;

    @ApiModelProperty(value = "荣誉证书名称")
    private String honoraryName;

    @ApiModelProperty(value = "签发机关")
    private String authoritys;

    @ApiModelProperty(value = "荣誉称号")
    private String honoraryTitle;

}
