package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class SgzgLineVO {

    @ApiModelProperty(value = "年开始", notes = "年开始", example = "2019")
    private Integer yearStart;

    @ApiModelProperty(value = "年结束", notes = "年结束", example = "2020")
    private Integer yearEnd;


    @ApiModelProperty(value = "月开始", notes = "月开始", example = "01")
    private Integer monthStart;

    @ApiModelProperty(value = "月结束", notes = "月结束", example = "05")
    private Integer monthEnd;


    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;
    @ApiModelProperty(value = "结束时间")
    private Date endTime;



    @ApiModelProperty(value="是否具有收购资格0、否。1、有")
    private Integer sfjysgzg;

    private Integer yxDateNum;

    @ApiModelProperty(value="企业性质")
    private List<String> qyxzList;
}
