/*
* QybgsqVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
*  created by lipenghe with LAPTOP-DPSC399A
*/
package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * TY_QYBGSQ-企业变更申请表
 * @author lipenghe at 
 */
@Data
public class SimpeCompanyBarVO implements Serializable{

    @ApiModelProperty(value = "数量")
    private Integer num;

    @ApiModelProperty(value = "企业性质")
    private String qyxz;

    public SimpeCompanyBarVO(){
        super();
    }
}