package com.unis.base.common.vo;


import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 涉粮图片信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("涉粮图片信息实体类")
public class TySltpxxVO extends BaseEntity {
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@ApiModelProperty("涉粮图片id")
    private String tpid;

	/**
	 * 采集拍摄时间 
	 */
	@ApiModelProperty("采集拍摄时间 ")
    private Date cjpssj;

	/**
	 * 采集上传时间 
	 */
	@ApiModelProperty("采集上传时间")
    private Date cjscsj;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty(value="所属库点编码",required = true)
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码
	 */
	@ApiModelProperty(value="所属企业代码 （统一社会信用代码）",required = true)
    private String ssqydm;

	/**
	 * 所属企业名称   
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 图片文件名称
	 */
	@ApiModelProperty("图片文件名称")
    private String tpwjmc;

	/**
	 * 图片描述
	 */
	@ApiModelProperty("图片描述")
    private String tpms;

	/**
	 * 图片类型	（0001：库区图片；0002：毛总前；0003：毛重后；0004：皮重前；0005皮重后；0006结算前；0007结算后；0008：其他）
	 */
	@ApiModelProperty("图片类型	（0001：库区图片；0002：毛总前；0003：毛重后；0004：皮重前；0005皮重后；0006结算前；0007结算后；0008：其他）")
    private String tplx;

	/**
	 * 图片数据流
	 */
	@ApiModelProperty("图片数据流")
    private String tpsjl;

	public TySltpxxVO(String tpid, Date cjpssj, Date cjscsj, String sskddm, String sskdmc, String ssqydm, String ssyqmc,
			String tpwjmc, String tpms, String tplx, String tpsjl) {
		super();
		this.tpid = tpid;
		this.cjpssj = cjpssj;
		this.cjscsj = cjscsj;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.tpwjmc = tpwjmc;
		this.tpms = tpms;
		this.tplx = tplx;
		this.tpsjl = tpsjl;
	}
	
	public TySltpxxVO() {
		
	}
	
	

}