package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业类型实体类")
public class TzQylxVO extends BaseEntity {

	/**
	 * 主键
	 */
	@ApiModelProperty(value="主键id")
    private Long id;

	/**
	 * 涉粮企业id
	 */
	@ApiModelProperty(value = "涉粮企业id")
    private Long qyid;

	/**
	 * 企业类型名称
	 */
	@ApiModelProperty(value = "企业类型名称")
    private String qylxmc;

	/**
	 * 企业类型编号
	 */
	@ApiModelProperty(value = "企业类型编号")
    private String qylxbh;

	/**
	 *  是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
	 */
	@ApiModelProperty(value = "是否备案（0，未备案，1，待提交，2待审核，3已驳回，4，已备案）")
	private String sfba;
}
