package com.unis.base.common.vo;

import javax.persistence.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="应急企业实体")
public class TzYjqyVO {

	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键id")
	private Integer id;

	/**
	 * 涉粮企业id
	 */
	@ApiModelProperty(value = "涉粮企业id")
	private Integer qyid;
	
	/**
	 * 企业类型名称
	 */
	@ApiModelProperty(value = "企业类型名称")
	private String qylxmc;

	/**
	 * 日加工能力-面粉
	 */
	@ApiModelProperty(value = "日加工能力-面粉")
	private Integer rjgnlMf;
	/**
	 * 日加工能力-大米
	 */
	@ApiModelProperty(value = "日加工能力-大米")
	private Integer rjgnlDm;
	
	/**
	 * 日加工能力-食用油
	 */
	@ApiModelProperty(value = "日加工能力-食用油")
	private Integer rjgnlSyy;

	/**
	 * 日加工能力-其他
	 */
	@ApiModelProperty(value = "日加工能力-其他")
	private Integer rjgnlQt;

	/**
	 * 辐射旗县数（个）
	 */
	@ApiModelProperty(value = "辐射旗县数（个）")
	private Integer fsqxs;

	/**
	 * 辐射供应网点数量（个）
	 */
	@ApiModelProperty(value = "辐射供应网点数量（个）")
	private Integer fsgywdsl;

	/**
	 * 日配送能力（吨）
	 */
	@ApiModelProperty(value = "日配送能力（吨）")
	private Integer rpsnl;

	/**
	 * 日运输能力（吨）
	 */
	@ApiModelProperty(value = "日运输能力（吨）")
	private Integer rysnl;

	/**
	 * 运输车辆数量（台）
	 */
	@ApiModelProperty(value = "运输车辆数量（台）")
	private Integer ysclsl;

	/**
	 *产业化龙头企业
	 */
	@ApiModelProperty(value = "产业化龙头企业")
	private String cyhltqy;

	/**
	 *放心粮油示范工程1、省，2、市。3、县
	 */
	@ApiModelProperty(value = "放心粮油示范工程1、省，2、市。3、县")
	private Short fxlysfgc;

	/**
	 * 全国工业产品呢生产许可证品种
	 */
	@ApiModelProperty(value = "全国工业产品呢生产许可证品种")
	private Short qggycpscxkzpz;

	/**
	 * 是否主食加工中央厨房  0、否，1、是
	 */
	@ApiModelProperty(value = "是否主食加工中央厨房  0、否，1、是")
	private Short sfzsjgzycf;

	/**
	 * 研发中心级别
	 */
	@ApiModelProperty(value = "研发中心级别")
	private String yfzxjb;
	
	
	/**
	 * 日供应能力-面粉
	 */
	@ApiModelProperty(value = "日供应能力-面粉")
	private Integer rgynlMf;
	
	
	/**
	 * 日供应能力-大米
	 */
	@ApiModelProperty(value = "日供应能力-大米")
	private Integer rgynlDm;
	
	
	
	/**
	 * 日供应能力-食用油
	 */
	@ApiModelProperty(value = "日供应能力-食用油")
	private Integer rgynlSyy;
	
	
	
	/**
	 * 日供应能力-其他
	 */
	@ApiModelProperty(value = "日供应能力-其他")
	private Integer rgynlQt;
	
	
	
	public TzYjqyVO() {
	}



	public TzYjqyVO(Integer id, Integer qyid, String qylxmc, Integer rjgnlMf, Integer rjgnlDm, Integer rjgnlSyy,
			Integer rjgnlQt, Integer fsqxs, Integer fsgywdsl, Integer rpsnl, Integer rysnl, Integer ysclsl,
			String cyhltqy, Short fxlysfgc, Short qggycpscxkzpz, Short sfzsjgzycf, String yfzxjb, Integer rgynlMf,
			Integer rgynlDm, Integer rgynlSyy, Integer rgynlQt) {
		super();
		this.id = id;
		this.qyid = qyid;
		this.qylxmc = qylxmc;
		this.rjgnlMf = rjgnlMf;
		this.rjgnlDm = rjgnlDm;
		this.rjgnlSyy = rjgnlSyy;
		this.rjgnlQt = rjgnlQt;
		this.fsqxs = fsqxs;
		this.fsgywdsl = fsgywdsl;
		this.rpsnl = rpsnl;
		this.rysnl = rysnl;
		this.ysclsl = ysclsl;
		this.cyhltqy = cyhltqy;
		this.fxlysfgc = fxlysfgc;
		this.qggycpscxkzpz = qggycpscxkzpz;
		this.sfzsjgzycf = sfzsjgzycf;
		this.yfzxjb = yfzxjb;
		this.rgynlMf = rgynlMf;
		this.rgynlDm = rgynlDm;
		this.rgynlSyy = rgynlSyy;
		this.rgynlQt = rgynlQt;
	}
}
