/*
* XzqhListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
*  created by lipenghe with LAPTOP-DPSC399A
*/
package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * TY_XZQHB-无表注释
 * @author lipenghe at 
 */
@ApiModel(value = "TY_XZQHB:无表注释-XzqhListVO")
@Data
@Table(name= "TY_XZQHB")
public class XzqhListVO implements Serializable{

    @ApiModelProperty(value = "无字段注释 #<主键><唯一><检索><非空>", notes = "无字段注释 ", example = "无字段注释 #<主键><唯一><检索><非空>")
    @Id
    @Column(name= "QHID")
    private String qhid;

    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "注释 ")
    @Column(name= "XZQH")
    private String xzqh;

    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "无字段注释 #<检索>")
    @Column(name= "FZDW")
    private String fzdw;

    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "无字段注释 #<检索>")
    @Column(name= "XZQHMC")
    private String xzqhmc;

    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "注释 ")
    @Column(name= "FZDWBM")
    private String fzdwbm;

    public XzqhListVO(){
        super();
    }
}