package com.unis.base.common.vo.echarts.simpleBar;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.unis.base.common.vo.echarts.XAxis;
import com.unis.base.common.vo.echarts.YAxis;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "简单柱状图")
public class SimpleBar {
    @ApiModelProperty(value = "x轴")
    @JsonProperty(value="xAxis")
    private XAxis xAxis=new XAxis();

    @ApiModelProperty(value = "y轴")
    @JsonProperty(value="yAxis")
    private YAxis yAxis=new YAxis();

    @ApiModelProperty(value = "数据")
    private List<SimpleBarSeries> series=new ArrayList<>();

}
