package com.unis.base.server.dao;

import com.unis.base.common.vo.CcsbtzjsmxVO;
import com.unis.base.common.vo.CcsstzjsmxVO;
import com.unis.base.common.vo.OrganizationInfo;
import com.unis.base.server.entity.CcsbtzjsmxDO;
import com.unis.base.server.entity.CcsstzjsmxDO;
import com.unis.user.common.vo.org.OrgainzeVO;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @Classname CcsstzjsmxDao
 * @Description TODO
 * @Date 2024/1/2 10:52
 * @Created by rising123sun
 */
@org.apache.ibatis.annotations.Mapper
@Repository
public interface CcsstzjsmxDao extends Mapper<CcsstzjsmxDO> {

    CcsstzjsmxDO queryBySbnfAndOrgCode(String sbnf, String orgCode);

    List<CcsstzjsmxVO> queryPageList(CcsstzjsmxVO ccsstzjsmxVO);

    List<CcsstzjsmxDO> queryLastYearDataForList(String sbnf, String orgCode);
}
