package com.unis.base.server.dao;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.DYpxxVO;
import com.unis.base.server.entity.DYpxxDO;

import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 * create by: yangshengjie
 * create time: 2019/9/19 20:11
 *
 * @ClassName: DYpxxDao
 * @Description: DYpxxDao
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DYpxxDao extends Mapper<DYpxxDO> {

    /**
     * create by: yangshengjie
     * create time: 2019/9/20 17:28
     *
     * @return List
     * @Param: dYpxxDO
    */
    List<DYpxxDO> findYpxxList(DYpxxDO dYpxxDO);

	/**
	 * @param updateMap
	 * @return
	 */
	int updateMedicineinfoStatus(Map<String, Object> updateMap);

	/**
	 * @param dYpxxDO
	 * @return
	 */
	DYpxxDO selectById(DYpxxDO dYpxxDO);

}
