package com.unis.base.server.dao;

import com.unis.base.common.vo.*;
import com.unis.base.server.entity.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 *
 * @ClassName: QyxypjDao
 * @Description: QyxypjDao
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface QyxypjDao extends Mapper<QyxypjDcDO> {

    List<QyxypjDcDO> queryPageList(QyxypjDcVO qyxypjDcVO);

    @Select("select max(CAST(pjnd  AS SIGNED)) from qyxypjdc where zt = '已提交'")
    String getNewPjnd();

    void updateBatch(QyxypjDcDO qyxypjDcDO1);

    @Update("update qyxypjdc set zt = '已提交' where zt = '待提交'")
    void updateBatchTj();
}
