package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import tk.mybatis.mapper.common.Mapper;

import com.unis.base.server.entity.DYgxxsjyDO;
import com.unis.base.server.entity.TyHtxxDO;
import com.unis.base.server.example.TyHtxxExample;

/**
 * 
 * @ClassName: DYgxxsjyDao 
 * @Description: DYgxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyHtxxDao extends Mapper<TyHtxxDO> {
	
    int countByExample(TyHtxxExample example);

//    int deleteByExample(TyHtxxExample example);
//
//    int deleteByPrimaryKey(String htxxid);

    int insert(TyHtxxDO record);

    int insertSelective(TyHtxxDO record);

//    List<TyHtxxDO> selectByExample(TyHtxxExample example);

//    TyHtxxDO selectByPrimaryKey(String htxxid);
    TyHtxxDO selectByKey(String htxxid);
//
//    int updateByExampleSelective(@Param("record") TyHtxxDO record, @Param("example") TyHtxxExample example);
//
//    int updateByExample(@Param("record") TyHtxxDO record, @Param("example") TyHtxxExample example);
//
//    int updateByPrimaryKeySelective(TyHtxxDO record);

    int updateByPrimaryKey(TyHtxxDO record);


    List<TyHtxxDO> selectAlls(TyHtxxDO dCfxxsjyDO);
}