package com.unis.base.server.dao;

import com.unis.base.server.entity.TyJhxxzbDO;
import com.unis.base.server.example.TyJhxxzbExample;
import tk.mybatis.mapper.common.Mapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 *  计划信息主表 
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyJhxxzbDao extends Mapper<TyJhxxzbDO> {
	
    int countByExample(TyJhxxzbExample example);

//    int deleteByExample(TyJhxxzbExample example);
//
//    int deleteByPrimaryKey(String jhxxid);

    int insert(TyJhxxzbDO record);

    int insertSelective(TyJhxxzbDO record);

//    List<TyJhxxzbDO> selectByExample(TyJhxxzbExample example);

//    TyJhxxzbDO selectByPrimaryKey(String jhxxid);
    TyJhxxzbDO selectByKey(String jhxxid);
//
//    int updateByExampleSelective(@Param("record") TyJhxxzbDO record, @Param("example") TyJhxxzbExample example);
//
//    int updateByExample(@Param("record") TyJhxxzbDO record, @Param("example") TyJhxxzbExample example);
//
//    int updateByPrimaryKeySelective(TyJhxxzbDO record);

    int updateByPrimaryKey(TyJhxxzbDO record);

    List<TyJhxxzbDO> selectAlls(TyJhxxzbDO tyJhxxzbDO);
}