package com.unis.base.server.dao;

import com.unis.base.server.entity.TyLhtzdDO;
import com.unis.base.server.example.TyLhtzdExample;
import tk.mybatis.mapper.common.Mapper;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 *  出入库通知单
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyLhtzdDao extends Mapper<TyLhtzdDO> {
	
    int countByExample(TyLhtzdExample example);

//    int deleteByExample(TyLhtzdExample example);
//
//    int deleteByPrimaryKey(String tzdid);

    int insert(TyLhtzdDO record);

    int insertSelective(TyLhtzdDO record);

//    List<TyLhtzdDO> selectByExample(TyLhtzdExample example);

//    TyLhtzdDO selectByPrimaryKey(String tzdid);
    TyLhtzdDO selectByKey(String tzdid);
//
//    int updateByExampleSelective(@Param("record") TyLhtzdDO record, @Param("example") TyLhtzdExample example);
//
//    int updateByExample(@Param("record") TyLhtzdDO record, @Param("example") TyLhtzdExample example);
//
//    int updateByPrimaryKeySelective(TyLhtzdDO record);

    int updateByPrimaryKey(TyLhtzdDO record);

    List<TyLhtzdDO> selectAlls(TyLhtzdDO tyLhtzdDO);
}