package com.unis.base.server.dao;

import com.unis.base.server.entity.TyLqmxxxDO;
import com.unis.base.server.example.TyLqmxxxExample;
import com.unis.base.server.example.TyLqmxxxKey;

import tk.mybatis.mapper.common.Mapper;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 *  粮情信息
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyLqmxxxDao extends Mapper<TyLqmxxxDO> {
	
    int countByExample(TyLqmxxxExample example);

//    int deleteByExample(TyLqmxxxExample example);
//
//    int deleteByPrimaryKey(TyLqmxxxKey key);

    int insert(TyLqmxxxDO record);

    int insertSelective(TyLqmxxxDO record);

//    List<TyLqmxxxDO> selectByExample(TyLqmxxxExample example);

//    TyLqmxxxDO selectByPrimaryKey(TyLqmxxxKey key);
    TyLqmxxxDO selectByKey(String lqid);
//
//    int updateByExampleSelective(@Param("record") TyLqmxxxDO record, @Param("example") TyLqmxxxExample example);
//
//    int updateByExample(@Param("record") TyLqmxxxDO record, @Param("example") TyLqmxxxExample example);
//
//    int updateByPrimaryKeySelective(TyLqmxxxDO record);

    int updateByPrimaryKey(TyLqmxxxDO record);

    List<TyLqmxxxDO> selectAlls(TyLqmxxxDO lqmxxxDO);
}