package com.unis.base.server.dao;

import java.util.List;

import com.unis.base.common.vo.TyZjxxzbQueryVO;
import com.unis.base.common.vo.TyZjxxzbVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;
import com.unis.base.server.entity.TyZjxxzbDO;
import com.unis.base.server.example.TyZjxxzbExample;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyZjxxzbDao extends Mapper<TyZjxxzbDO> {
    int countByExample(TyZjxxzbExample example);

//    int deleteByExample(TyZjxxzbExample example);
//
//    int deleteByPrimaryKey(String zjxxid);

    int insert(TyZjxxzbDO record);

    int insertSelective(TyZjxxzbDO record);

//    List<TyZjxxzbDO> selectByExample(TyZjxxzbExample example);

//    TyZjxxzbDO selectByPrimaryKey(String zjxxid);
    TyZjxxzbDO selectByKey(String zjxxid);
//
//    int updateByExampleSelective(@Param("record") TyZjxxzbDO record, @Param("example") TyZjxxzbExample example);
//
//    int updateByExample(@Param("record") TyZjxxzbDO record, @Param("example") TyZjxxzbExample example);
//
//    int updateByPrimaryKeySelective(TyZjxxzbDO record);

    int updateByPrimaryKey(TyZjxxzbDO record);


    List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO);

    /**
     * 获取所有列表不分页
     * @return
     */
	List<TyZjxxzbDO> selectAllList();
}