package com.unis.base.server.dao;


import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import com.unis.base.common.vo.CompanyVO;
import com.unis.base.server.entity.TzSlqyDO;
import com.unis.base.server.entity.TzYjqyDO;
import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: TzSlqyDao 
 * @Description: TzSlqyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TzYjqyDao  extends Mapper<TzYjqyDO> {


	/**
	 * 添加企业信息到企业应急表中
	 * @param tzSlqyVO
	 * @return
	 */
	
	int insertTzYjqy(TzYjqyDO tzSlqyVO);
	
	/**
	 * 查询Id最大值
	 * @return
	 */
	Integer selectMaxId();
	
	/**
	 * 根据id查询单条信息
	 * @param id
	 * @return
	 */
	TzYjqyDO getOneById(@Param("id")Integer id);

	/**
	 * @param tzYjqyDO
	 * @return 更新应急企业信息
	 */
	int update(TzYjqyDO tzYjqyDO);
	
	TzYjqyDO getTzSlqyInfoBytQyid(@Param("qyid")Integer id);
	
	
}
