package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 廒间信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_AJXXSJY")
public class DAjxxsjyDO extends BaseEntity {
	/**
	 * 廒间编号
	 */
	@Column(name = "ajbh")
	private String ajbh;


	/**
	 * 廒间名称
	 */
	@Column(name = "ajmc")
	private String ajmc;


	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
	private String cfmc;

	/**
	 * 廒间长度
	 */
	@Column(name = "ajcd")
	private Double ajcd;

	/**
	 * 廒间宽度
	 */
	@Column(name = "ajkd")
	private Double ajkd;

	/**
	 * 廒间高度
	 */
	@Column(name = "ajgd")
	private Double ajgd;

	/**
	 * 廒间设计仓容
	 */
	@Column(name = "ajsjcr")
	private Integer ajsjcr;

	/**
	 * 廒间实际仓容
	 */
	@Column(name = "ajsjcr01")
	private Integer ajsjcr01;

	/**
	 * 联系电话
	 */
	@Column(name = "lxdh")
	private String lxdh;

	/**
	 * 启用日期
	 */
	@Column(name = "qyrq")
	private Date qyrq;

	/**
	 * 廒间状态
	 */
	@Column(name = "ajzt")
	private String ajzt;

	/**
	 * 廒间使用状态
	 */
	@Column(name = "ajsyzt")
	private String ajsyzt;


}
