package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 仓房状态实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_CFZTSJY")
public class DCfztsjyDO extends BaseEntity {

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
	private String cfmc;
	/**
	 * 所属库点编号
	 */
	@Column(name = "kddm")
	private String kddm;
	/**
	 * 现存升级储备粮
	 */
	@Column(name = "xcsjcbl")
	private String xcsjcbl;

	/**
	 * 是否改造
	 */
	@Column(name = "sfgz")
	private String sfgz;

	/**
	 * 改造时间
	 */
	@Column(name = "gzsj")
	private String gzsj;

	/**
	 * 是否粮库智能化升级项目
	 */
	@Column(name = "sflkznhsjxm")
	private Double sflkznhsjxm;

	/**
	 * 仓顶能否防漏
	 */
	@Column(name = "cdnffl")
	private Double cdnffl;

	/**
	 * 仓墙能否防湿
	 */
	@Column(name = "cqnffs")
	private Double cqnffs;

	/**
	 * 仓底能否防潮
	 */
	@Column(name = "cdnffc")
	private Integer cdnffc;

	/**
	 * 门窗是否严密
	 */
	@Column(name = "mcsfym")
	private Integer mcsfym;

	/**
	 * 仓房能否隔热保冷
	 */
	@Column(name = "cfnfgrbl")
	private String cfnfgrbl;

	/**
	 * 仓房能否散装储存
	 */
	@Column(name = "cfnfszcc")
	private Double cfnfszcc;

	/**
	 * 有无防鼠防雀装置
	 */
	@Column(name = "ywfsfqzz")
	private Double ywfsfqzz;

	/**
	 * 有无防火防盗措施
	 */
	@Column(name = "ywfhfdcs")
	private Date ywfhfdcs;

	/**
	 * 有无机械通风设施
	 */
	@Column(name = "ywjxtfss")
	private String ywjxtfss;

	/**
	 * 能否密闭熏蒸杀虫
	 */
	@Column(name = "nfmbxzsc")
	private String nfmbxzsc;

	/**
	 * 有无粮情检测设备
	 */
	@Column(name = "ywlqjcsb")
	private Integer ywlqjcsb;

	/**
	 * 有无粮食智能出入库系统
	 */
	@Column(name = "ywlszncrkxt")
	private Integer ywlszncrkxt;

	/**
	 * 有无智能粮情测控系统
	 */
	@Column(name = "ywznlqckxt")
	private Integer ywznlqckxt;

	/**
	 * 有无智能安防监控系统
	 */
	@Column(name = "ywznafjkxt")
	private Integer ywznafjkxt;

	/**
	 * 有无粮库综合业务管理系统
	 */
	@Column(name = "ywlkzhywglxt")
	private Integer ywlkzhywglxt;

}
