package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_RYXXSJY_HIS")
public class DRyxxsjyHisDO extends BaseEntity {
	
	/**
	 * 人员备案记录ID
	 */
	@Column(name = "RYBAJL_ID")
    private String rybajlId;

    /**
	 * 人员编号（库点编码+001 三位序号）
	 */
    @Column(name = "RYBH")
    private String rybh;

    /**
	 * 人员姓名
	 */
    @Column(name = "RYXM")
    private String ryxm;

    
    /**
	 * 所属库点编号
	 */
    @Column(name = "KDDM")
    private String kddm;

    
    /**
	 *身份证号
	 */
    
    private String sfzh;

    

	/**
	 *  性别
	 */
    @Column(name = "XB")
    private String xb;


	/**
	 * 籍贯
	 */
    @Column(name = "JG")
    private String jg;

	
	/**
	 * 民族
	 */
    @Column(name = "MZ")
    private String mz;

	/**
	 * 出生时间
	 */
    @Column(name = "CSSJ")
    private Date cssj;

	/**
	 * 参加工作时间
	 */
    @Column(name = "CJGZSJ")
    private Date cjgzsj;

	
	/**
	 * 文化程度
	 */
    @Column(name = "WHCD")
    private String whcd;

	/**
	 * 学习专业
	 */
    @Column(name = "XXZY")
    private String xxzy;

	/**
	 * 政治面貌
	 */
    @Column(name = "ZZMM")
    private String zzmm;

	/**
	 * 植物代码
	 */
	@Column(name = "ZWDM")
    private String zwdm;

	/**
	 * 职务名称
	 */
	@Column(name = "ZWMC")
    private String zwmc;

	/**
	 * 部门编码
	 */
	@Column(name = "BMDM")
    private String bmdm;

	
	

	/**
	 * 部门班代码
	 */
	@Column(name = "BMBDM")
    private String bmbdm;

	/**
	 * 部门组代码
	 */
	@Column(name = "BMZDM")
	private String bmzdm;
    
    /**
	 * 在岗情况代码
	 */
	@Column(name = "ZGQKDM")
	private String zgqkdm;
	
	/**
	 * 岗位代码
	 */
	@Column(name = "GWDM")
	private Integer gwdm;
	
	/**
	 * 技术职称代码
	 */
	@Column(name = "JSZCDM")
	private String jszcdm;

	/**
	 * 技术职称
	 */
	@Column(name = "JSZCMC")
	private String jszcmc;

	/**
	 *联系电话	
	 */
	@Column(name = "LXDH")
	private String lxdh;

	/**
	 * 具备证书
	 */
	@Column(name = "JBZS")
	private String jbzs;

	/**
	 * 发证单位
	 */
	@Column(name = "FZDW")
	private String fzdw;

	
	/**
	 * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
	 */
	@Column(name = "SFBA")
	private Integer sfba;

    

	/**
	 * 审批意见
	 */
	@Column(name = "SPYJ")
    private String spyj;
	
	
	/**
	 * 审核人员编码
	 */
	@Column(name = "SHRYBH")
	private String shrybh;

	/**
	 * 审核人员名称
	 */
	@Column(name = "SHRYMC")
	private String shrymc;

	/**
	 * 审核部门编码
	 */
	@Column(name = "SHBMBH")
	private String shbmbh;

	/**
	 * 审核部门名称
	 */
	@Column(name = "SHBMMC")
	private String shbmmc;


}