package com.unis.base.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * create by: yangshengjie
 * create time: 2019/9/19 19:51
 * @Title DYpxxVO
 * @ProjectName 药剂信息实体类
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_YPXX")
public class DYpxxDO extends BaseEntity{
  /**
   * 药品id
   */
  @Column(name = "YPID")
  private String ypid;
  /**
   * 企业名称
   */
  @Column(name = "QYMC")
  private String qymc;
  
  /**
   * 药品代码
   */
  @Column(name = "YPDM")
  private String ypdm;

  /**
   * 药品名称
   */
  @Column(name = "YPMC")
  private String ypmc;

  /**
   * 规格型号
   */
  @Column(name = "YPGGXH")
  private String ypggxh;

  /**
   * 标准值
   */
  @Column(name = "BZZ")
  private String bzz;

  /**
   * 库存数量
   */
  @Column(name = "KCSL")
  private String kcsl;

  /**
   * 药品等级
   */
  @Column(name = "YPDJ")
  private String ypdj;

  /**
   * 最后验收时间
   */
  @Column(name = "ZHYSSJ")
  private java.sql.Date zhyssj;

  /**
   * 日期
   */
  @Column(name = "RQ")
  private java.sql.Date rq;

  /**
   * 月份
   */
  private String month;
  /**
   * 药剂种类
   */
  @Column(name = "YJZL")
  private String yjzl;

  /**
   * 药剂形态
   */
  @Column(name = "YJXT")
  private String yjxt;

  /**
   * 药剂包装
   */
  @Column(name = "YJBZ")
  private String yjbz;

  /**
   * 支出数量
   */
  @Column(name = "ZCSL")
  private String zcsl;

  /**
   * 结余数量
   */
  @Column(name = "JYSL")
  private String jysl;

  /**
   * 盘点过期数量
   */
  @Column(name = "PDGQSL")
  private String pdgqsl;

  /**
   * 盘点剩余数量
   */
  @Column(name = "PDSYSL")
  private String pdsysl;

  /**
   * 所属库名
   */
  @Column(name = "SSKM")
  private String sskm;

  /**
   * 所属库名编号
   */
  @Column(name = "SSKMBH")
  private String sskmbh;
  
	/**
	 *是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
	 */
	@Column(name = "SFBA")
  private Integer sfba;
	
  /**
   * 生产厂家SCCJ
   */
  @Column(name = "SCCJ")
  private String sccj;
  
  /**
   * 登记人编号
   */
  @Column(name = "DJR_CODE")
  private String djrCode;
  
  /**
   * 登记人名称
   */
  @Column(name = "DJR_NAME")
  private String djrName;
  
  /**
   *  核对人名称
   */
  @Column(name = "HDR_NAME")
  private String hdrName;
  
  /**
   * 核对人编号
   */
  @Column(name = "HDR_CODE")
  private String hdrCode;

	  
	
	
	
	
}
