package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("会议培训表")
@Table(name = "sp_train_feedback")
public class MeetingRecordDO {
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @Column(name = "fid")
    private String fid;

    @Column(name = "main_fid")
    private String mainFid;

    @Column(name = "train_person_id")
    private String trainPersonId;

    @Column(name = "feedback_content")
    private String feedbackContent;

    @Column(name = "feedback_status")
    private String feedbackStatus;

    @Column(name = "train_person_name")
    private String trainPersonName;

    @Column(name = "train_person_dept_code")
    private String trainPersonDeptCode;

    @Column(name = "train_person_dept_name")
    private String trainPersonDeptName;

    @Column(name = "train_person_org_code")
    private String trainPersonOrgCode;

    @Column(name = "train_person_org_name")
    private String trainPersonOrgName;

    @Column(name = "create_date")
    private Date createDate;

    @Column(name = "post")
    private String post;

    @Column(name = "notes")
    private String notes;
    @Column(name = "release_status")
    private String releaseStatus;

    private String trainName;
    private String creator;
    private String creatorCode;

}
