package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;

@Data
@ApiModel("会议培训表")
@Table(name = "d_meeting")
public class PersonMeetingDO {
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "姓名")
    @Column(name = "meeting_name")
    private String meetingName;

    @ApiModelProperty(value = "姓名")
    @Column(name = "type")
    private String type;

    @ApiModelProperty(value = "姓名")
    @Column(name = "start_date")
    private String startDate;

    @ApiModelProperty(value = "姓名")
    @Column(name = "end_date")
    private String endDate;

    @ApiModelProperty(value = "姓名")
    @Column(name = "meeting_place")
    private String meetingPlace;

    @ApiModelProperty(value = "姓名")
    @Column(name = "recipient")
    private String recipient;

    @ApiModelProperty(value = "姓名")
    @Column(name = "project_date")
    private String projectDate;


    @ApiModelProperty(value = "姓名")
    @Column(name = "project_time")
    private String projectTime;

    @ApiModelProperty(value = "姓名")
    @Column(name = "project_content")
    private String projectContent;

    @ApiModelProperty(value = "姓名")
    @Column(name = "file")
    private String file;
}
