package com.unis.base.server.entity;

import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;

@Data
@ApiModel("人才组")
@Table(name = "d_talent_group")
public class TalentGroupDO {
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id= UUIDUtils.uuid();

    @Column(name = "group_id")
    private String groupId;

    @Column(name = "group_name")
    private String groupName;

    @Column(name = "creation_time")
    private String creationTime;

    @Column(name = "creator")
    private String creator;

}
