package com.unis.base.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;

@Data
@ApiModel("培训总表")
@Table(name = "d_train")

public class TrainDO {
    @ApiModelProperty(value = "ID")
    @Column(name = "id")
    private String id;

    @Column(name = "fid")
    private String fid;

    @ApiModelProperty(value = "培训名称")
    @Column(name = "meeting_name")
    private String meetingName;

    @ApiModelProperty(value = "年度")
    @Column(name = "annual")
    private String annual;

    @ApiModelProperty(value = "发布日期")
    @Column(name = "release_date")
    private String releaseDate;

    @ApiModelProperty(value = "发布人")
    @Column(name = "publisher")
    private String publisher;

    @ApiModelProperty(value = "报名总数")
    @Column(name = "persons")
    private String persons;

    @ApiModelProperty(value = "状态")
    @Column(name = "status")
    private String status;
}
