package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyJhxxmxbDO
 * @ProjectName 计划信息明细实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_JHXXMXB")
public class TyJhxxmxbDO extends BaseEntity {
	/**
	 * 计划信息id JH20190802000001
	 */
	@Column(name = "jhxxid")
    private String jhxxid;

	/**
	 * 顺序号
	 */
	@Column(name = "sxh")
    private Short sxh;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 品种编码
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "pzmc")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 库存价格(元/公斤)
	 */
	@Column(name = "kcjg")
    private BigDecimal kcjg;

	/**
	 * 计划数量
	 */
	@Column(name = "jhsl")
	private BigDecimal jhsl;

	/**
	 * 粮食性质编码
	 */
	@Column(name = "lsxzbm")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@Column(name = "lsxzmc")
    private String lsxzmc;

	/**
	 * 生产年份
	 */
	@Column(name = "scnf")
    private String scnf;

	/**
	 * 入库年份
	 */
	@Column(name = "rknf")
    private String rknf;

	/**
	 * 计划明细状态
	 */
	@Column(name = "jhmxzt")
    private String jhmxzt;

}
