package com.unis.base.server.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 企业类型实体类
 * @author zhengbodang
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TZ_QYLX")
public class TzQylxDO extends BaseEntity {
	/**
	 * 主键
	 */
	@Id
	@Column(name= "id")
    private Integer id;

	/**
	 * 涉粮企业id
	 */
	@Column(name = "qyid")
    private Integer qyid;

	/**
	 * 企业类型名称
	 */
	@Column(name = "qylxmc")
    private String qylxmc;

	/**
	 * 企业类型编号
	 */
	@Column(name = "qylxbh")
    private String qylxbh;

	/**
	 *  是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
	 */
	@Column(name = "sfba")
	private String sfba;
}