package com.unis.base.server.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
@Data
@Table(name = "TZ_QYLX_HIS")
public class TzQylxHisDO extends BaseEntity{

    /**
     * 主键id
     */
    @Column(name = "id")
    private Long id;

    /**
     * 企业ID
     */
    @Column(name = "qyid")
    private Long qyid;

    /**
     * 企业类型名称
     */
    @Column(name = "qylxmc")
    private String qylxmc;

    /**
     * 企业类型编号
     */
    @Column(name = "qylxbh")
    private String qylxbh;

    /**
     *  是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
     */
    @Column(name = "sfba")
    private String sfba;
}