package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.util.Date;

public class TzSlqyHisDO {
    /**
     * 主键
     */
    @Id
    @Column(name= "id")
    private Integer id;

    /**
     * 统一社会信用代码
     */
    @Column(name = "tyshxydm")
    private String tyshxydm;

    /**
     * 组织机构代码
     */
    @Column(name = "zzjgdm")
    private String zzjgdm;

    /**
     * 企业名称
     */
    @Column(name = "qymc")
    private String qymc;

    /**
     * 企业类型
     */
    @Column(name = "qylx")
    private String qylx;

    /**
     * 单位代码
     */
    @Column(name = "dwdm")
    private String dwdm;


    /**
     * 企业经济类型
     */
    @Column(name = "qyjjlx")
    private String qyjjlx;

    /**
     * 企业性质
     */
    @Column(name = "qyxz")
    private String qyxz;

    /**
     * 登记注册类型
     */
    @Column(name = "djzclx")
    private String djzclx;

    /**
     * 工商登记注册号
     */
    @Column(name = "gsdjzch")
    private String gsdjzch;

    /**
     * 法定代表人
     */
    @Column(name = "fddbr")
    private String fddbr;

    /**
     * 办公电话
     */
    @Column(name = "bgdh")
    private String bgdh;

    /**
     * 企业电子邮箱
     */
    @Column(name = "frsjh")
    private String frsjh;

    /**
     * 企业电子邮箱
     */
    @Column(name = "qydzyx")
    private String qydzyx;

    /**
     * 注册资本
     */
    @Column(name = "zczb")
    private Integer zczb;

    /**
     * 从业人员数
     */
    @Column(name = "qycyrys")
    private Integer qycyrys;

    /**
     * 中级以上职称人数
     */
    @Column(name = "zjyszcrs")
    private Integer zjyszcrs;

    /**
     * 保管员人数
     */
    @Column(name = "bgyrs")
    private Integer bgyrs;

    /**
     * 检化验员人数
     */
    @Column(name = "jhyyrs")
    private Integer jhyyrs;

    /**
     * 有职业资格证书人数
     */
    @Column(name = "yzyzgzsrs")
    private Integer yzyzgzsrs;

    /**
     * 企业传真
     */
    @Column(name = "qyczhm")
    private String qyczhm;

    /**
     * 企业通讯地址
     */
    @Column(name = "qytxdz")
    private String qytxdz;

    /**
     * 企业邮编
     */
    @Column(name = "qyyb")
    private String qyyb;

    /**
     * 企业主营业务
     */
    @Column(name = "qyzyyw")
    private String qyzyyw;

    /**
     * 企业注册时间
     */
    @Column(name = "qyzcsj")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date qyzcsj;

    /**
     * 中专学历以上人员
     */
    @Column(name = "zzxlysry")
    private Integer zzxlysry;

    /**
     * 企业收储粮食主要品种
     */
    @Column(name = "qysclszypz")
    private String qysclszypz;

    /**
     * 企业隶属关系
     */
    @Column(name = "qylsgx")
    private String qylsgx;

    /**
     * 企业应急级别
     */
    @Column(name = "qyyjjb")
    private String qyyjjb;

    /**
     * 企业经度
     */
    @Column(name = "qyjd")
    private String qyjd;

    /**
     * 企业纬度
     */
    @Column(name = "qywd")
    private String qywd;

    /**
     * 企业所属区域
     */
    @Column(name = "qyszqy")
    private String qyszqy;


    /**
     * 企业仓储能力
     */
    @Column(name = "qyccnl")
    private Integer qyccnl;

    /**
     * 企业状态
     */
    @Column(name = "qyzt")
    private Integer qyzt;

    /**
     * 企业所属区域编号
     */
    @Column(name = "qyszqybh")
    private String qyszqybh;

    /**
     * 企业应急类型编号
     */
    @Column(name = "qyyjlxbh")
    private String qyyjlxbh;

    /**
     * 企业应急类型名称
     */
    @Column(name = "qyyjlxmc")
    private String qyyjlxmc;

    /**
     * 是否独立法人资格 0否.1、是
     */
    @Column(name = "sfdlfrzg")
    private Short sfdlfrzg;

    /**
     * 下属企业个数
     */
    @Column(name = "xsqygs")
    private BigDecimal xsqygs;

    /**
     *注册日期
     */
    @Column(name = "zcrq")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date zcrq;

    /**
     * 是否具有收购资格0、否。1、有
     */
    @Column(name = "sfjysgzg")
    private Short sfjysgzg;

    /**
     *粮食收购许可证发证机关
     */
    @Column(name = "lssgxkzfzjg")
    private String lssgxkzfzjg;

    /**
     * 粮食收购资格证编号
     */
    @Column(name = "sgzgzbh")
    private String sgzgzbh;

    /**
     * 粮食收购资格证编号
     */
    @Column(name = "sslsxzglbm")
    private String sslsxzglbm;

    /**
     * 占地面积
     */
    @Column(name = "zdmj")
    private BigDecimal zdmj;

    /**
     * 设施占地面积
     */
    @Column(name = "sszdmj")
    private BigDecimal sszdmj;

    /**
     * 申请竣工时间
     */
    @Column(name = "sqjgzdmj")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sqjgzdmj;

    /**
     * 企业工商登记机关
     */
    @Column(name = "qygsdjjg")
    private String qygsdjjg;

    /**
     * 企业联系人
     */
    @Column(name = "qylxr")
    private String qylxr;

    /**
     * 营业收入
     */
    @Column(name = "yysr")
    private Integer yysr;

    /**
     * 利税总额
     */
    @Column(name = "lsze")
    private Integer lsze;

    /**
     * 当年研究开发投入
     */
    @Column(name = "dnyjkftr")
    private Integer dnyjkftr;

    /**
     * 发明专利
     */
    @Column(name = "fmzl")
    private String fmzl;

    /**
     * 工业总产值
     */
    @Column(name = "gyzcz")
    private Integer gyzcz;

    /**
     * 利润总额
     */
    @Column(name = "lrze")
    private Integer lrze;

    /**
     * 政府支持投入
     */
    @Column(name = "zfzctr")
    private Integer zfzctr;

    /**
     * 产品销售收入
     */
    @Column(name = "cpxssr")
    private Integer cpxssr;

    /**
     * 资产总额
     */
    @Column(name = "zcze")
    private Integer zcze;

    /**
     * 当年专利获得数
     */
    @Column(name = "dnzlhds")
    private Integer dnzlhds;

    /**
     * 年产粮油机械制造
     */
    @Column(name = "nclyjxzz")
    private Integer nclyjxzz;

    /**
     * 油脂加工主机
     */
    @Column(name = "yzjgzj")
    private String yzjgzj;

    /**
     * 通用设备
     */
    @Column(name = "tysb")
    private String tysb;

    /**
     * 能源消耗标准煤
     */
    @Column(name = "nhxhbzm")
    private Integer nhxhbzm;

    /**
     * 罐容
     */
    @Column(name = "gr")
    private Integer gr;

    /**
     * 大米加工主机
     */
    @Column(name = "dmjgzj")
    private String dmjgzj;

    /**
     * 饲料加工主机
     */
    @Column(name = "sljgzj")
    private String sljgzj;

    /**
     * 能源耗电
     */
    @Column(name = "nyhd")
    private Integer nyhd;

    /**
     * 能源消耗溶剂
     */
    @Column(name = "nyxhrj")
    private String nyxhrj;

    /**
     * 小麦粉加工主机
     */
    @Column(name = "xmfjgzj")
    private String xmfjgzj;

    /**
     * 仓储设备
     */
    @Column(name = "ccsb")
    private String ccsb;

    /**
     * 能源消耗水
     */
    @Column(name = "nyxhs")
    private String nyxhs;

    /**
     * 总仓容（以三等小麦计）
     */
    @Column(name = "zcr")
    private Integer zcr;

    /**
     * 仓房栋
     */
    @Column(name = "cfd")
    private Integer cfd;

    /**
     * 仓房间
     */
    @Column(name = "cfj")
    private Integer cfj;

    /**
     * 备注
     */
    @Column(name = "bz")
    private String  bz;

    /**
     * 企业机构代码
     */
    @Column(name = "qyjgdm")
    private String  qyjgdm;

    /**
     * 是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
     */
    @Column(name = "sfba")
    private String sfba;
}