package com.unis.base.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author XMPU
 * @version 1.0
 * @Title WxhxphjglpcjbbDO
 * @ProjectName 危险化学品环境管理排查基本表
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "WXHXPHJGLPCJBB")
public class WxhxphjglpcjbbDO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    @Id
    @Column(name = "ID")
    private String id;

    @ApiModelProperty(value = "序号", notes ="序号", required = false)
    @Column(name = "XH")
    private String xh;

    @ApiModelProperty(value = "危险化学品品名", notes ="危险化学品品名", required = false)
    @Column(name = "WXHXPM")
    private String wxhxpm;

    @ApiModelProperty(value = "别名", notes ="别名", required = false)
    @Column(name = "BM")
    private String bm;

    @ApiModelProperty(value = "CAS号", notes ="CAS号", required = false)
    @Column(name = "CASH")
    private String cash;

    @ApiModelProperty(value = "生产/使用", notes ="生产/使用", required = false)
    @Column(name = "SCSY")
    private String scsy;

    @ApiModelProperty(value = "生产/使用量(公斤)", notes ="生产/使用量(公斤)", required = false)
    @Column(name = "SCSYL")
    private BigDecimal scsyl;

    @ApiModelProperty(value = "是否生产废弃危险化学品", notes ="是否生产废弃危险化学品", required = false)
    @Column(name = "SFSCWXHXB")
    private String sfscwxhxb;

    @ApiModelProperty(value = "备注", notes ="备注", required = false)
    @Column(name = "BZ")
    private String bz;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    @Column(name = "KDDM")
    private String kddm;

}
