package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyCrkxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyCrkxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCrkidIsNull() {
            addCriterion("CRKID is null");
            return (Criteria) this;
        }

        public Criteria andCrkidIsNotNull() {
            addCriterion("CRKID is not null");
            return (Criteria) this;
        }

        public Criteria andCrkidEqualTo(String value) {
            addCriterion("CRKID =", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotEqualTo(String value) {
            addCriterion("CRKID <>", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidGreaterThan(String value) {
            addCriterion("CRKID >", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidGreaterThanOrEqualTo(String value) {
            addCriterion("CRKID >=", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLessThan(String value) {
            addCriterion("CRKID <", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLessThanOrEqualTo(String value) {
            addCriterion("CRKID <=", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLike(String value) {
            addCriterion("CRKID like", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotLike(String value) {
            addCriterion("CRKID not like", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidIn(List<String> values) {
            addCriterion("CRKID in", values, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotIn(List<String> values) {
            addCriterion("CRKID not in", values, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidBetween(String value1, String value2) {
            addCriterion("CRKID between", value1, value2, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotBetween(String value1, String value2) {
            addCriterion("CRKID not between", value1, value2, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkdhIsNull() {
            addCriterion("CRKDH is null");
            return (Criteria) this;
        }

        public Criteria andCrkdhIsNotNull() {
            addCriterion("CRKDH is not null");
            return (Criteria) this;
        }

        public Criteria andCrkdhEqualTo(String value) {
            addCriterion("CRKDH =", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotEqualTo(String value) {
            addCriterion("CRKDH <>", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhGreaterThan(String value) {
            addCriterion("CRKDH >", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhGreaterThanOrEqualTo(String value) {
            addCriterion("CRKDH >=", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLessThan(String value) {
            addCriterion("CRKDH <", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLessThanOrEqualTo(String value) {
            addCriterion("CRKDH <=", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLike(String value) {
            addCriterion("CRKDH like", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotLike(String value) {
            addCriterion("CRKDH not like", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhIn(List<String> values) {
            addCriterion("CRKDH in", values, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotIn(List<String> values) {
            addCriterion("CRKDH not in", values, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhBetween(String value1, String value2) {
            addCriterion("CRKDH between", value1, value2, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotBetween(String value1, String value2) {
            addCriterion("CRKDH not between", value1, value2, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrklxIsNull() {
            addCriterion("CRKLX is null");
            return (Criteria) this;
        }

        public Criteria andCrklxIsNotNull() {
            addCriterion("CRKLX is not null");
            return (Criteria) this;
        }

        public Criteria andCrklxEqualTo(String value) {
            addCriterion("CRKLX =", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxNotEqualTo(String value) {
            addCriterion("CRKLX <>", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxGreaterThan(String value) {
            addCriterion("CRKLX >", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxGreaterThanOrEqualTo(String value) {
            addCriterion("CRKLX >=", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxLessThan(String value) {
            addCriterion("CRKLX <", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxLessThanOrEqualTo(String value) {
            addCriterion("CRKLX <=", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxLike(String value) {
            addCriterion("CRKLX like", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxNotLike(String value) {
            addCriterion("CRKLX not like", value, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxIn(List<String> values) {
            addCriterion("CRKLX in", values, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxNotIn(List<String> values) {
            addCriterion("CRKLX not in", values, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxBetween(String value1, String value2) {
            addCriterion("CRKLX between", value1, value2, "crklx");
            return (Criteria) this;
        }

        public Criteria andCrklxNotBetween(String value1, String value2) {
            addCriterion("CRKLX not between", value1, value2, "crklx");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNull() {
            addCriterion("PZMC is null");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNotNull() {
            addCriterion("PZMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzmcEqualTo(String value) {
            addCriterion("PZMC =", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotEqualTo(String value) {
            addCriterion("PZMC <>", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThan(String value) {
            addCriterion("PZMC >", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThanOrEqualTo(String value) {
            addCriterion("PZMC >=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThan(String value) {
            addCriterion("PZMC <", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThanOrEqualTo(String value) {
            addCriterion("PZMC <=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLike(String value) {
            addCriterion("PZMC like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotLike(String value) {
            addCriterion("PZMC not like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcIn(List<String> values) {
            addCriterion("PZMC in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotIn(List<String> values) {
            addCriterion("PZMC not in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcBetween(String value1, String value2) {
            addCriterion("PZMC between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotBetween(String value1, String value2) {
            addCriterion("PZMC not between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(String value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(String value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(String value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(String value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(String value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLike(String value) {
            addCriterion("LSDJBM like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotLike(String value) {
            addCriterion("LSDJBM not like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<String> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<String> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(String value1, String value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(String value1, String value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(String value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(String value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(String value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(String value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(String value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLike(String value) {
            addCriterion("LSDJMC like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotLike(String value) {
            addCriterion("LSDJMC not like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<String> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<String> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(String value1, String value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(String value1, String value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("SHND is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("SHND is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(String value) {
            addCriterion("SHND =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(String value) {
            addCriterion("SHND <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(String value) {
            addCriterion("SHND >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(String value) {
            addCriterion("SHND >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(String value) {
            addCriterion("SHND <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(String value) {
            addCriterion("SHND <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLike(String value) {
            addCriterion("SHND like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotLike(String value) {
            addCriterion("SHND not like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<String> values) {
            addCriterion("SHND in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<String> values) {
            addCriterion("SHND not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(String value1, String value2) {
            addCriterion("SHND between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(String value1, String value2) {
            addCriterion("SHND not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNull() {
            addCriterion("LSGB is null");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNotNull() {
            addCriterion("LSGB is not null");
            return (Criteria) this;
        }

        public Criteria andLsgbEqualTo(String value) {
            addCriterion("LSGB =", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotEqualTo(String value) {
            addCriterion("LSGB <>", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThan(String value) {
            addCriterion("LSGB >", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThanOrEqualTo(String value) {
            addCriterion("LSGB >=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThan(String value) {
            addCriterion("LSGB <", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThanOrEqualTo(String value) {
            addCriterion("LSGB <=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLike(String value) {
            addCriterion("LSGB like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotLike(String value) {
            addCriterion("LSGB not like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbIn(List<String> values) {
            addCriterion("LSGB in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotIn(List<String> values) {
            addCriterion("LSGB not in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbBetween(String value1, String value2) {
            addCriterion("LSGB between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotBetween(String value1, String value2) {
            addCriterion("LSGB not between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLscdIsNull() {
            addCriterion("LSCD is null");
            return (Criteria) this;
        }

        public Criteria andLscdIsNotNull() {
            addCriterion("LSCD is not null");
            return (Criteria) this;
        }

        public Criteria andLscdEqualTo(String value) {
            addCriterion("LSCD =", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotEqualTo(String value) {
            addCriterion("LSCD <>", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThan(String value) {
            addCriterion("LSCD >", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThanOrEqualTo(String value) {
            addCriterion("LSCD >=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThan(String value) {
            addCriterion("LSCD <", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThanOrEqualTo(String value) {
            addCriterion("LSCD <=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLike(String value) {
            addCriterion("LSCD like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotLike(String value) {
            addCriterion("LSCD not like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdIn(List<String> values) {
            addCriterion("LSCD in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotIn(List<String> values) {
            addCriterion("LSCD not in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdBetween(String value1, String value2) {
            addCriterion("LSCD between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotBetween(String value1, String value2) {
            addCriterion("LSCD not between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNull() {
            addCriterion("QYDBH is null");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNotNull() {
            addCriterion("QYDBH is not null");
            return (Criteria) this;
        }

        public Criteria andQydbhEqualTo(String value) {
            addCriterion("QYDBH =", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotEqualTo(String value) {
            addCriterion("QYDBH <>", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThan(String value) {
            addCriterion("QYDBH >", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThanOrEqualTo(String value) {
            addCriterion("QYDBH >=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThan(String value) {
            addCriterion("QYDBH <", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThanOrEqualTo(String value) {
            addCriterion("QYDBH <=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLike(String value) {
            addCriterion("QYDBH like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotLike(String value) {
            addCriterion("QYDBH not like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhIn(List<String> values) {
            addCriterion("QYDBH in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotIn(List<String> values) {
            addCriterion("QYDBH not in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhBetween(String value1, String value2) {
            addCriterion("QYDBH between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotBetween(String value1, String value2) {
            addCriterion("QYDBH not between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andYpsldwIsNull() {
            addCriterion("YPSLDW is null");
            return (Criteria) this;
        }

        public Criteria andYpsldwIsNotNull() {
            addCriterion("YPSLDW is not null");
            return (Criteria) this;
        }

        public Criteria andYpsldwEqualTo(BigDecimal value) {
            addCriterion("YPSLDW =", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotEqualTo(BigDecimal value) {
            addCriterion("YPSLDW <>", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwGreaterThan(BigDecimal value) {
            addCriterion("YPSLDW >", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("YPSLDW >=", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwLessThan(BigDecimal value) {
            addCriterion("YPSLDW <", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwLessThanOrEqualTo(BigDecimal value) {
            addCriterion("YPSLDW <=", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwIn(List<BigDecimal> values) {
            addCriterion("YPSLDW in", values, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotIn(List<BigDecimal> values) {
            addCriterion("YPSLDW not in", values, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPSLDW between", value1, value2, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPSLDW not between", value1, value2, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwIsNull() {
            addCriterion("DBSLDW is null");
            return (Criteria) this;
        }

        public Criteria andDbsldwIsNotNull() {
            addCriterion("DBSLDW is not null");
            return (Criteria) this;
        }

        public Criteria andDbsldwEqualTo(BigDecimal value) {
            addCriterion("DBSLDW =", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotEqualTo(BigDecimal value) {
            addCriterion("DBSLDW <>", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwGreaterThan(BigDecimal value) {
            addCriterion("DBSLDW >", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("DBSLDW >=", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwLessThan(BigDecimal value) {
            addCriterion("DBSLDW <", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwLessThanOrEqualTo(BigDecimal value) {
            addCriterion("DBSLDW <=", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwIn(List<BigDecimal> values) {
            addCriterion("DBSLDW in", values, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotIn(List<BigDecimal> values) {
            addCriterion("DBSLDW not in", values, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DBSLDW between", value1, value2, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DBSLDW not between", value1, value2, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andQyddIsNull() {
            addCriterion("QYDD is null");
            return (Criteria) this;
        }

        public Criteria andQyddIsNotNull() {
            addCriterion("QYDD is not null");
            return (Criteria) this;
        }

        public Criteria andQyddEqualTo(String value) {
            addCriterion("QYDD =", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotEqualTo(String value) {
            addCriterion("QYDD <>", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddGreaterThan(String value) {
            addCriterion("QYDD >", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddGreaterThanOrEqualTo(String value) {
            addCriterion("QYDD >=", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLessThan(String value) {
            addCriterion("QYDD <", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLessThanOrEqualTo(String value) {
            addCriterion("QYDD <=", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLike(String value) {
            addCriterion("QYDD like", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotLike(String value) {
            addCriterion("QYDD not like", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddIn(List<String> values) {
            addCriterion("QYDD in", values, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotIn(List<String> values) {
            addCriterion("QYDD not in", values, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddBetween(String value1, String value2) {
            addCriterion("QYDD between", value1, value2, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotBetween(String value1, String value2) {
            addCriterion("QYDD not between", value1, value2, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyrbmIsNull() {
            addCriterion("QYRBM is null");
            return (Criteria) this;
        }

        public Criteria andQyrbmIsNotNull() {
            addCriterion("QYRBM is not null");
            return (Criteria) this;
        }

        public Criteria andQyrbmEqualTo(String value) {
            addCriterion("QYRBM =", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotEqualTo(String value) {
            addCriterion("QYRBM <>", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmGreaterThan(String value) {
            addCriterion("QYRBM >", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmGreaterThanOrEqualTo(String value) {
            addCriterion("QYRBM >=", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLessThan(String value) {
            addCriterion("QYRBM <", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLessThanOrEqualTo(String value) {
            addCriterion("QYRBM <=", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLike(String value) {
            addCriterion("QYRBM like", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotLike(String value) {
            addCriterion("QYRBM not like", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmIn(List<String> values) {
            addCriterion("QYRBM in", values, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotIn(List<String> values) {
            addCriterion("QYRBM not in", values, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmBetween(String value1, String value2) {
            addCriterion("QYRBM between", value1, value2, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotBetween(String value1, String value2) {
            addCriterion("QYRBM not between", value1, value2, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrmcIsNull() {
            addCriterion("QYRMC is null");
            return (Criteria) this;
        }

        public Criteria andQyrmcIsNotNull() {
            addCriterion("QYRMC is not null");
            return (Criteria) this;
        }

        public Criteria andQyrmcEqualTo(String value) {
            addCriterion("QYRMC =", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotEqualTo(String value) {
            addCriterion("QYRMC <>", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcGreaterThan(String value) {
            addCriterion("QYRMC >", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcGreaterThanOrEqualTo(String value) {
            addCriterion("QYRMC >=", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLessThan(String value) {
            addCriterion("QYRMC <", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLessThanOrEqualTo(String value) {
            addCriterion("QYRMC <=", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLike(String value) {
            addCriterion("QYRMC like", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotLike(String value) {
            addCriterion("QYRMC not like", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcIn(List<String> values) {
            addCriterion("QYRMC in", values, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotIn(List<String> values) {
            addCriterion("QYRMC not in", values, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcBetween(String value1, String value2) {
            addCriterion("QYRMC between", value1, value2, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotBetween(String value1, String value2) {
            addCriterion("QYRMC not between", value1, value2, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andJyrqIsNull() {
            addCriterion("JYRQ is null");
            return (Criteria) this;
        }

        public Criteria andJyrqIsNotNull() {
            addCriterion("JYRQ is not null");
            return (Criteria) this;
        }

        public Criteria andJyrqEqualTo(Date value) {
            addCriterion("JYRQ =", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqNotEqualTo(Date value) {
            addCriterion("JYRQ <>", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqGreaterThan(Date value) {
            addCriterion("JYRQ >", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqGreaterThanOrEqualTo(Date value) {
            addCriterion("JYRQ >=", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqLessThan(Date value) {
            addCriterion("JYRQ <", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqLessThanOrEqualTo(Date value) {
            addCriterion("JYRQ <=", value, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqIn(List<Date> values) {
            addCriterion("JYRQ in", values, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqNotIn(List<Date> values) {
            addCriterion("JYRQ not in", values, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqBetween(Date value1, Date value2) {
            addCriterion("JYRQ between", value1, value2, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyrqNotBetween(Date value1, Date value2) {
            addCriterion("JYRQ not between", value1, value2, "jyrq");
            return (Criteria) this;
        }

        public Criteria andJyyjIsNull() {
            addCriterion("JYYJ is null");
            return (Criteria) this;
        }

        public Criteria andJyyjIsNotNull() {
            addCriterion("JYYJ is not null");
            return (Criteria) this;
        }

        public Criteria andJyyjEqualTo(String value) {
            addCriterion("JYYJ =", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotEqualTo(String value) {
            addCriterion("JYYJ <>", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjGreaterThan(String value) {
            addCriterion("JYYJ >", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjGreaterThanOrEqualTo(String value) {
            addCriterion("JYYJ >=", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLessThan(String value) {
            addCriterion("JYYJ <", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLessThanOrEqualTo(String value) {
            addCriterion("JYYJ <=", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLike(String value) {
            addCriterion("JYYJ like", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotLike(String value) {
            addCriterion("JYYJ not like", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjIn(List<String> values) {
            addCriterion("JYYJ in", values, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotIn(List<String> values) {
            addCriterion("JYYJ not in", values, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjBetween(String value1, String value2) {
            addCriterion("JYYJ between", value1, value2, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotBetween(String value1, String value2) {
            addCriterion("JYYJ not between", value1, value2, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyjgIsNull() {
            addCriterion("JYJG is null");
            return (Criteria) this;
        }

        public Criteria andJyjgIsNotNull() {
            addCriterion("JYJG is not null");
            return (Criteria) this;
        }

        public Criteria andJyjgEqualTo(String value) {
            addCriterion("JYJG =", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotEqualTo(String value) {
            addCriterion("JYJG <>", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgGreaterThan(String value) {
            addCriterion("JYJG >", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgGreaterThanOrEqualTo(String value) {
            addCriterion("JYJG >=", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLessThan(String value) {
            addCriterion("JYJG <", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLessThanOrEqualTo(String value) {
            addCriterion("JYJG <=", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgLike(String value) {
            addCriterion("JYJG like", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotLike(String value) {
            addCriterion("JYJG not like", value, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgIn(List<String> values) {
            addCriterion("JYJG in", values, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotIn(List<String> values) {
            addCriterion("JYJG not in", values, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgBetween(String value1, String value2) {
            addCriterion("JYJG between", value1, value2, "jyjg");
            return (Criteria) this;
        }

        public Criteria andJyjgNotBetween(String value1, String value2) {
            addCriterion("JYJG not between", value1, value2, "jyjg");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkIsNull() {
            addCriterion("CHECK_REMARK is null");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkIsNotNull() {
            addCriterion("CHECK_REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkEqualTo(String value) {
            addCriterion("CHECK_REMARK =", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkNotEqualTo(String value) {
            addCriterion("CHECK_REMARK <>", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkGreaterThan(String value) {
            addCriterion("CHECK_REMARK >", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_REMARK >=", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkLessThan(String value) {
            addCriterion("CHECK_REMARK <", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkLessThanOrEqualTo(String value) {
            addCriterion("CHECK_REMARK <=", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkLike(String value) {
            addCriterion("CHECK_REMARK like", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkNotLike(String value) {
            addCriterion("CHECK_REMARK not like", value, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkIn(List<String> values) {
            addCriterion("CHECK_REMARK in", values, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkNotIn(List<String> values) {
            addCriterion("CHECK_REMARK not in", values, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkBetween(String value1, String value2) {
            addCriterion("CHECK_REMARK between", value1, value2, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCheckRemarkNotBetween(String value1, String value2) {
            addCriterion("CHECK_REMARK not between", value1, value2, "checkRemark");
            return (Criteria) this;
        }

        public Criteria andCzmzIsNull() {
            addCriterion("CZMZ is null");
            return (Criteria) this;
        }

        public Criteria andCzmzIsNotNull() {
            addCriterion("CZMZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzmzEqualTo(BigDecimal value) {
            addCriterion("CZMZ =", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotEqualTo(BigDecimal value) {
            addCriterion("CZMZ <>", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzGreaterThan(BigDecimal value) {
            addCriterion("CZMZ >", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZMZ >=", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzLessThan(BigDecimal value) {
            addCriterion("CZMZ <", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZMZ <=", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzIn(List<BigDecimal> values) {
            addCriterion("CZMZ in", values, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotIn(List<BigDecimal> values) {
            addCriterion("CZMZ not in", values, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZMZ between", value1, value2, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZMZ not between", value1, value2, "czmz");
            return (Criteria) this;
        }

        public Criteria andMzjbybmIsNull() {
            addCriterion("MZJBYBM is null");
            return (Criteria) this;
        }

        public Criteria andMzjbybmIsNotNull() {
            addCriterion("MZJBYBM is not null");
            return (Criteria) this;
        }

        public Criteria andMzjbybmEqualTo(String value) {
            addCriterion("MZJBYBM =", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmNotEqualTo(String value) {
            addCriterion("MZJBYBM <>", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmGreaterThan(String value) {
            addCriterion("MZJBYBM >", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmGreaterThanOrEqualTo(String value) {
            addCriterion("MZJBYBM >=", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmLessThan(String value) {
            addCriterion("MZJBYBM <", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmLessThanOrEqualTo(String value) {
            addCriterion("MZJBYBM <=", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmLike(String value) {
            addCriterion("MZJBYBM like", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmNotLike(String value) {
            addCriterion("MZJBYBM not like", value, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmIn(List<String> values) {
            addCriterion("MZJBYBM in", values, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmNotIn(List<String> values) {
            addCriterion("MZJBYBM not in", values, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmBetween(String value1, String value2) {
            addCriterion("MZJBYBM between", value1, value2, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbybmNotBetween(String value1, String value2) {
            addCriterion("MZJBYBM not between", value1, value2, "mzjbybm");
            return (Criteria) this;
        }

        public Criteria andMzjbymcIsNull() {
            addCriterion("MZJBYMC is null");
            return (Criteria) this;
        }

        public Criteria andMzjbymcIsNotNull() {
            addCriterion("MZJBYMC is not null");
            return (Criteria) this;
        }

        public Criteria andMzjbymcEqualTo(String value) {
            addCriterion("MZJBYMC =", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcNotEqualTo(String value) {
            addCriterion("MZJBYMC <>", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcGreaterThan(String value) {
            addCriterion("MZJBYMC >", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcGreaterThanOrEqualTo(String value) {
            addCriterion("MZJBYMC >=", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcLessThan(String value) {
            addCriterion("MZJBYMC <", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcLessThanOrEqualTo(String value) {
            addCriterion("MZJBYMC <=", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcLike(String value) {
            addCriterion("MZJBYMC like", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcNotLike(String value) {
            addCriterion("MZJBYMC not like", value, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcIn(List<String> values) {
            addCriterion("MZJBYMC in", values, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcNotIn(List<String> values) {
            addCriterion("MZJBYMC not in", values, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcBetween(String value1, String value2) {
            addCriterion("MZJBYMC between", value1, value2, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzjbymcNotBetween(String value1, String value2) {
            addCriterion("MZJBYMC not between", value1, value2, "mzjbymc");
            return (Criteria) this;
        }

        public Criteria andMzczsjIsNull() {
            addCriterion("MZCZSJ is null");
            return (Criteria) this;
        }

        public Criteria andMzczsjIsNotNull() {
            addCriterion("MZCZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andMzczsjEqualTo(Date value) {
            addCriterion("MZCZSJ =", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjNotEqualTo(Date value) {
            addCriterion("MZCZSJ <>", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjGreaterThan(Date value) {
            addCriterion("MZCZSJ >", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjGreaterThanOrEqualTo(Date value) {
            addCriterion("MZCZSJ >=", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjLessThan(Date value) {
            addCriterion("MZCZSJ <", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjLessThanOrEqualTo(Date value) {
            addCriterion("MZCZSJ <=", value, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjIn(List<Date> values) {
            addCriterion("MZCZSJ in", values, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjNotIn(List<Date> values) {
            addCriterion("MZCZSJ not in", values, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjBetween(Date value1, Date value2) {
            addCriterion("MZCZSJ between", value1, value2, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andMzczsjNotBetween(Date value1, Date value2) {
            addCriterion("MZCZSJ not between", value1, value2, "mzczsj");
            return (Criteria) this;
        }

        public Criteria andCzpzIsNull() {
            addCriterion("CZPZ is null");
            return (Criteria) this;
        }

        public Criteria andCzpzIsNotNull() {
            addCriterion("CZPZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzpzEqualTo(BigDecimal value) {
            addCriterion("CZPZ =", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotEqualTo(BigDecimal value) {
            addCriterion("CZPZ <>", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzGreaterThan(BigDecimal value) {
            addCriterion("CZPZ >", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZPZ >=", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzLessThan(BigDecimal value) {
            addCriterion("CZPZ <", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZPZ <=", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzIn(List<BigDecimal> values) {
            addCriterion("CZPZ in", values, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotIn(List<BigDecimal> values) {
            addCriterion("CZPZ not in", values, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZPZ between", value1, value2, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZPZ not between", value1, value2, "czpz");
            return (Criteria) this;
        }

        public Criteria andPzjbybmIsNull() {
            addCriterion("PZJBYBM is null");
            return (Criteria) this;
        }

        public Criteria andPzjbybmIsNotNull() {
            addCriterion("PZJBYBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzjbybmEqualTo(String value) {
            addCriterion("PZJBYBM =", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmNotEqualTo(String value) {
            addCriterion("PZJBYBM <>", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmGreaterThan(String value) {
            addCriterion("PZJBYBM >", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmGreaterThanOrEqualTo(String value) {
            addCriterion("PZJBYBM >=", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmLessThan(String value) {
            addCriterion("PZJBYBM <", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmLessThanOrEqualTo(String value) {
            addCriterion("PZJBYBM <=", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmLike(String value) {
            addCriterion("PZJBYBM like", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmNotLike(String value) {
            addCriterion("PZJBYBM not like", value, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmIn(List<String> values) {
            addCriterion("PZJBYBM in", values, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmNotIn(List<String> values) {
            addCriterion("PZJBYBM not in", values, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmBetween(String value1, String value2) {
            addCriterion("PZJBYBM between", value1, value2, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbybmNotBetween(String value1, String value2) {
            addCriterion("PZJBYBM not between", value1, value2, "pzjbybm");
            return (Criteria) this;
        }

        public Criteria andPzjbymcIsNull() {
            addCriterion("PZJBYMC is null");
            return (Criteria) this;
        }

        public Criteria andPzjbymcIsNotNull() {
            addCriterion("PZJBYMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzjbymcEqualTo(String value) {
            addCriterion("PZJBYMC =", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcNotEqualTo(String value) {
            addCriterion("PZJBYMC <>", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcGreaterThan(String value) {
            addCriterion("PZJBYMC >", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcGreaterThanOrEqualTo(String value) {
            addCriterion("PZJBYMC >=", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcLessThan(String value) {
            addCriterion("PZJBYMC <", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcLessThanOrEqualTo(String value) {
            addCriterion("PZJBYMC <=", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcLike(String value) {
            addCriterion("PZJBYMC like", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcNotLike(String value) {
            addCriterion("PZJBYMC not like", value, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcIn(List<String> values) {
            addCriterion("PZJBYMC in", values, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcNotIn(List<String> values) {
            addCriterion("PZJBYMC not in", values, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcBetween(String value1, String value2) {
            addCriterion("PZJBYMC between", value1, value2, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzjbymcNotBetween(String value1, String value2) {
            addCriterion("PZJBYMC not between", value1, value2, "pzjbymc");
            return (Criteria) this;
        }

        public Criteria andPzczsjIsNull() {
            addCriterion("PZCZSJ is null");
            return (Criteria) this;
        }

        public Criteria andPzczsjIsNotNull() {
            addCriterion("PZCZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andPzczsjEqualTo(Date value) {
            addCriterion("PZCZSJ =", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjNotEqualTo(Date value) {
            addCriterion("PZCZSJ <>", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjGreaterThan(Date value) {
            addCriterion("PZCZSJ >", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjGreaterThanOrEqualTo(Date value) {
            addCriterion("PZCZSJ >=", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjLessThan(Date value) {
            addCriterion("PZCZSJ <", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjLessThanOrEqualTo(Date value) {
            addCriterion("PZCZSJ <=", value, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjIn(List<Date> values) {
            addCriterion("PZCZSJ in", values, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjNotIn(List<Date> values) {
            addCriterion("PZCZSJ not in", values, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjBetween(Date value1, Date value2) {
            addCriterion("PZCZSJ between", value1, value2, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andPzczsjNotBetween(Date value1, Date value2) {
            addCriterion("PZCZSJ not between", value1, value2, "pzczsj");
            return (Criteria) this;
        }

        public Criteria andCzjzIsNull() {
            addCriterion("CZJZ is null");
            return (Criteria) this;
        }

        public Criteria andCzjzIsNotNull() {
            addCriterion("CZJZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzjzEqualTo(BigDecimal value) {
            addCriterion("CZJZ =", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotEqualTo(BigDecimal value) {
            addCriterion("CZJZ <>", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzGreaterThan(BigDecimal value) {
            addCriterion("CZJZ >", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZJZ >=", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzLessThan(BigDecimal value) {
            addCriterion("CZJZ <", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZJZ <=", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzIn(List<BigDecimal> values) {
            addCriterion("CZJZ in", values, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotIn(List<BigDecimal> values) {
            addCriterion("CZJZ not in", values, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZJZ between", value1, value2, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZJZ not between", value1, value2, "czjz");
            return (Criteria) this;
        }

        public Criteria andXckzlIsNull() {
            addCriterion("XCKZL is null");
            return (Criteria) this;
        }

        public Criteria andXckzlIsNotNull() {
            addCriterion("XCKZL is not null");
            return (Criteria) this;
        }

        public Criteria andXckzlEqualTo(BigDecimal value) {
            addCriterion("XCKZL =", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlNotEqualTo(BigDecimal value) {
            addCriterion("XCKZL <>", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlGreaterThan(BigDecimal value) {
            addCriterion("XCKZL >", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("XCKZL >=", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlLessThan(BigDecimal value) {
            addCriterion("XCKZL <", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlLessThanOrEqualTo(BigDecimal value) {
            addCriterion("XCKZL <=", value, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlIn(List<BigDecimal> values) {
            addCriterion("XCKZL in", values, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlNotIn(List<BigDecimal> values) {
            addCriterion("XCKZL not in", values, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("XCKZL between", value1, value2, "xckzl");
            return (Criteria) this;
        }

        public Criteria andXckzlNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("XCKZL not between", value1, value2, "xckzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlIsNull() {
            addCriterion("HGKZL is null");
            return (Criteria) this;
        }

        public Criteria andHgkzlIsNotNull() {
            addCriterion("HGKZL is not null");
            return (Criteria) this;
        }

        public Criteria andHgkzlEqualTo(BigDecimal value) {
            addCriterion("HGKZL =", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlNotEqualTo(BigDecimal value) {
            addCriterion("HGKZL <>", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlGreaterThan(BigDecimal value) {
            addCriterion("HGKZL >", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("HGKZL >=", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlLessThan(BigDecimal value) {
            addCriterion("HGKZL <", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlLessThanOrEqualTo(BigDecimal value) {
            addCriterion("HGKZL <=", value, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlIn(List<BigDecimal> values) {
            addCriterion("HGKZL in", values, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlNotIn(List<BigDecimal> values) {
            addCriterion("HGKZL not in", values, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HGKZL between", value1, value2, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andHgkzlNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HGKZL not between", value1, value2, "hgkzl");
            return (Criteria) this;
        }

        public Criteria andZzjszlIsNull() {
            addCriterion("ZZJSZL is null");
            return (Criteria) this;
        }

        public Criteria andZzjszlIsNotNull() {
            addCriterion("ZZJSZL is not null");
            return (Criteria) this;
        }

        public Criteria andZzjszlEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL =", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL <>", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlGreaterThan(BigDecimal value) {
            addCriterion("ZZJSZL >", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL >=", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlLessThan(BigDecimal value) {
            addCriterion("ZZJSZL <", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL <=", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlIn(List<BigDecimal> values) {
            addCriterion("ZZJSZL in", values, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotIn(List<BigDecimal> values) {
            addCriterion("ZZJSZL not in", values, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSZL between", value1, value2, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSZL not between", value1, value2, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIsNull() {
            addCriterion("ZZJSJE is null");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIsNotNull() {
            addCriterion("ZZJSJE is not null");
            return (Criteria) this;
        }

        public Criteria andZzjsjeEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE =", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE <>", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeGreaterThan(BigDecimal value) {
            addCriterion("ZZJSJE >", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE >=", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeLessThan(BigDecimal value) {
            addCriterion("ZZJSJE <", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE <=", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIn(List<BigDecimal> values) {
            addCriterion("ZZJSJE in", values, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotIn(List<BigDecimal> values) {
            addCriterion("ZZJSJE not in", values, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSJE between", value1, value2, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSJE not between", value1, value2, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andCyrdmIsNull() {
            addCriterion("CYRDM is null");
            return (Criteria) this;
        }

        public Criteria andCyrdmIsNotNull() {
            addCriterion("CYRDM is not null");
            return (Criteria) this;
        }

        public Criteria andCyrdmEqualTo(String value) {
            addCriterion("CYRDM =", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmNotEqualTo(String value) {
            addCriterion("CYRDM <>", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmGreaterThan(String value) {
            addCriterion("CYRDM >", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmGreaterThanOrEqualTo(String value) {
            addCriterion("CYRDM >=", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmLessThan(String value) {
            addCriterion("CYRDM <", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmLessThanOrEqualTo(String value) {
            addCriterion("CYRDM <=", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmLike(String value) {
            addCriterion("CYRDM like", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmNotLike(String value) {
            addCriterion("CYRDM not like", value, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmIn(List<String> values) {
            addCriterion("CYRDM in", values, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmNotIn(List<String> values) {
            addCriterion("CYRDM not in", values, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmBetween(String value1, String value2) {
            addCriterion("CYRDM between", value1, value2, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrdmNotBetween(String value1, String value2) {
            addCriterion("CYRDM not between", value1, value2, "cyrdm");
            return (Criteria) this;
        }

        public Criteria andCyrmcIsNull() {
            addCriterion("CYRMC is null");
            return (Criteria) this;
        }

        public Criteria andCyrmcIsNotNull() {
            addCriterion("CYRMC is not null");
            return (Criteria) this;
        }

        public Criteria andCyrmcEqualTo(String value) {
            addCriterion("CYRMC =", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcNotEqualTo(String value) {
            addCriterion("CYRMC <>", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcGreaterThan(String value) {
            addCriterion("CYRMC >", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcGreaterThanOrEqualTo(String value) {
            addCriterion("CYRMC >=", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcLessThan(String value) {
            addCriterion("CYRMC <", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcLessThanOrEqualTo(String value) {
            addCriterion("CYRMC <=", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcLike(String value) {
            addCriterion("CYRMC like", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcNotLike(String value) {
            addCriterion("CYRMC not like", value, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcIn(List<String> values) {
            addCriterion("CYRMC in", values, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcNotIn(List<String> values) {
            addCriterion("CYRMC not in", values, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcBetween(String value1, String value2) {
            addCriterion("CYRMC between", value1, value2, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrmcNotBetween(String value1, String value2) {
            addCriterion("CYRMC not between", value1, value2, "cyrmc");
            return (Criteria) this;
        }

        public Criteria andCyrdhIsNull() {
            addCriterion("CYRDH is null");
            return (Criteria) this;
        }

        public Criteria andCyrdhIsNotNull() {
            addCriterion("CYRDH is not null");
            return (Criteria) this;
        }

        public Criteria andCyrdhEqualTo(String value) {
            addCriterion("CYRDH =", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhNotEqualTo(String value) {
            addCriterion("CYRDH <>", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhGreaterThan(String value) {
            addCriterion("CYRDH >", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhGreaterThanOrEqualTo(String value) {
            addCriterion("CYRDH >=", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhLessThan(String value) {
            addCriterion("CYRDH <", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhLessThanOrEqualTo(String value) {
            addCriterion("CYRDH <=", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhLike(String value) {
            addCriterion("CYRDH like", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhNotLike(String value) {
            addCriterion("CYRDH not like", value, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhIn(List<String> values) {
            addCriterion("CYRDH in", values, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhNotIn(List<String> values) {
            addCriterion("CYRDH not in", values, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhBetween(String value1, String value2) {
            addCriterion("CYRDH between", value1, value2, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrdhNotBetween(String value1, String value2) {
            addCriterion("CYRDH not between", value1, value2, "cyrdh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhIsNull() {
            addCriterion("CYRSFZH is null");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhIsNotNull() {
            addCriterion("CYRSFZH is not null");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhEqualTo(String value) {
            addCriterion("CYRSFZH =", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhNotEqualTo(String value) {
            addCriterion("CYRSFZH <>", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhGreaterThan(String value) {
            addCriterion("CYRSFZH >", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhGreaterThanOrEqualTo(String value) {
            addCriterion("CYRSFZH >=", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhLessThan(String value) {
            addCriterion("CYRSFZH <", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhLessThanOrEqualTo(String value) {
            addCriterion("CYRSFZH <=", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhLike(String value) {
            addCriterion("CYRSFZH like", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhNotLike(String value) {
            addCriterion("CYRSFZH not like", value, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhIn(List<String> values) {
            addCriterion("CYRSFZH in", values, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhNotIn(List<String> values) {
            addCriterion("CYRSFZH not in", values, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhBetween(String value1, String value2) {
            addCriterion("CYRSFZH between", value1, value2, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrsfzhNotBetween(String value1, String value2) {
            addCriterion("CYRSFZH not between", value1, value2, "cyrsfzh");
            return (Criteria) this;
        }

        public Criteria andCyrdzIsNull() {
            addCriterion("CYRDZ is null");
            return (Criteria) this;
        }

        public Criteria andCyrdzIsNotNull() {
            addCriterion("CYRDZ is not null");
            return (Criteria) this;
        }

        public Criteria andCyrdzEqualTo(String value) {
            addCriterion("CYRDZ =", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzNotEqualTo(String value) {
            addCriterion("CYRDZ <>", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzGreaterThan(String value) {
            addCriterion("CYRDZ >", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzGreaterThanOrEqualTo(String value) {
            addCriterion("CYRDZ >=", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzLessThan(String value) {
            addCriterion("CYRDZ <", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzLessThanOrEqualTo(String value) {
            addCriterion("CYRDZ <=", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzLike(String value) {
            addCriterion("CYRDZ like", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzNotLike(String value) {
            addCriterion("CYRDZ not like", value, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzIn(List<String> values) {
            addCriterion("CYRDZ in", values, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzNotIn(List<String> values) {
            addCriterion("CYRDZ not in", values, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzBetween(String value1, String value2) {
            addCriterion("CYRDZ between", value1, value2, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andCyrdzNotBetween(String value1, String value2) {
            addCriterion("CYRDZ not between", value1, value2, "cyrdz");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNull() {
            addCriterion("KHDM is null");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNotNull() {
            addCriterion("KHDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhdmEqualTo(String value) {
            addCriterion("KHDM =", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotEqualTo(String value) {
            addCriterion("KHDM <>", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThan(String value) {
            addCriterion("KHDM >", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThanOrEqualTo(String value) {
            addCriterion("KHDM >=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThan(String value) {
            addCriterion("KHDM <", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThanOrEqualTo(String value) {
            addCriterion("KHDM <=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLike(String value) {
            addCriterion("KHDM like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotLike(String value) {
            addCriterion("KHDM not like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmIn(List<String> values) {
            addCriterion("KHDM in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotIn(List<String> values) {
            addCriterion("KHDM not in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmBetween(String value1, String value2) {
            addCriterion("KHDM between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotBetween(String value1, String value2) {
            addCriterion("KHDM not between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNull() {
            addCriterion("KHMC is null");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNotNull() {
            addCriterion("KHMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhmcEqualTo(String value) {
            addCriterion("KHMC =", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotEqualTo(String value) {
            addCriterion("KHMC <>", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThan(String value) {
            addCriterion("KHMC >", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHMC >=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThan(String value) {
            addCriterion("KHMC <", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThanOrEqualTo(String value) {
            addCriterion("KHMC <=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLike(String value) {
            addCriterion("KHMC like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotLike(String value) {
            addCriterion("KHMC not like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcIn(List<String> values) {
            addCriterion("KHMC in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotIn(List<String> values) {
            addCriterion("KHMC not in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcBetween(String value1, String value2) {
            addCriterion("KHMC between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotBetween(String value1, String value2) {
            addCriterion("KHMC not between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNull() {
            addCriterion("KHSSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNotNull() {
            addCriterion("KHSSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmEqualTo(String value) {
            addCriterion("KHSSQYDM =", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotEqualTo(String value) {
            addCriterion("KHSSQYDM <>", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThan(String value) {
            addCriterion("KHSSQYDM >", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM >=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThan(String value) {
            addCriterion("KHSSQYDM <", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM <=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLike(String value) {
            addCriterion("KHSSQYDM like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotLike(String value) {
            addCriterion("KHSSQYDM not like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIn(List<String> values) {
            addCriterion("KHSSQYDM in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotIn(List<String> values) {
            addCriterion("KHSSQYDM not in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmBetween(String value1, String value2) {
            addCriterion("KHSSQYDM between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotBetween(String value1, String value2) {
            addCriterion("KHSSQYDM not between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNull() {
            addCriterion("KHSSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNotNull() {
            addCriterion("KHSSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcEqualTo(String value) {
            addCriterion("KHSSYQMC =", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotEqualTo(String value) {
            addCriterion("KHSSYQMC <>", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThan(String value) {
            addCriterion("KHSSYQMC >", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC >=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThan(String value) {
            addCriterion("KHSSYQMC <", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC <=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLike(String value) {
            addCriterion("KHSSYQMC like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotLike(String value) {
            addCriterion("KHSSYQMC not like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIn(List<String> values) {
            addCriterion("KHSSYQMC in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotIn(List<String> values) {
            addCriterion("KHSSYQMC not in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcBetween(String value1, String value2) {
            addCriterion("KHSSYQMC between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotBetween(String value1, String value2) {
            addCriterion("KHSSYQMC not between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andYsfsIsNull() {
            addCriterion("YSFS is null");
            return (Criteria) this;
        }

        public Criteria andYsfsIsNotNull() {
            addCriterion("YSFS is not null");
            return (Criteria) this;
        }

        public Criteria andYsfsEqualTo(String value) {
            addCriterion("YSFS =", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotEqualTo(String value) {
            addCriterion("YSFS <>", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsGreaterThan(String value) {
            addCriterion("YSFS >", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsGreaterThanOrEqualTo(String value) {
            addCriterion("YSFS >=", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLessThan(String value) {
            addCriterion("YSFS <", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLessThanOrEqualTo(String value) {
            addCriterion("YSFS <=", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLike(String value) {
            addCriterion("YSFS like", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotLike(String value) {
            addCriterion("YSFS not like", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsIn(List<String> values) {
            addCriterion("YSFS in", values, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotIn(List<String> values) {
            addCriterion("YSFS not in", values, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsBetween(String value1, String value2) {
            addCriterion("YSFS between", value1, value2, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotBetween(String value1, String value2) {
            addCriterion("YSFS not between", value1, value2, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYscchIsNull() {
            addCriterion("YSCCH is null");
            return (Criteria) this;
        }

        public Criteria andYscchIsNotNull() {
            addCriterion("YSCCH is not null");
            return (Criteria) this;
        }

        public Criteria andYscchEqualTo(String value) {
            addCriterion("YSCCH =", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotEqualTo(String value) {
            addCriterion("YSCCH <>", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchGreaterThan(String value) {
            addCriterion("YSCCH >", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchGreaterThanOrEqualTo(String value) {
            addCriterion("YSCCH >=", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLessThan(String value) {
            addCriterion("YSCCH <", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLessThanOrEqualTo(String value) {
            addCriterion("YSCCH <=", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLike(String value) {
            addCriterion("YSCCH like", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotLike(String value) {
            addCriterion("YSCCH not like", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchIn(List<String> values) {
            addCriterion("YSCCH in", values, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotIn(List<String> values) {
            addCriterion("YSCCH not in", values, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchBetween(String value1, String value2) {
            addCriterion("YSCCH between", value1, value2, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotBetween(String value1, String value2) {
            addCriterion("YSCCH not between", value1, value2, "yscch");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjIsNull() {
            addCriterion("CRKDJSJ is null");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjIsNotNull() {
            addCriterion("CRKDJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjEqualTo(Date value) {
            addCriterion("CRKDJSJ =", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjNotEqualTo(Date value) {
            addCriterion("CRKDJSJ <>", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjGreaterThan(Date value) {
            addCriterion("CRKDJSJ >", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CRKDJSJ >=", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjLessThan(Date value) {
            addCriterion("CRKDJSJ <", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjLessThanOrEqualTo(Date value) {
            addCriterion("CRKDJSJ <=", value, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjIn(List<Date> values) {
            addCriterion("CRKDJSJ in", values, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjNotIn(List<Date> values) {
            addCriterion("CRKDJSJ not in", values, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjBetween(Date value1, Date value2) {
            addCriterion("CRKDJSJ between", value1, value2, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCrkdjsjNotBetween(Date value1, Date value2) {
            addCriterion("CRKDJSJ not between", value1, value2, "crkdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIsNull() {
            addCriterion("CMDJSJ is null");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIsNotNull() {
            addCriterion("CMDJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCmdjsjEqualTo(Date value) {
            addCriterion("CMDJSJ =", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotEqualTo(Date value) {
            addCriterion("CMDJSJ <>", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjGreaterThan(Date value) {
            addCriterion("CMDJSJ >", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CMDJSJ >=", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjLessThan(Date value) {
            addCriterion("CMDJSJ <", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjLessThanOrEqualTo(Date value) {
            addCriterion("CMDJSJ <=", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIn(List<Date> values) {
            addCriterion("CMDJSJ in", values, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotIn(List<Date> values) {
            addCriterion("CMDJSJ not in", values, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjBetween(Date value1, Date value2) {
            addCriterion("CMDJSJ between", value1, value2, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotBetween(Date value1, Date value2) {
            addCriterion("CMDJSJ not between", value1, value2, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmIsNull() {
            addCriterion("MGZSRXM is null");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmIsNotNull() {
            addCriterion("MGZSRXM is not null");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmEqualTo(String value) {
            addCriterion("MGZSRXM =", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmNotEqualTo(String value) {
            addCriterion("MGZSRXM <>", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmGreaterThan(String value) {
            addCriterion("MGZSRXM >", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmGreaterThanOrEqualTo(String value) {
            addCriterion("MGZSRXM >=", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmLessThan(String value) {
            addCriterion("MGZSRXM <", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmLessThanOrEqualTo(String value) {
            addCriterion("MGZSRXM <=", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmLike(String value) {
            addCriterion("MGZSRXM like", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmNotLike(String value) {
            addCriterion("MGZSRXM not like", value, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmIn(List<String> values) {
            addCriterion("MGZSRXM in", values, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmNotIn(List<String> values) {
            addCriterion("MGZSRXM not in", values, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmBetween(String value1, String value2) {
            addCriterion("MGZSRXM between", value1, value2, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andMgzsrxmNotBetween(String value1, String value2) {
            addCriterion("MGZSRXM not between", value1, value2, "mgzsrxm");
            return (Criteria) this;
        }

        public Criteria andSstzdidIsNull() {
            addCriterion("SSTZDID is null");
            return (Criteria) this;
        }

        public Criteria andSstzdidIsNotNull() {
            addCriterion("SSTZDID is not null");
            return (Criteria) this;
        }

        public Criteria andSstzdidEqualTo(String value) {
            addCriterion("SSTZDID =", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidNotEqualTo(String value) {
            addCriterion("SSTZDID <>", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidGreaterThan(String value) {
            addCriterion("SSTZDID >", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidGreaterThanOrEqualTo(String value) {
            addCriterion("SSTZDID >=", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidLessThan(String value) {
            addCriterion("SSTZDID <", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidLessThanOrEqualTo(String value) {
            addCriterion("SSTZDID <=", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidLike(String value) {
            addCriterion("SSTZDID like", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidNotLike(String value) {
            addCriterion("SSTZDID not like", value, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidIn(List<String> values) {
            addCriterion("SSTZDID in", values, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidNotIn(List<String> values) {
            addCriterion("SSTZDID not in", values, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidBetween(String value1, String value2) {
            addCriterion("SSTZDID between", value1, value2, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdidNotBetween(String value1, String value2) {
            addCriterion("SSTZDID not between", value1, value2, "sstzdid");
            return (Criteria) this;
        }

        public Criteria andSstzdhIsNull() {
            addCriterion("SSTZDH is null");
            return (Criteria) this;
        }

        public Criteria andSstzdhIsNotNull() {
            addCriterion("SSTZDH is not null");
            return (Criteria) this;
        }

        public Criteria andSstzdhEqualTo(String value) {
            addCriterion("SSTZDH =", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhNotEqualTo(String value) {
            addCriterion("SSTZDH <>", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhGreaterThan(String value) {
            addCriterion("SSTZDH >", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhGreaterThanOrEqualTo(String value) {
            addCriterion("SSTZDH >=", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhLessThan(String value) {
            addCriterion("SSTZDH <", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhLessThanOrEqualTo(String value) {
            addCriterion("SSTZDH <=", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhLike(String value) {
            addCriterion("SSTZDH like", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhNotLike(String value) {
            addCriterion("SSTZDH not like", value, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhIn(List<String> values) {
            addCriterion("SSTZDH in", values, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhNotIn(List<String> values) {
            addCriterion("SSTZDH not in", values, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhBetween(String value1, String value2) {
            addCriterion("SSTZDH between", value1, value2, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSstzdhNotBetween(String value1, String value2) {
            addCriterion("SSTZDH not between", value1, value2, "sstzdh");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIsNull() {
            addCriterion("SSJHXXID is null");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIsNotNull() {
            addCriterion("SSJHXXID is not null");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidEqualTo(String value) {
            addCriterion("SSJHXXID =", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotEqualTo(String value) {
            addCriterion("SSJHXXID <>", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidGreaterThan(String value) {
            addCriterion("SSJHXXID >", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidGreaterThanOrEqualTo(String value) {
            addCriterion("SSJHXXID >=", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLessThan(String value) {
            addCriterion("SSJHXXID <", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLessThanOrEqualTo(String value) {
            addCriterion("SSJHXXID <=", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidLike(String value) {
            addCriterion("SSJHXXID like", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotLike(String value) {
            addCriterion("SSJHXXID not like", value, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidIn(List<String> values) {
            addCriterion("SSJHXXID in", values, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotIn(List<String> values) {
            addCriterion("SSJHXXID not in", values, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidBetween(String value1, String value2) {
            addCriterion("SSJHXXID between", value1, value2, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhxxidNotBetween(String value1, String value2) {
            addCriterion("SSJHXXID not between", value1, value2, "ssjhxxid");
            return (Criteria) this;
        }

        public Criteria andSsjhhIsNull() {
            addCriterion("SSJHH is null");
            return (Criteria) this;
        }

        public Criteria andSsjhhIsNotNull() {
            addCriterion("SSJHH is not null");
            return (Criteria) this;
        }

        public Criteria andSsjhhEqualTo(String value) {
            addCriterion("SSJHH =", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotEqualTo(String value) {
            addCriterion("SSJHH <>", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhGreaterThan(String value) {
            addCriterion("SSJHH >", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhGreaterThanOrEqualTo(String value) {
            addCriterion("SSJHH >=", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLessThan(String value) {
            addCriterion("SSJHH <", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLessThanOrEqualTo(String value) {
            addCriterion("SSJHH <=", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhLike(String value) {
            addCriterion("SSJHH like", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotLike(String value) {
            addCriterion("SSJHH not like", value, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhIn(List<String> values) {
            addCriterion("SSJHH in", values, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotIn(List<String> values) {
            addCriterion("SSJHH not in", values, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhBetween(String value1, String value2) {
            addCriterion("SSJHH between", value1, value2, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSsjhhNotBetween(String value1, String value2) {
            addCriterion("SSJHH not between", value1, value2, "ssjhh");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIsNull() {
            addCriterion("SSHTXXID is null");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIsNotNull() {
            addCriterion("SSHTXXID is not null");
            return (Criteria) this;
        }

        public Criteria andSshtxxidEqualTo(String value) {
            addCriterion("SSHTXXID =", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotEqualTo(String value) {
            addCriterion("SSHTXXID <>", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidGreaterThan(String value) {
            addCriterion("SSHTXXID >", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidGreaterThanOrEqualTo(String value) {
            addCriterion("SSHTXXID >=", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLessThan(String value) {
            addCriterion("SSHTXXID <", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLessThanOrEqualTo(String value) {
            addCriterion("SSHTXXID <=", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidLike(String value) {
            addCriterion("SSHTXXID like", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotLike(String value) {
            addCriterion("SSHTXXID not like", value, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidIn(List<String> values) {
            addCriterion("SSHTXXID in", values, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotIn(List<String> values) {
            addCriterion("SSHTXXID not in", values, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidBetween(String value1, String value2) {
            addCriterion("SSHTXXID between", value1, value2, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtxxidNotBetween(String value1, String value2) {
            addCriterion("SSHTXXID not between", value1, value2, "sshtxxid");
            return (Criteria) this;
        }

        public Criteria andSshtbmIsNull() {
            addCriterion("SSHTBM is null");
            return (Criteria) this;
        }

        public Criteria andSshtbmIsNotNull() {
            addCriterion("SSHTBM is not null");
            return (Criteria) this;
        }

        public Criteria andSshtbmEqualTo(String value) {
            addCriterion("SSHTBM =", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotEqualTo(String value) {
            addCriterion("SSHTBM <>", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmGreaterThan(String value) {
            addCriterion("SSHTBM >", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmGreaterThanOrEqualTo(String value) {
            addCriterion("SSHTBM >=", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLessThan(String value) {
            addCriterion("SSHTBM <", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLessThanOrEqualTo(String value) {
            addCriterion("SSHTBM <=", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmLike(String value) {
            addCriterion("SSHTBM like", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotLike(String value) {
            addCriterion("SSHTBM not like", value, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmIn(List<String> values) {
            addCriterion("SSHTBM in", values, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotIn(List<String> values) {
            addCriterion("SSHTBM not in", values, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmBetween(String value1, String value2) {
            addCriterion("SSHTBM between", value1, value2, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andSshtbmNotBetween(String value1, String value2) {
            addCriterion("SSHTBM not between", value1, value2, "sshtbm");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}