package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyHtxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyHtxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHtxxidIsNull() {
            addCriterion("HTXXID is null");
            return (Criteria) this;
        }

        public Criteria andHtxxidIsNotNull() {
            addCriterion("HTXXID is not null");
            return (Criteria) this;
        }

        public Criteria andHtxxidEqualTo(String value) {
            addCriterion("HTXXID =", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidNotEqualTo(String value) {
            addCriterion("HTXXID <>", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidGreaterThan(String value) {
            addCriterion("HTXXID >", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidGreaterThanOrEqualTo(String value) {
            addCriterion("HTXXID >=", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidLessThan(String value) {
            addCriterion("HTXXID <", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidLessThanOrEqualTo(String value) {
            addCriterion("HTXXID <=", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidLike(String value) {
            addCriterion("HTXXID like", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidNotLike(String value) {
            addCriterion("HTXXID not like", value, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidIn(List<String> values) {
            addCriterion("HTXXID in", values, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidNotIn(List<String> values) {
            addCriterion("HTXXID not in", values, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidBetween(String value1, String value2) {
            addCriterion("HTXXID between", value1, value2, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtxxidNotBetween(String value1, String value2) {
            addCriterion("HTXXID not between", value1, value2, "htxxid");
            return (Criteria) this;
        }

        public Criteria andHtbhIsNull() {
            addCriterion("HTBH is null");
            return (Criteria) this;
        }

        public Criteria andHtbhIsNotNull() {
            addCriterion("HTBH is not null");
            return (Criteria) this;
        }

        public Criteria andHtbhEqualTo(String value) {
            addCriterion("HTBH =", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhNotEqualTo(String value) {
            addCriterion("HTBH <>", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhGreaterThan(String value) {
            addCriterion("HTBH >", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhGreaterThanOrEqualTo(String value) {
            addCriterion("HTBH >=", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhLessThan(String value) {
            addCriterion("HTBH <", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhLessThanOrEqualTo(String value) {
            addCriterion("HTBH <=", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhLike(String value) {
            addCriterion("HTBH like", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhNotLike(String value) {
            addCriterion("HTBH not like", value, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhIn(List<String> values) {
            addCriterion("HTBH in", values, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhNotIn(List<String> values) {
            addCriterion("HTBH not in", values, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhBetween(String value1, String value2) {
            addCriterion("HTBH between", value1, value2, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtbhNotBetween(String value1, String value2) {
            addCriterion("HTBH not between", value1, value2, "htbh");
            return (Criteria) this;
        }

        public Criteria andHtmcIsNull() {
            addCriterion("HTMC is null");
            return (Criteria) this;
        }

        public Criteria andHtmcIsNotNull() {
            addCriterion("HTMC is not null");
            return (Criteria) this;
        }

        public Criteria andHtmcEqualTo(String value) {
            addCriterion("HTMC =", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcNotEqualTo(String value) {
            addCriterion("HTMC <>", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcGreaterThan(String value) {
            addCriterion("HTMC >", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcGreaterThanOrEqualTo(String value) {
            addCriterion("HTMC >=", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcLessThan(String value) {
            addCriterion("HTMC <", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcLessThanOrEqualTo(String value) {
            addCriterion("HTMC <=", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcLike(String value) {
            addCriterion("HTMC like", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcNotLike(String value) {
            addCriterion("HTMC not like", value, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcIn(List<String> values) {
            addCriterion("HTMC in", values, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcNotIn(List<String> values) {
            addCriterion("HTMC not in", values, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcBetween(String value1, String value2) {
            addCriterion("HTMC between", value1, value2, "htmc");
            return (Criteria) this;
        }

        public Criteria andHtmcNotBetween(String value1, String value2) {
            addCriterion("HTMC not between", value1, value2, "htmc");
            return (Criteria) this;
        }

        public Criteria andJfqydmIsNull() {
            addCriterion("JFQYDM is null");
            return (Criteria) this;
        }

        public Criteria andJfqydmIsNotNull() {
            addCriterion("JFQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andJfqydmEqualTo(String value) {
            addCriterion("JFQYDM =", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmNotEqualTo(String value) {
            addCriterion("JFQYDM <>", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmGreaterThan(String value) {
            addCriterion("JFQYDM >", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmGreaterThanOrEqualTo(String value) {
            addCriterion("JFQYDM >=", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmLessThan(String value) {
            addCriterion("JFQYDM <", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmLessThanOrEqualTo(String value) {
            addCriterion("JFQYDM <=", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmLike(String value) {
            addCriterion("JFQYDM like", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmNotLike(String value) {
            addCriterion("JFQYDM not like", value, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmIn(List<String> values) {
            addCriterion("JFQYDM in", values, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmNotIn(List<String> values) {
            addCriterion("JFQYDM not in", values, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmBetween(String value1, String value2) {
            addCriterion("JFQYDM between", value1, value2, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqydmNotBetween(String value1, String value2) {
            addCriterion("JFQYDM not between", value1, value2, "jfqydm");
            return (Criteria) this;
        }

        public Criteria andJfqymcIsNull() {
            addCriterion("JFQYMC is null");
            return (Criteria) this;
        }

        public Criteria andJfqymcIsNotNull() {
            addCriterion("JFQYMC is not null");
            return (Criteria) this;
        }

        public Criteria andJfqymcEqualTo(String value) {
            addCriterion("JFQYMC =", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcNotEqualTo(String value) {
            addCriterion("JFQYMC <>", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcGreaterThan(String value) {
            addCriterion("JFQYMC >", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcGreaterThanOrEqualTo(String value) {
            addCriterion("JFQYMC >=", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcLessThan(String value) {
            addCriterion("JFQYMC <", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcLessThanOrEqualTo(String value) {
            addCriterion("JFQYMC <=", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcLike(String value) {
            addCriterion("JFQYMC like", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcNotLike(String value) {
            addCriterion("JFQYMC not like", value, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcIn(List<String> values) {
            addCriterion("JFQYMC in", values, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcNotIn(List<String> values) {
            addCriterion("JFQYMC not in", values, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcBetween(String value1, String value2) {
            addCriterion("JFQYMC between", value1, value2, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfqymcNotBetween(String value1, String value2) {
            addCriterion("JFQYMC not between", value1, value2, "jfqymc");
            return (Criteria) this;
        }

        public Criteria andJfkdbmIsNull() {
            addCriterion("JFKDBM is null");
            return (Criteria) this;
        }

        public Criteria andJfkdbmIsNotNull() {
            addCriterion("JFKDBM is not null");
            return (Criteria) this;
        }

        public Criteria andJfkdbmEqualTo(String value) {
            addCriterion("JFKDBM =", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmNotEqualTo(String value) {
            addCriterion("JFKDBM <>", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmGreaterThan(String value) {
            addCriterion("JFKDBM >", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmGreaterThanOrEqualTo(String value) {
            addCriterion("JFKDBM >=", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmLessThan(String value) {
            addCriterion("JFKDBM <", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmLessThanOrEqualTo(String value) {
            addCriterion("JFKDBM <=", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmLike(String value) {
            addCriterion("JFKDBM like", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmNotLike(String value) {
            addCriterion("JFKDBM not like", value, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmIn(List<String> values) {
            addCriterion("JFKDBM in", values, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmNotIn(List<String> values) {
            addCriterion("JFKDBM not in", values, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmBetween(String value1, String value2) {
            addCriterion("JFKDBM between", value1, value2, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdbmNotBetween(String value1, String value2) {
            addCriterion("JFKDBM not between", value1, value2, "jfkdbm");
            return (Criteria) this;
        }

        public Criteria andJfkdmcIsNull() {
            addCriterion("JFKDMC is null");
            return (Criteria) this;
        }

        public Criteria andJfkdmcIsNotNull() {
            addCriterion("JFKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andJfkdmcEqualTo(String value) {
            addCriterion("JFKDMC =", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcNotEqualTo(String value) {
            addCriterion("JFKDMC <>", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcGreaterThan(String value) {
            addCriterion("JFKDMC >", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcGreaterThanOrEqualTo(String value) {
            addCriterion("JFKDMC >=", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcLessThan(String value) {
            addCriterion("JFKDMC <", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcLessThanOrEqualTo(String value) {
            addCriterion("JFKDMC <=", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcLike(String value) {
            addCriterion("JFKDMC like", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcNotLike(String value) {
            addCriterion("JFKDMC not like", value, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcIn(List<String> values) {
            addCriterion("JFKDMC in", values, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcNotIn(List<String> values) {
            addCriterion("JFKDMC not in", values, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcBetween(String value1, String value2) {
            addCriterion("JFKDMC between", value1, value2, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkdmcNotBetween(String value1, String value2) {
            addCriterion("JFKDMC not between", value1, value2, "jfkdmc");
            return (Criteria) this;
        }

        public Criteria andJfkhhIsNull() {
            addCriterion("JFKHH is null");
            return (Criteria) this;
        }

        public Criteria andJfkhhIsNotNull() {
            addCriterion("JFKHH is not null");
            return (Criteria) this;
        }

        public Criteria andJfkhhEqualTo(String value) {
            addCriterion("JFKHH =", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhNotEqualTo(String value) {
            addCriterion("JFKHH <>", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhGreaterThan(String value) {
            addCriterion("JFKHH >", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhGreaterThanOrEqualTo(String value) {
            addCriterion("JFKHH >=", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhLessThan(String value) {
            addCriterion("JFKHH <", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhLessThanOrEqualTo(String value) {
            addCriterion("JFKHH <=", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhLike(String value) {
            addCriterion("JFKHH like", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhNotLike(String value) {
            addCriterion("JFKHH not like", value, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhIn(List<String> values) {
            addCriterion("JFKHH in", values, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhNotIn(List<String> values) {
            addCriterion("JFKHH not in", values, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhBetween(String value1, String value2) {
            addCriterion("JFKHH between", value1, value2, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfkhhNotBetween(String value1, String value2) {
            addCriterion("JFKHH not between", value1, value2, "jfkhh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhIsNull() {
            addCriterion("JFYHZH is null");
            return (Criteria) this;
        }

        public Criteria andJfyhzhIsNotNull() {
            addCriterion("JFYHZH is not null");
            return (Criteria) this;
        }

        public Criteria andJfyhzhEqualTo(String value) {
            addCriterion("JFYHZH =", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhNotEqualTo(String value) {
            addCriterion("JFYHZH <>", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhGreaterThan(String value) {
            addCriterion("JFYHZH >", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhGreaterThanOrEqualTo(String value) {
            addCriterion("JFYHZH >=", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhLessThan(String value) {
            addCriterion("JFYHZH <", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhLessThanOrEqualTo(String value) {
            addCriterion("JFYHZH <=", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhLike(String value) {
            addCriterion("JFYHZH like", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhNotLike(String value) {
            addCriterion("JFYHZH not like", value, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhIn(List<String> values) {
            addCriterion("JFYHZH in", values, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhNotIn(List<String> values) {
            addCriterion("JFYHZH not in", values, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhBetween(String value1, String value2) {
            addCriterion("JFYHZH between", value1, value2, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfyhzhNotBetween(String value1, String value2) {
            addCriterion("JFYHZH not between", value1, value2, "jfyhzh");
            return (Criteria) this;
        }

        public Criteria andJfqyrIsNull() {
            addCriterion("JFQYR is null");
            return (Criteria) this;
        }

        public Criteria andJfqyrIsNotNull() {
            addCriterion("JFQYR is not null");
            return (Criteria) this;
        }

        public Criteria andJfqyrEqualTo(String value) {
            addCriterion("JFQYR =", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrNotEqualTo(String value) {
            addCriterion("JFQYR <>", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrGreaterThan(String value) {
            addCriterion("JFQYR >", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrGreaterThanOrEqualTo(String value) {
            addCriterion("JFQYR >=", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrLessThan(String value) {
            addCriterion("JFQYR <", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrLessThanOrEqualTo(String value) {
            addCriterion("JFQYR <=", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrLike(String value) {
            addCriterion("JFQYR like", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrNotLike(String value) {
            addCriterion("JFQYR not like", value, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrIn(List<String> values) {
            addCriterion("JFQYR in", values, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrNotIn(List<String> values) {
            addCriterion("JFQYR not in", values, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrBetween(String value1, String value2) {
            addCriterion("JFQYR between", value1, value2, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJfqyrNotBetween(String value1, String value2) {
            addCriterion("JFQYR not between", value1, value2, "jfqyr");
            return (Criteria) this;
        }

        public Criteria andJflxdhIsNull() {
            addCriterion("JFLXDH is null");
            return (Criteria) this;
        }

        public Criteria andJflxdhIsNotNull() {
            addCriterion("JFLXDH is not null");
            return (Criteria) this;
        }

        public Criteria andJflxdhEqualTo(String value) {
            addCriterion("JFLXDH =", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhNotEqualTo(String value) {
            addCriterion("JFLXDH <>", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhGreaterThan(String value) {
            addCriterion("JFLXDH >", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhGreaterThanOrEqualTo(String value) {
            addCriterion("JFLXDH >=", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhLessThan(String value) {
            addCriterion("JFLXDH <", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhLessThanOrEqualTo(String value) {
            addCriterion("JFLXDH <=", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhLike(String value) {
            addCriterion("JFLXDH like", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhNotLike(String value) {
            addCriterion("JFLXDH not like", value, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhIn(List<String> values) {
            addCriterion("JFLXDH in", values, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhNotIn(List<String> values) {
            addCriterion("JFLXDH not in", values, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhBetween(String value1, String value2) {
            addCriterion("JFLXDH between", value1, value2, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJflxdhNotBetween(String value1, String value2) {
            addCriterion("JFLXDH not between", value1, value2, "jflxdh");
            return (Criteria) this;
        }

        public Criteria andJfqzztIsNull() {
            addCriterion("JFQZZT is null");
            return (Criteria) this;
        }

        public Criteria andJfqzztIsNotNull() {
            addCriterion("JFQZZT is not null");
            return (Criteria) this;
        }

        public Criteria andJfqzztEqualTo(String value) {
            addCriterion("JFQZZT =", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztNotEqualTo(String value) {
            addCriterion("JFQZZT <>", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztGreaterThan(String value) {
            addCriterion("JFQZZT >", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztGreaterThanOrEqualTo(String value) {
            addCriterion("JFQZZT >=", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztLessThan(String value) {
            addCriterion("JFQZZT <", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztLessThanOrEqualTo(String value) {
            addCriterion("JFQZZT <=", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztLike(String value) {
            addCriterion("JFQZZT like", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztNotLike(String value) {
            addCriterion("JFQZZT not like", value, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztIn(List<String> values) {
            addCriterion("JFQZZT in", values, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztNotIn(List<String> values) {
            addCriterion("JFQZZT not in", values, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztBetween(String value1, String value2) {
            addCriterion("JFQZZT between", value1, value2, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andJfqzztNotBetween(String value1, String value2) {
            addCriterion("JFQZZT not between", value1, value2, "jfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqydmIsNull() {
            addCriterion("YFQYDM is null");
            return (Criteria) this;
        }

        public Criteria andYfqydmIsNotNull() {
            addCriterion("YFQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andYfqydmEqualTo(String value) {
            addCriterion("YFQYDM =", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmNotEqualTo(String value) {
            addCriterion("YFQYDM <>", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmGreaterThan(String value) {
            addCriterion("YFQYDM >", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmGreaterThanOrEqualTo(String value) {
            addCriterion("YFQYDM >=", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmLessThan(String value) {
            addCriterion("YFQYDM <", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmLessThanOrEqualTo(String value) {
            addCriterion("YFQYDM <=", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmLike(String value) {
            addCriterion("YFQYDM like", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmNotLike(String value) {
            addCriterion("YFQYDM not like", value, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmIn(List<String> values) {
            addCriterion("YFQYDM in", values, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmNotIn(List<String> values) {
            addCriterion("YFQYDM not in", values, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmBetween(String value1, String value2) {
            addCriterion("YFQYDM between", value1, value2, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqydmNotBetween(String value1, String value2) {
            addCriterion("YFQYDM not between", value1, value2, "yfqydm");
            return (Criteria) this;
        }

        public Criteria andYfqymcIsNull() {
            addCriterion("YFQYMC is null");
            return (Criteria) this;
        }

        public Criteria andYfqymcIsNotNull() {
            addCriterion("YFQYMC is not null");
            return (Criteria) this;
        }

        public Criteria andYfqymcEqualTo(String value) {
            addCriterion("YFQYMC =", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcNotEqualTo(String value) {
            addCriterion("YFQYMC <>", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcGreaterThan(String value) {
            addCriterion("YFQYMC >", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcGreaterThanOrEqualTo(String value) {
            addCriterion("YFQYMC >=", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcLessThan(String value) {
            addCriterion("YFQYMC <", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcLessThanOrEqualTo(String value) {
            addCriterion("YFQYMC <=", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcLike(String value) {
            addCriterion("YFQYMC like", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcNotLike(String value) {
            addCriterion("YFQYMC not like", value, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcIn(List<String> values) {
            addCriterion("YFQYMC in", values, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcNotIn(List<String> values) {
            addCriterion("YFQYMC not in", values, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcBetween(String value1, String value2) {
            addCriterion("YFQYMC between", value1, value2, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfqymcNotBetween(String value1, String value2) {
            addCriterion("YFQYMC not between", value1, value2, "yfqymc");
            return (Criteria) this;
        }

        public Criteria andYfkdbmIsNull() {
            addCriterion("YFKDBM is null");
            return (Criteria) this;
        }

        public Criteria andYfkdbmIsNotNull() {
            addCriterion("YFKDBM is not null");
            return (Criteria) this;
        }

        public Criteria andYfkdbmEqualTo(String value) {
            addCriterion("YFKDBM =", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmNotEqualTo(String value) {
            addCriterion("YFKDBM <>", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmGreaterThan(String value) {
            addCriterion("YFKDBM >", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmGreaterThanOrEqualTo(String value) {
            addCriterion("YFKDBM >=", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmLessThan(String value) {
            addCriterion("YFKDBM <", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmLessThanOrEqualTo(String value) {
            addCriterion("YFKDBM <=", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmLike(String value) {
            addCriterion("YFKDBM like", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmNotLike(String value) {
            addCriterion("YFKDBM not like", value, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmIn(List<String> values) {
            addCriterion("YFKDBM in", values, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmNotIn(List<String> values) {
            addCriterion("YFKDBM not in", values, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmBetween(String value1, String value2) {
            addCriterion("YFKDBM between", value1, value2, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdbmNotBetween(String value1, String value2) {
            addCriterion("YFKDBM not between", value1, value2, "yfkdbm");
            return (Criteria) this;
        }

        public Criteria andYfkdmcIsNull() {
            addCriterion("YFKDMC is null");
            return (Criteria) this;
        }

        public Criteria andYfkdmcIsNotNull() {
            addCriterion("YFKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andYfkdmcEqualTo(String value) {
            addCriterion("YFKDMC =", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcNotEqualTo(String value) {
            addCriterion("YFKDMC <>", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcGreaterThan(String value) {
            addCriterion("YFKDMC >", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcGreaterThanOrEqualTo(String value) {
            addCriterion("YFKDMC >=", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcLessThan(String value) {
            addCriterion("YFKDMC <", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcLessThanOrEqualTo(String value) {
            addCriterion("YFKDMC <=", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcLike(String value) {
            addCriterion("YFKDMC like", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcNotLike(String value) {
            addCriterion("YFKDMC not like", value, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcIn(List<String> values) {
            addCriterion("YFKDMC in", values, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcNotIn(List<String> values) {
            addCriterion("YFKDMC not in", values, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcBetween(String value1, String value2) {
            addCriterion("YFKDMC between", value1, value2, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkdmcNotBetween(String value1, String value2) {
            addCriterion("YFKDMC not between", value1, value2, "yfkdmc");
            return (Criteria) this;
        }

        public Criteria andYfkhhIsNull() {
            addCriterion("YFKHH is null");
            return (Criteria) this;
        }

        public Criteria andYfkhhIsNotNull() {
            addCriterion("YFKHH is not null");
            return (Criteria) this;
        }

        public Criteria andYfkhhEqualTo(String value) {
            addCriterion("YFKHH =", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhNotEqualTo(String value) {
            addCriterion("YFKHH <>", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhGreaterThan(String value) {
            addCriterion("YFKHH >", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhGreaterThanOrEqualTo(String value) {
            addCriterion("YFKHH >=", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhLessThan(String value) {
            addCriterion("YFKHH <", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhLessThanOrEqualTo(String value) {
            addCriterion("YFKHH <=", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhLike(String value) {
            addCriterion("YFKHH like", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhNotLike(String value) {
            addCriterion("YFKHH not like", value, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhIn(List<String> values) {
            addCriterion("YFKHH in", values, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhNotIn(List<String> values) {
            addCriterion("YFKHH not in", values, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhBetween(String value1, String value2) {
            addCriterion("YFKHH between", value1, value2, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfkhhNotBetween(String value1, String value2) {
            addCriterion("YFKHH not between", value1, value2, "yfkhh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhIsNull() {
            addCriterion("YFYHZH is null");
            return (Criteria) this;
        }

        public Criteria andYfyhzhIsNotNull() {
            addCriterion("YFYHZH is not null");
            return (Criteria) this;
        }

        public Criteria andYfyhzhEqualTo(String value) {
            addCriterion("YFYHZH =", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhNotEqualTo(String value) {
            addCriterion("YFYHZH <>", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhGreaterThan(String value) {
            addCriterion("YFYHZH >", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhGreaterThanOrEqualTo(String value) {
            addCriterion("YFYHZH >=", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhLessThan(String value) {
            addCriterion("YFYHZH <", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhLessThanOrEqualTo(String value) {
            addCriterion("YFYHZH <=", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhLike(String value) {
            addCriterion("YFYHZH like", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhNotLike(String value) {
            addCriterion("YFYHZH not like", value, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhIn(List<String> values) {
            addCriterion("YFYHZH in", values, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhNotIn(List<String> values) {
            addCriterion("YFYHZH not in", values, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhBetween(String value1, String value2) {
            addCriterion("YFYHZH between", value1, value2, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfyhzhNotBetween(String value1, String value2) {
            addCriterion("YFYHZH not between", value1, value2, "yfyhzh");
            return (Criteria) this;
        }

        public Criteria andYfqyrIsNull() {
            addCriterion("YFQYR is null");
            return (Criteria) this;
        }

        public Criteria andYfqyrIsNotNull() {
            addCriterion("YFQYR is not null");
            return (Criteria) this;
        }

        public Criteria andYfqyrEqualTo(String value) {
            addCriterion("YFQYR =", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrNotEqualTo(String value) {
            addCriterion("YFQYR <>", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrGreaterThan(String value) {
            addCriterion("YFQYR >", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrGreaterThanOrEqualTo(String value) {
            addCriterion("YFQYR >=", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrLessThan(String value) {
            addCriterion("YFQYR <", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrLessThanOrEqualTo(String value) {
            addCriterion("YFQYR <=", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrLike(String value) {
            addCriterion("YFQYR like", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrNotLike(String value) {
            addCriterion("YFQYR not like", value, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrIn(List<String> values) {
            addCriterion("YFQYR in", values, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrNotIn(List<String> values) {
            addCriterion("YFQYR not in", values, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrBetween(String value1, String value2) {
            addCriterion("YFQYR between", value1, value2, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYfqyrNotBetween(String value1, String value2) {
            addCriterion("YFQYR not between", value1, value2, "yfqyr");
            return (Criteria) this;
        }

        public Criteria andYflxdhIsNull() {
            addCriterion("YFLXDH is null");
            return (Criteria) this;
        }

        public Criteria andYflxdhIsNotNull() {
            addCriterion("YFLXDH is not null");
            return (Criteria) this;
        }

        public Criteria andYflxdhEqualTo(String value) {
            addCriterion("YFLXDH =", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhNotEqualTo(String value) {
            addCriterion("YFLXDH <>", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhGreaterThan(String value) {
            addCriterion("YFLXDH >", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhGreaterThanOrEqualTo(String value) {
            addCriterion("YFLXDH >=", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhLessThan(String value) {
            addCriterion("YFLXDH <", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhLessThanOrEqualTo(String value) {
            addCriterion("YFLXDH <=", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhLike(String value) {
            addCriterion("YFLXDH like", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhNotLike(String value) {
            addCriterion("YFLXDH not like", value, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhIn(List<String> values) {
            addCriterion("YFLXDH in", values, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhNotIn(List<String> values) {
            addCriterion("YFLXDH not in", values, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhBetween(String value1, String value2) {
            addCriterion("YFLXDH between", value1, value2, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYflxdhNotBetween(String value1, String value2) {
            addCriterion("YFLXDH not between", value1, value2, "yflxdh");
            return (Criteria) this;
        }

        public Criteria andYfqzztIsNull() {
            addCriterion("YFQZZT is null");
            return (Criteria) this;
        }

        public Criteria andYfqzztIsNotNull() {
            addCriterion("YFQZZT is not null");
            return (Criteria) this;
        }

        public Criteria andYfqzztEqualTo(String value) {
            addCriterion("YFQZZT =", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztNotEqualTo(String value) {
            addCriterion("YFQZZT <>", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztGreaterThan(String value) {
            addCriterion("YFQZZT >", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztGreaterThanOrEqualTo(String value) {
            addCriterion("YFQZZT >=", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztLessThan(String value) {
            addCriterion("YFQZZT <", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztLessThanOrEqualTo(String value) {
            addCriterion("YFQZZT <=", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztLike(String value) {
            addCriterion("YFQZZT like", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztNotLike(String value) {
            addCriterion("YFQZZT not like", value, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztIn(List<String> values) {
            addCriterion("YFQZZT in", values, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztNotIn(List<String> values) {
            addCriterion("YFQZZT not in", values, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztBetween(String value1, String value2) {
            addCriterion("YFQZZT between", value1, value2, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andYfqzztNotBetween(String value1, String value2) {
            addCriterion("YFQZZT not between", value1, value2, "yfqzzt");
            return (Criteria) this;
        }

        public Criteria andHtqssjIsNull() {
            addCriterion("HTQSSJ is null");
            return (Criteria) this;
        }

        public Criteria andHtqssjIsNotNull() {
            addCriterion("HTQSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andHtqssjEqualTo(Date value) {
            addCriterion("HTQSSJ =", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjNotEqualTo(Date value) {
            addCriterion("HTQSSJ <>", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjGreaterThan(Date value) {
            addCriterion("HTQSSJ >", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjGreaterThanOrEqualTo(Date value) {
            addCriterion("HTQSSJ >=", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjLessThan(Date value) {
            addCriterion("HTQSSJ <", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjLessThanOrEqualTo(Date value) {
            addCriterion("HTQSSJ <=", value, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjIn(List<Date> values) {
            addCriterion("HTQSSJ in", values, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjNotIn(List<Date> values) {
            addCriterion("HTQSSJ not in", values, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjBetween(Date value1, Date value2) {
            addCriterion("HTQSSJ between", value1, value2, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqssjNotBetween(Date value1, Date value2) {
            addCriterion("HTQSSJ not between", value1, value2, "htqssj");
            return (Criteria) this;
        }

        public Criteria andHtqsddIsNull() {
            addCriterion("HTQSDD is null");
            return (Criteria) this;
        }

        public Criteria andHtqsddIsNotNull() {
            addCriterion("HTQSDD is not null");
            return (Criteria) this;
        }

        public Criteria andHtqsddEqualTo(String value) {
            addCriterion("HTQSDD =", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddNotEqualTo(String value) {
            addCriterion("HTQSDD <>", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddGreaterThan(String value) {
            addCriterion("HTQSDD >", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddGreaterThanOrEqualTo(String value) {
            addCriterion("HTQSDD >=", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddLessThan(String value) {
            addCriterion("HTQSDD <", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddLessThanOrEqualTo(String value) {
            addCriterion("HTQSDD <=", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddLike(String value) {
            addCriterion("HTQSDD like", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddNotLike(String value) {
            addCriterion("HTQSDD not like", value, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddIn(List<String> values) {
            addCriterion("HTQSDD in", values, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddNotIn(List<String> values) {
            addCriterion("HTQSDD not in", values, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddBetween(String value1, String value2) {
            addCriterion("HTQSDD between", value1, value2, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtqsddNotBetween(String value1, String value2) {
            addCriterion("HTQSDD not between", value1, value2, "htqsdd");
            return (Criteria) this;
        }

        public Criteria andHtzjeIsNull() {
            addCriterion("HTZJE is null");
            return (Criteria) this;
        }

        public Criteria andHtzjeIsNotNull() {
            addCriterion("HTZJE is not null");
            return (Criteria) this;
        }

        public Criteria andHtzjeEqualTo(BigDecimal value) {
            addCriterion("HTZJE =", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeNotEqualTo(BigDecimal value) {
            addCriterion("HTZJE <>", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeGreaterThan(BigDecimal value) {
            addCriterion("HTZJE >", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZJE >=", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeLessThan(BigDecimal value) {
            addCriterion("HTZJE <", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZJE <=", value, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeIn(List<BigDecimal> values) {
            addCriterion("HTZJE in", values, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeNotIn(List<BigDecimal> values) {
            addCriterion("HTZJE not in", values, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZJE between", value1, value2, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZJE not between", value1, value2, "htzje");
            return (Criteria) this;
        }

        public Criteria andHtzslIsNull() {
            addCriterion("HTZSL is null");
            return (Criteria) this;
        }

        public Criteria andHtzslIsNotNull() {
            addCriterion("HTZSL is not null");
            return (Criteria) this;
        }

        public Criteria andHtzslEqualTo(BigDecimal value) {
            addCriterion("HTZSL =", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslNotEqualTo(BigDecimal value) {
            addCriterion("HTZSL <>", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslGreaterThan(BigDecimal value) {
            addCriterion("HTZSL >", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZSL >=", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslLessThan(BigDecimal value) {
            addCriterion("HTZSL <", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZSL <=", value, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslIn(List<BigDecimal> values) {
            addCriterion("HTZSL in", values, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslNotIn(List<BigDecimal> values) {
            addCriterion("HTZSL not in", values, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZSL between", value1, value2, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZSL not between", value1, value2, "htzsl");
            return (Criteria) this;
        }

        public Criteria andHtzdjIsNull() {
            addCriterion("HTZDJ is null");
            return (Criteria) this;
        }

        public Criteria andHtzdjIsNotNull() {
            addCriterion("HTZDJ is not null");
            return (Criteria) this;
        }

        public Criteria andHtzdjEqualTo(BigDecimal value) {
            addCriterion("HTZDJ =", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjNotEqualTo(BigDecimal value) {
            addCriterion("HTZDJ <>", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjGreaterThan(BigDecimal value) {
            addCriterion("HTZDJ >", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZDJ >=", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjLessThan(BigDecimal value) {
            addCriterion("HTZDJ <", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjLessThanOrEqualTo(BigDecimal value) {
            addCriterion("HTZDJ <=", value, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjIn(List<BigDecimal> values) {
            addCriterion("HTZDJ in", values, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjNotIn(List<BigDecimal> values) {
            addCriterion("HTZDJ not in", values, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZDJ between", value1, value2, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtzdjNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTZDJ not between", value1, value2, "htzdj");
            return (Criteria) this;
        }

        public Criteria andHtbzjeIsNull() {
            addCriterion("HTBZJE is null");
            return (Criteria) this;
        }

        public Criteria andHtbzjeIsNotNull() {
            addCriterion("HTBZJE is not null");
            return (Criteria) this;
        }

        public Criteria andHtbzjeEqualTo(BigDecimal value) {
            addCriterion("HTBZJE =", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeNotEqualTo(BigDecimal value) {
            addCriterion("HTBZJE <>", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeGreaterThan(BigDecimal value) {
            addCriterion("HTBZJE >", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("HTBZJE >=", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeLessThan(BigDecimal value) {
            addCriterion("HTBZJE <", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("HTBZJE <=", value, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeIn(List<BigDecimal> values) {
            addCriterion("HTBZJE in", values, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeNotIn(List<BigDecimal> values) {
            addCriterion("HTBZJE not in", values, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTBZJE between", value1, value2, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtbzjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("HTBZJE not between", value1, value2, "htbzje");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjIsNull() {
            addCriterion("HTSXKSSJ is null");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjIsNotNull() {
            addCriterion("HTSXKSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjEqualTo(Date value) {
            addCriterion("HTSXKSSJ =", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjNotEqualTo(Date value) {
            addCriterion("HTSXKSSJ <>", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjGreaterThan(Date value) {
            addCriterion("HTSXKSSJ >", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjGreaterThanOrEqualTo(Date value) {
            addCriterion("HTSXKSSJ >=", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjLessThan(Date value) {
            addCriterion("HTSXKSSJ <", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjLessThanOrEqualTo(Date value) {
            addCriterion("HTSXKSSJ <=", value, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjIn(List<Date> values) {
            addCriterion("HTSXKSSJ in", values, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjNotIn(List<Date> values) {
            addCriterion("HTSXKSSJ not in", values, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjBetween(Date value1, Date value2) {
            addCriterion("HTSXKSSJ between", value1, value2, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxkssjNotBetween(Date value1, Date value2) {
            addCriterion("HTSXKSSJ not between", value1, value2, "htsxkssj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjIsNull() {
            addCriterion("HTSXJZSJ is null");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjIsNotNull() {
            addCriterion("HTSXJZSJ is not null");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjEqualTo(Date value) {
            addCriterion("HTSXJZSJ =", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjNotEqualTo(Date value) {
            addCriterion("HTSXJZSJ <>", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjGreaterThan(Date value) {
            addCriterion("HTSXJZSJ >", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjGreaterThanOrEqualTo(Date value) {
            addCriterion("HTSXJZSJ >=", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjLessThan(Date value) {
            addCriterion("HTSXJZSJ <", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjLessThanOrEqualTo(Date value) {
            addCriterion("HTSXJZSJ <=", value, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjIn(List<Date> values) {
            addCriterion("HTSXJZSJ in", values, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjNotIn(List<Date> values) {
            addCriterion("HTSXJZSJ not in", values, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjBetween(Date value1, Date value2) {
            addCriterion("HTSXJZSJ between", value1, value2, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andHtsxjzsjNotBetween(Date value1, Date value2) {
            addCriterion("HTSXJZSJ not between", value1, value2, "htsxjzsj");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNull() {
            addCriterion("JHKSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhkssjIsNotNull() {
            addCriterion("JHKSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhkssjEqualTo(Date value) {
            addCriterion("JHKSSJ =", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotEqualTo(Date value) {
            addCriterion("JHKSSJ <>", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThan(Date value) {
            addCriterion("JHKSSJ >", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ >=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThan(Date value) {
            addCriterion("JHKSSJ <", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjLessThanOrEqualTo(Date value) {
            addCriterion("JHKSSJ <=", value, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjIn(List<Date> values) {
            addCriterion("JHKSSJ in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotIn(List<Date> values) {
            addCriterion("JHKSSJ not in", values, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhkssjNotBetween(Date value1, Date value2) {
            addCriterion("JHKSSJ not between", value1, value2, "jhkssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjIsNull() {
            addCriterion("JHJSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJhjssjIsNotNull() {
            addCriterion("JHJSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJhjssjEqualTo(Date value) {
            addCriterion("JHJSSJ =", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjNotEqualTo(Date value) {
            addCriterion("JHJSSJ <>", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjGreaterThan(Date value) {
            addCriterion("JHJSSJ >", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjGreaterThanOrEqualTo(Date value) {
            addCriterion("JHJSSJ >=", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjLessThan(Date value) {
            addCriterion("JHJSSJ <", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjLessThanOrEqualTo(Date value) {
            addCriterion("JHJSSJ <=", value, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjIn(List<Date> values) {
            addCriterion("JHJSSJ in", values, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjNotIn(List<Date> values) {
            addCriterion("JHJSSJ not in", values, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjBetween(Date value1, Date value2) {
            addCriterion("JHJSSJ between", value1, value2, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andJhjssjNotBetween(Date value1, Date value2) {
            addCriterion("JHJSSJ not between", value1, value2, "jhjssj");
            return (Criteria) this;
        }

        public Criteria andLspzbmIsNull() {
            addCriterion("LSPZBM is null");
            return (Criteria) this;
        }

        public Criteria andLspzbmIsNotNull() {
            addCriterion("LSPZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLspzbmEqualTo(String value) {
            addCriterion("LSPZBM =", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotEqualTo(String value) {
            addCriterion("LSPZBM <>", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmGreaterThan(String value) {
            addCriterion("LSPZBM >", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZBM >=", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLessThan(String value) {
            addCriterion("LSPZBM <", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLessThanOrEqualTo(String value) {
            addCriterion("LSPZBM <=", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmLike(String value) {
            addCriterion("LSPZBM like", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotLike(String value) {
            addCriterion("LSPZBM not like", value, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmIn(List<String> values) {
            addCriterion("LSPZBM in", values, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotIn(List<String> values) {
            addCriterion("LSPZBM not in", values, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmBetween(String value1, String value2) {
            addCriterion("LSPZBM between", value1, value2, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzbmNotBetween(String value1, String value2) {
            addCriterion("LSPZBM not between", value1, value2, "lspzbm");
            return (Criteria) this;
        }

        public Criteria andLspzmcIsNull() {
            addCriterion("LSPZMC is null");
            return (Criteria) this;
        }

        public Criteria andLspzmcIsNotNull() {
            addCriterion("LSPZMC is not null");
            return (Criteria) this;
        }

        public Criteria andLspzmcEqualTo(String value) {
            addCriterion("LSPZMC =", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotEqualTo(String value) {
            addCriterion("LSPZMC <>", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcGreaterThan(String value) {
            addCriterion("LSPZMC >", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZMC >=", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLessThan(String value) {
            addCriterion("LSPZMC <", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLessThanOrEqualTo(String value) {
            addCriterion("LSPZMC <=", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcLike(String value) {
            addCriterion("LSPZMC like", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotLike(String value) {
            addCriterion("LSPZMC not like", value, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcIn(List<String> values) {
            addCriterion("LSPZMC in", values, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotIn(List<String> values) {
            addCriterion("LSPZMC not in", values, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcBetween(String value1, String value2) {
            addCriterion("LSPZMC between", value1, value2, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andLspzmcNotBetween(String value1, String value2) {
            addCriterion("LSPZMC not between", value1, value2, "lspzmc");
            return (Criteria) this;
        }

        public Criteria andYsfsIsNull() {
            addCriterion("YSFS is null");
            return (Criteria) this;
        }

        public Criteria andYsfsIsNotNull() {
            addCriterion("YSFS is not null");
            return (Criteria) this;
        }

        public Criteria andYsfsEqualTo(String value) {
            addCriterion("YSFS =", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotEqualTo(String value) {
            addCriterion("YSFS <>", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsGreaterThan(String value) {
            addCriterion("YSFS >", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsGreaterThanOrEqualTo(String value) {
            addCriterion("YSFS >=", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLessThan(String value) {
            addCriterion("YSFS <", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLessThanOrEqualTo(String value) {
            addCriterion("YSFS <=", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsLike(String value) {
            addCriterion("YSFS like", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotLike(String value) {
            addCriterion("YSFS not like", value, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsIn(List<String> values) {
            addCriterion("YSFS in", values, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotIn(List<String> values) {
            addCriterion("YSFS not in", values, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsBetween(String value1, String value2) {
            addCriterion("YSFS between", value1, value2, "ysfs");
            return (Criteria) this;
        }

        public Criteria andYsfsNotBetween(String value1, String value2) {
            addCriterion("YSFS not between", value1, value2, "ysfs");
            return (Criteria) this;
        }

        public Criteria andZffsIsNull() {
            addCriterion("ZFFS is null");
            return (Criteria) this;
        }

        public Criteria andZffsIsNotNull() {
            addCriterion("ZFFS is not null");
            return (Criteria) this;
        }

        public Criteria andZffsEqualTo(String value) {
            addCriterion("ZFFS =", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsNotEqualTo(String value) {
            addCriterion("ZFFS <>", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsGreaterThan(String value) {
            addCriterion("ZFFS >", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsGreaterThanOrEqualTo(String value) {
            addCriterion("ZFFS >=", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsLessThan(String value) {
            addCriterion("ZFFS <", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsLessThanOrEqualTo(String value) {
            addCriterion("ZFFS <=", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsLike(String value) {
            addCriterion("ZFFS like", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsNotLike(String value) {
            addCriterion("ZFFS not like", value, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsIn(List<String> values) {
            addCriterion("ZFFS in", values, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsNotIn(List<String> values) {
            addCriterion("ZFFS not in", values, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsBetween(String value1, String value2) {
            addCriterion("ZFFS between", value1, value2, "zffs");
            return (Criteria) this;
        }

        public Criteria andZffsNotBetween(String value1, String value2) {
            addCriterion("ZFFS not between", value1, value2, "zffs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsIsNull() {
            addCriterion("ZYJJFS is null");
            return (Criteria) this;
        }

        public Criteria andZyjjfsIsNotNull() {
            addCriterion("ZYJJFS is not null");
            return (Criteria) this;
        }

        public Criteria andZyjjfsEqualTo(String value) {
            addCriterion("ZYJJFS =", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsNotEqualTo(String value) {
            addCriterion("ZYJJFS <>", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsGreaterThan(String value) {
            addCriterion("ZYJJFS >", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsGreaterThanOrEqualTo(String value) {
            addCriterion("ZYJJFS >=", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsLessThan(String value) {
            addCriterion("ZYJJFS <", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsLessThanOrEqualTo(String value) {
            addCriterion("ZYJJFS <=", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsLike(String value) {
            addCriterion("ZYJJFS like", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsNotLike(String value) {
            addCriterion("ZYJJFS not like", value, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsIn(List<String> values) {
            addCriterion("ZYJJFS in", values, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsNotIn(List<String> values) {
            addCriterion("ZYJJFS not in", values, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsBetween(String value1, String value2) {
            addCriterion("ZYJJFS between", value1, value2, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andZyjjfsNotBetween(String value1, String value2) {
            addCriterion("ZYJJFS not between", value1, value2, "zyjjfs");
            return (Criteria) this;
        }

        public Criteria andHtwyzrIsNull() {
            addCriterion("HTWYZR is null");
            return (Criteria) this;
        }

        public Criteria andHtwyzrIsNotNull() {
            addCriterion("HTWYZR is not null");
            return (Criteria) this;
        }

        public Criteria andHtwyzrEqualTo(String value) {
            addCriterion("HTWYZR =", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrNotEqualTo(String value) {
            addCriterion("HTWYZR <>", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrGreaterThan(String value) {
            addCriterion("HTWYZR >", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrGreaterThanOrEqualTo(String value) {
            addCriterion("HTWYZR >=", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrLessThan(String value) {
            addCriterion("HTWYZR <", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrLessThanOrEqualTo(String value) {
            addCriterion("HTWYZR <=", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrLike(String value) {
            addCriterion("HTWYZR like", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrNotLike(String value) {
            addCriterion("HTWYZR not like", value, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrIn(List<String> values) {
            addCriterion("HTWYZR in", values, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrNotIn(List<String> values) {
            addCriterion("HTWYZR not in", values, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrBetween(String value1, String value2) {
            addCriterion("HTWYZR between", value1, value2, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtwyzrNotBetween(String value1, String value2) {
            addCriterion("HTWYZR not between", value1, value2, "htwyzr");
            return (Criteria) this;
        }

        public Criteria andHtjctjIsNull() {
            addCriterion("HTJCTJ is null");
            return (Criteria) this;
        }

        public Criteria andHtjctjIsNotNull() {
            addCriterion("HTJCTJ is not null");
            return (Criteria) this;
        }

        public Criteria andHtjctjEqualTo(String value) {
            addCriterion("HTJCTJ =", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjNotEqualTo(String value) {
            addCriterion("HTJCTJ <>", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjGreaterThan(String value) {
            addCriterion("HTJCTJ >", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjGreaterThanOrEqualTo(String value) {
            addCriterion("HTJCTJ >=", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjLessThan(String value) {
            addCriterion("HTJCTJ <", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjLessThanOrEqualTo(String value) {
            addCriterion("HTJCTJ <=", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjLike(String value) {
            addCriterion("HTJCTJ like", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjNotLike(String value) {
            addCriterion("HTJCTJ not like", value, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjIn(List<String> values) {
            addCriterion("HTJCTJ in", values, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjNotIn(List<String> values) {
            addCriterion("HTJCTJ not in", values, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjBetween(String value1, String value2) {
            addCriterion("HTJCTJ between", value1, value2, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtjctjNotBetween(String value1, String value2) {
            addCriterion("HTJCTJ not between", value1, value2, "htjctj");
            return (Criteria) this;
        }

        public Criteria andHtbzxxIsNull() {
            addCriterion("HTBZXX is null");
            return (Criteria) this;
        }

        public Criteria andHtbzxxIsNotNull() {
            addCriterion("HTBZXX is not null");
            return (Criteria) this;
        }

        public Criteria andHtbzxxEqualTo(String value) {
            addCriterion("HTBZXX =", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxNotEqualTo(String value) {
            addCriterion("HTBZXX <>", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxGreaterThan(String value) {
            addCriterion("HTBZXX >", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxGreaterThanOrEqualTo(String value) {
            addCriterion("HTBZXX >=", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxLessThan(String value) {
            addCriterion("HTBZXX <", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxLessThanOrEqualTo(String value) {
            addCriterion("HTBZXX <=", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxLike(String value) {
            addCriterion("HTBZXX like", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxNotLike(String value) {
            addCriterion("HTBZXX not like", value, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxIn(List<String> values) {
            addCriterion("HTBZXX in", values, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxNotIn(List<String> values) {
            addCriterion("HTBZXX not in", values, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxBetween(String value1, String value2) {
            addCriterion("HTBZXX between", value1, value2, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andHtbzxxNotBetween(String value1, String value2) {
            addCriterion("HTBZXX not between", value1, value2, "htbzxx");
            return (Criteria) this;
        }

        public Criteria andLspzidIsNull() {
            addCriterion("LSPZID is null");
            return (Criteria) this;
        }

        public Criteria andLspzidIsNotNull() {
            addCriterion("LSPZID is not null");
            return (Criteria) this;
        }

        public Criteria andLspzidEqualTo(String value) {
            addCriterion("LSPZID =", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidNotEqualTo(String value) {
            addCriterion("LSPZID <>", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidGreaterThan(String value) {
            addCriterion("LSPZID >", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZID >=", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidLessThan(String value) {
            addCriterion("LSPZID <", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidLessThanOrEqualTo(String value) {
            addCriterion("LSPZID <=", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidLike(String value) {
            addCriterion("LSPZID like", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidNotLike(String value) {
            addCriterion("LSPZID not like", value, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidIn(List<String> values) {
            addCriterion("LSPZID in", values, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidNotIn(List<String> values) {
            addCriterion("LSPZID not in", values, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidBetween(String value1, String value2) {
            addCriterion("LSPZID between", value1, value2, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzidNotBetween(String value1, String value2) {
            addCriterion("LSPZID not between", value1, value2, "lspzid");
            return (Criteria) this;
        }

        public Criteria andLspzhmIsNull() {
            addCriterion("LSPZHM is null");
            return (Criteria) this;
        }

        public Criteria andLspzhmIsNotNull() {
            addCriterion("LSPZHM is not null");
            return (Criteria) this;
        }

        public Criteria andLspzhmEqualTo(String value) {
            addCriterion("LSPZHM =", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmNotEqualTo(String value) {
            addCriterion("LSPZHM <>", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmGreaterThan(String value) {
            addCriterion("LSPZHM >", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmGreaterThanOrEqualTo(String value) {
            addCriterion("LSPZHM >=", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmLessThan(String value) {
            addCriterion("LSPZHM <", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmLessThanOrEqualTo(String value) {
            addCriterion("LSPZHM <=", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmLike(String value) {
            addCriterion("LSPZHM like", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmNotLike(String value) {
            addCriterion("LSPZHM not like", value, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmIn(List<String> values) {
            addCriterion("LSPZHM in", values, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmNotIn(List<String> values) {
            addCriterion("LSPZHM not in", values, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmBetween(String value1, String value2) {
            addCriterion("LSPZHM between", value1, value2, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andLspzhmNotBetween(String value1, String value2) {
            addCriterion("LSPZHM not between", value1, value2, "lspzhm");
            return (Criteria) this;
        }

        public Criteria andSpztIsNull() {
            addCriterion("SPZT is null");
            return (Criteria) this;
        }

        public Criteria andSpztIsNotNull() {
            addCriterion("SPZT is not null");
            return (Criteria) this;
        }

        public Criteria andSpztEqualTo(String value) {
            addCriterion("SPZT =", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztNotEqualTo(String value) {
            addCriterion("SPZT <>", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztGreaterThan(String value) {
            addCriterion("SPZT >", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztGreaterThanOrEqualTo(String value) {
            addCriterion("SPZT >=", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztLessThan(String value) {
            addCriterion("SPZT <", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztLessThanOrEqualTo(String value) {
            addCriterion("SPZT <=", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztLike(String value) {
            addCriterion("SPZT like", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztNotLike(String value) {
            addCriterion("SPZT not like", value, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztIn(List<String> values) {
            addCriterion("SPZT in", values, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztNotIn(List<String> values) {
            addCriterion("SPZT not in", values, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztBetween(String value1, String value2) {
            addCriterion("SPZT between", value1, value2, "spzt");
            return (Criteria) this;
        }

        public Criteria andSpztNotBetween(String value1, String value2) {
            addCriterion("SPZT not between", value1, value2, "spzt");
            return (Criteria) this;
        }

        public Criteria andZxztIsNull() {
            addCriterion("ZXZT is null");
            return (Criteria) this;
        }

        public Criteria andZxztIsNotNull() {
            addCriterion("ZXZT is not null");
            return (Criteria) this;
        }

        public Criteria andZxztEqualTo(String value) {
            addCriterion("ZXZT =", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztNotEqualTo(String value) {
            addCriterion("ZXZT <>", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztGreaterThan(String value) {
            addCriterion("ZXZT >", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztGreaterThanOrEqualTo(String value) {
            addCriterion("ZXZT >=", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztLessThan(String value) {
            addCriterion("ZXZT <", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztLessThanOrEqualTo(String value) {
            addCriterion("ZXZT <=", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztLike(String value) {
            addCriterion("ZXZT like", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztNotLike(String value) {
            addCriterion("ZXZT not like", value, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztIn(List<String> values) {
            addCriterion("ZXZT in", values, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztNotIn(List<String> values) {
            addCriterion("ZXZT not in", values, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztBetween(String value1, String value2) {
            addCriterion("ZXZT between", value1, value2, "zxzt");
            return (Criteria) this;
        }

        public Criteria andZxztNotBetween(String value1, String value2) {
            addCriterion("ZXZT not between", value1, value2, "zxzt");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}