package com.unis.base.server.service;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;
import com.unis.base.server.entity.ClhxyjbgtzDO;
import com.unis.base.server.entity.FqwxhxpcszclyclqkbDO;
import com.unis.base.server.entity.WxhxphjglpcjbbDO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * create by: yangshengjie
 * create time: 2019/9/20 9:19
 * @Title: DSbxxsjyService
 * @ProjectName baseservice
 */
public interface DYpxxService {

    /**
     * 根据参数获取设备列表
     * @param DYpxxVO
     * @return
     */
    PageInfo<DYpxxVO> findDYpxxList(DYpxxQueryVO dYpxxQueryVO, Integer page, Integer limit);

	/**
	 * 审核更新状态
	 * @param dYpxxHisVO
	 * @return
	 */
	Integer updateMedicineinfoStatus(DYpxxHisVO dYpxxHisVO);

	/**
	 * 根据参数获取列表
	 * @param ypId
	 * @return
	 */
	DYpxxVO getDYpxxInfoByLsId(String ypId);

//	public Map<String, Object> findFqwxhxpcszclyclqkbList(FqwxhxpcszclyclqkbVO VO, Integer page, Integer size) throws Exception;
//
//	public Map<String, Object> findWxhxphjglpcjbbList(WxhxphjglpcjbbVO VO, Integer page, Integer size) throws Exception;

	public Map<String, Object> findReportsInfoList(KdBaseInfoVO VO, Integer page, Integer size) throws Exception;

	public KdBaseInfoVO findClhxyjbgtzByKddm(String id) throws Exception;

	public KdBaseInfoVO findFqwxhxpcszclyclqkbByKddm(String id) throws Exception;

//	public WxhxphjglpcjbbVO findWxhxphjglpcjbbById(String id) throws Exception;

	public KdBaseInfoVO findWxhxphjglpcjbbByKdmc(String kdmc) throws Exception;

	public List<WxhxphjglpcjbbVO> findWxhxphjglpcjbbApp(KdBaseInfoVO vo) throws Exception;
}
