package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.PersonnelRecordsHisVO;
import com.unis.base.common.vo.PersonnelRecordsHisqueryVO;
import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.server.entity.DRyxxsjyDO;



public interface PersonnelRecordsHisService {

	
	/**
	 * @param dRyxxsjyVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取历史列表
	 */
	PageInfo<PersonnelRecordsHisVO> getDRyxxsjyPage(PersonnelRecordsHisqueryVO dRyxxsjyHisqueryVO,Integer pageNum,Integer pageSize);

	
	/**
	 * 添加人员历史信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int insert(PersonnelRecordsHisVO dRyxxsjyHisVO);
	
	
	
	/**
	 * 查看人员历史
	 * @param id
	 * @return
	 */
	PersonnelRecordsHisVO selectByPerimkey(String rybajlId);
	
}
