package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.ProfitVO;

/**
 * @Title:ProfitService.java
 * @Package: com.unis.base.server.service
 * @Description:功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月30日 下午3:33:53
 * @version V1.0
*/
public interface ProfitService {


	/**
	 * @Title: getPageList
	 * @Description:方法描述:(列表分页)
	 * @param @param profitVO
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @return    设定文件
	 * @return PageInfo<ProfitVO>    返回类型
	 * @throws
	*/
	PageInfo<ProfitVO> getPageList(ProfitVO profitVO, Integer pageNum, Integer pageSize);

	/**
	 * @Title: deleteProfit
	 * @Description:方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param sybh
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	int deleteProfit(String sybh);

	/**
	 * @Title: infoProfit
	 * @Description:方法描述:(这里用一句话描述这个方法的作用)
	 * @param @param profitVO
	 * @param @return    设定文件
	 * @return int    返回类型
	 * @throws
	*/
	int infoProfit(ProfitVO profitVO);

}
