package com.unis.base.server.service.impl;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.ProfitVO;
import com.unis.base.common.vo.ReversePositionVo;
import com.unis.base.server.domain.ReversePositionDomain;
import com.unis.base.server.entity.DCxxsjDo;
import com.unis.base.server.service.ReversePositionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description:
 * @date 2019/10/3119:37
 */
@Service
public class ReversePositionServiceImpl implements ReversePositionService {

    @Autowired
    private ReversePositionDomain reversePositionDomain;

    @Override
    public PageInfo<ReversePositionVo> getPageList(ReversePositionVo reversePositionVo, Integer pageNum, Integer pageSize) {
        return reversePositionDomain.getPageList(reversePositionVo, pageNum, pageSize);
    }

    @Override
    public int deleteProfit(String dcdbm) {
        return reversePositionDomain.deleteProfit(dcdbm);
    }

    @Override
    public int infoProfit(ReversePositionVo reversePositionVo) {
        return reversePositionDomain.infoProfit(reversePositionVo);
    }
}
